!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl5()
    coupl(nGC_4171) = (12d0*Nc*cima*coupl(nGC_1503)*coupl(nGC_1505) - 12d0*Nc* &
                      cima*coupl(nGC_1505)*coupl(nGC_18) + 20d0*Nc*cima*coupl( &
                      nGC_16)**4d0*sq2**4d0 + 15d0*Nc*coupl(nGC_1503)*coupl(   &
                      nGC_16)**2d0*sq2**2d0 - 15d0*Nc*coupl(nGC_1505)*coupl(   &
                      nGC_16)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_1515)*coupl(    &
                      nGC_16)**2d0*sq2**2d0 - 21d0*Nc*coupl(nGC_16)**2d0*coupl(&
                      nGC_18)*sq2**2d0 - 12d0*cima*coupl(nGC_17)**4d0*sq2**4d0 &
                      )/(768d0*pi**2d0*Nc)
    coupl(nGC_4300) = coupl(nGC_4299)*dyb_QED1_QCD2
    coupl(nGC_6285) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_6282) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_6283) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_6280) = coupl(nGC_135)*dZdR_QCD2/2d0 + coupl(nGC_135)*dZuL_QCD2/ &
                      2d0 + coupl(nGC_4290)
    coupl(nGC_6289) = coupl(nGC_17)*dZbR_QCD2
    coupl(nGC_6102) = coupl(nGC_149)*dZbL_QCD2/2d0 + coupl(nGC_149)*dZtR_QCD2/ &
                      2d0 + coupl(nGC_4288)
    coupl(nGC_6167) = coupl(nGC_4330) + coupl(nGC_6165)
    coupl(nGC_4060) = cima*(coupl(nGC_189)**2d0 + coupl(nGC_249)**2d0 + coupl( &
                      nGC_3)**2d0 + coupl(nGC_36)**2d0)/(48d0*pi**2d0)
    coupl(nGC_4061) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_31)**2d0 + 2d0*Nc*cMC**  &
                      2d0*cima*coupl(nGC_31)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_31)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_31)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_31)**2d0 + 2d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_31)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_31&
                      )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_31)**2d0 + 2d0*cMTA &
                      **2d0*cima*coupl(nGC_31)**2d0 + 3d0*cMW**2d0*cima*coupl( &
                      nGC_189)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_249)**2d0 +  &
                      3d0*cMW**2d0*cima*coupl(nGC_3)**2d0 + 3d0*cMW**2d0*cima* &
                      coupl(nGC_36)**2d0 - 4d0*cMW**2d0*coupl(nGC_22) + 3d0*cMZ&
                      **2d0*cima*coupl(nGC_189)**2d0 + 3d0*cMZ**2d0*cima*coupl(&
                      nGC_36)**2d0 - 2d0*cMZ**2d0*coupl(nGC_25))/(32d0*pi**2d0)
    coupl(nGC_4062) = cima*sq2**2d0*(Nc*coupl(nGC_16)**2d0 - 4d0*coupl(nGC_17  &
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_4063) = -Nc*cima*coupl(nGC_16)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_4064) = cima*coupl(nGC_17)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +  &
                      cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_4065) = cima*sq2**2d0*(-Nc*coupl(nGC_16)**2d0 + 4d0*coupl(nGC_17 &
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4066) = cima*coupl(nGC_16)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_4067) = cima*coupl(nGC_17)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 - &
                      cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**2d0*&
                      Nc)
    coupl(nGC_4068) = cima*(4d0*Nc*coupl(nGC_129)*coupl(nGC_795) + 4d0*Nc*coupl&
                      (nGC_132)*coupl(nGC_134) + 4d0*Nc*coupl(nGC_136)*coupl(  &
                      nGC_551) + 4d0*Nc*coupl(nGC_147)*coupl(nGC_327) + 4d0*Nc*&
                      coupl(nGC_150)*coupl(nGC_152) + 4d0*Nc*coupl(nGC_158)*   &
                      coupl(nGC_160) + 4d0*coupl(nGC_139)*coupl(nGC_141) + 4d0*&
                      coupl(nGC_143)*coupl(nGC_145) + 4d0*coupl(nGC_154)*coupl(&
                      nGC_156) + 2d0*coupl(nGC_30)*coupl(nGC_387) + coupl(     &
                      nGC_51)*coupl(nGC_827))/(96d0*pi**2d0)
    coupl(nGC_4069) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_129)*coupl(nGC_795) -   &
                      8d0*Nc*cMC**2d0*cima*coupl(nGC_132)*coupl(nGC_134) - 8d0*&
                      Nc*cMD**2d0*cima*coupl(nGC_136)*coupl(nGC_551) - 8d0*Nc* &
                      cMS**2d0*cima*coupl(nGC_147)*coupl(nGC_327) - 8d0*Nc*cMT &
                      **2d0*cima*coupl(nGC_150)*coupl(nGC_152) - 8d0*Nc*cMU**  &
                      2d0*cima*coupl(nGC_158)*coupl(nGC_160) - 8d0*cME**2d0*   &
                      cima*coupl(nGC_139)*coupl(nGC_141) - cMH**2d0*cima*coupl(&
                      nGC_51)*coupl(nGC_827) - 8d0*cMM**2d0*cima*coupl(nGC_143 &
                      )*coupl(nGC_145) - 8d0*cMTA**2d0*cima*coupl(nGC_154)*    &
                      coupl(nGC_156) - 4d0*cMW**2d0*cima*coupl(nGC_30)*coupl(  &
                      nGC_387) - 4d0*cMW**2d0*coupl(nGC_21) - cMZ**2d0*cima*   &
                      coupl(nGC_51)*coupl(nGC_827) - 2d0*cMZ**2d0*coupl(nGC_60 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_4294) = coupl(nGC_4293)*dyb_QED1_QCD2
    coupl(nGC_4071) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_130)**2d0 - 4d0*Nc*cMC**&
                      2d0*cima*coupl(nGC_133)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl&
                      (nGC_137)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_148)**2d0&
                       - 4d0*Nc*cMT**2d0*cima*coupl(nGC_151)**2d0 - 4d0*Nc*cMU &
                      **2d0*cima*coupl(nGC_159)**2d0 - 4d0*cME**2d0*cima*coupl(&
                      nGC_140)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_144)**2d0 -  &
                      4d0*cMTA**2d0*cima*coupl(nGC_155)**2d0 - cMW**2d0*cima*  &
                      coupl(nGC_1187)*coupl(nGC_28) - cMW**2d0*cima*coupl(     &
                      nGC_2175)*coupl(nGC_29) - 2d0*cMW**2d0*coupl(nGC_21) -   &
                      cMZ**2d0*cima*coupl(nGC_51)*coupl(nGC_827) - cMZ**2d0*   &
                      coupl(nGC_60) + cima*coupl(nGC_116)**2d0 + 2d0*cima*coupl&
                      (nGC_78)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4070) = cima*(4d0*Nc*coupl(nGC_130)**2d0 + 4d0*Nc*coupl(nGC_133  &
                      )**2d0 + 4d0*Nc*coupl(nGC_137)**2d0 + 4d0*Nc*coupl(      &
                      nGC_148)**2d0 + 4d0*Nc*coupl(nGC_151)**2d0 + 4d0*Nc*coupl&
                      (nGC_159)**2d0 + coupl(nGC_1187)*coupl(nGC_28) + 4d0*    &
                      coupl(nGC_140)**2d0 + 4d0*coupl(nGC_144)**2d0 + 4d0*coupl&
                      (nGC_155)**2d0 + coupl(nGC_2175)*coupl(nGC_29) + coupl(  &
                      nGC_51)*coupl(nGC_827))/(96d0*pi**2d0)
    coupl(nGC_6075) = coupl(nGC_147)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_6077) = coupl(nGC_4298) + coupl(nGC_6075)
    coupl(nGC_6076) = -coupl(nGC_4298) - coupl(nGC_6075)
    coupl(nGC_6408) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_6409) = -coupl(nGC_6408)
    coupl(nGC_6370) = coupl(nGC_6146) + coupl(nGC_6367)
    coupl(nGC_6371) = coupl(nGC_6146) + coupl(nGC_6366)
    coupl(nGC_4183) = (-12d0*Nc*cima*coupl(nGC_1503)*coupl(nGC_18) - 4d0*Nc*   &
                      cima*coupl(nGC_16)**4d0*sq2**4d0 - 12d0*Nc*coupl(nGC_1503&
                      )*coupl(nGC_16)**2d0*sq2**2d0 + 9d0*Nc*coupl(nGC_16)**2d0&
                      *coupl(nGC_18)*sq2**2d0 + 18d0*cima*coupl(nGC_17)**4d0*  &
                      sq2**4d0)/(384d0*pi**2d0)
    coupl(nGC_4182) = (-24d0*Nc*cima*coupl(nGC_1503)*coupl(nGC_18) - 8d0*Nc*   &
                      cima*coupl(nGC_16)**4d0*sq2**4d0 - 39d0*Nc*coupl(nGC_1503&
                      )*coupl(nGC_16)**2d0*sq2**2d0 + 3d0*Nc*coupl(nGC_16)**2d0&
                      *coupl(nGC_18)*sq2**2d0 + 36d0*cima*coupl(nGC_17)**4d0*  &
                      sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_4181) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_16)**4d0*sq2**2d0 - 9d0*&
                      Nc*coupl(nGC_1505)*coupl(nGC_16)**2d0 + 3d0*Nc*coupl(    &
                      nGC_1515)*coupl(nGC_16)**2d0 - 60d0*cima*coupl(nGC_17)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_4180) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_16)**4d0*sq2**2d0 - 3d0*&
                      Nc*coupl(nGC_1505)*coupl(nGC_16)**2d0 + 9d0*Nc*coupl(    &
                      nGC_1515)*coupl(nGC_16)**2d0 - 60d0*cima*coupl(nGC_17)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_4079) = cima*(coupl(nGC_189)**2d0 + coupl(nGC_36)**2d0)/(48d0*pi &
                      **2d0)
    coupl(nGC_6279) = coupl(nGC_157)*dZdL_QCD2/2d0 + coupl(nGC_157)*dZuR_QCD2/ &
                      2d0 + coupl(nGC_4289)
    coupl(nGC_6273) = coupl(nGC_152)*dZtL_QCD2/2d0 + coupl(nGC_152)*dZtR_QCD2/ &
                      2d0 + coupl(nGC_4322)
    coupl(nGC_6274) = coupl(nGC_150)*dZtL_QCD2/2d0 + coupl(nGC_150)*dZtR_QCD2/ &
                      2d0 + coupl(nGC_4324)
    coupl(nGC_4078) = cima*(-2d0*Nc*coupl(nGC_48)**2d0 - 2d0*Nc*coupl(nGC_49)**&
                      2d0 - 2d0*Nc*coupl(nGC_52)**2d0 - 2d0*Nc*coupl(nGC_53)** &
                      2d0 - coupl(nGC_189)**2d0 - coupl(nGC_36)**2d0 - 2d0*    &
                      coupl(nGC_50)**2d0 - 2d0*coupl(nGC_54)**2d0 - 2d0*coupl( &
                      nGC_55)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4059) = cima*(-2d0*Nc*coupl(nGC_31)**2d0 - coupl(nGC_189)**2d0 - &
                      coupl(nGC_249)**2d0 - coupl(nGC_3)**2d0 - 2d0*coupl(     &
                      nGC_31)**2d0 - coupl(nGC_36)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4058) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_128)**2d0 - 4d0*Nc*cMB**&
                      2d0*cima*coupl(nGC_149)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl&
                      (nGC_131)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_146)**2d0&
                       - 4d0*Nc*cMD**2d0*cima*coupl(nGC_135)**2d0 - 4d0*Nc*cMD &
                      **2d0*cima*coupl(nGC_157)**2d0 - 4d0*Nc*cMS**2d0*cima*   &
                      coupl(nGC_131)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_146 &
                      )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_128)**2d0 - 4d0* &
                      Nc*cMT**2d0*cima*coupl(nGC_149)**2d0 - 4d0*Nc*cMU**2d0*  &
                      cima*coupl(nGC_135)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_157)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_138)**2d0 -  &
                      cMH**2d0*cima*coupl(nGC_1187)*coupl(nGC_28) - cMH**2d0*  &
                      cima*coupl(nGC_2175)*coupl(nGC_29) - 4d0*cMM**2d0*cima*  &
                      coupl(nGC_142)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_153)**&
                      2d0 - cMW**2d0*cima*coupl(nGC_1187)*coupl(nGC_28) - cMW**&
                      2d0*cima*coupl(nGC_2175)*coupl(nGC_29) - 2d0*cMW**2d0*   &
                      cima*coupl(nGC_30)*coupl(nGC_387) - cMW**2d0*cima*coupl( &
                      nGC_4)**2d0 - cMW**2d0*cima*coupl(nGC_405)**2d0 - cMW**  &
                      2d0*cima*coupl(nGC_54)**2d0 - cMW**2d0*cima*coupl(nGC_647&
                      )**2d0 - 8d0*cMW**2d0*coupl(nGC_21) - 2d0*cMZ**2d0*cima* &
                      coupl(nGC_30)*coupl(nGC_387) - cMZ**2d0*cima*coupl(nGC_54&
                      )**2d0 - cMZ**2d0*cima*coupl(nGC_647)**2d0 - 4d0*cMZ**2d0&
                      *coupl(nGC_59) + 8d0*cima*coupl(nGC_66)**2d0 + 8d0*cima* &
                      coupl(nGC_86)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4284) = coupl(nGC_4283)*dZgs_QCD2
    coupl(nGC_4057) = cima*(4d0*Nc*coupl(nGC_128)**2d0 + 4d0*Nc*coupl(nGC_131  &
                      )**2d0 + 4d0*Nc*coupl(nGC_135)**2d0 + 4d0*Nc*coupl(      &
                      nGC_146)**2d0 + 4d0*Nc*coupl(nGC_149)**2d0 + 4d0*Nc*coupl&
                      (nGC_157)**2d0 + coupl(nGC_1187)*coupl(nGC_28) + 4d0*    &
                      coupl(nGC_138)**2d0 + 4d0*coupl(nGC_142)**2d0 + 4d0*coupl&
                      (nGC_153)**2d0 + coupl(nGC_2175)*coupl(nGC_29) + 2d0*    &
                      coupl(nGC_30)*coupl(nGC_387) + coupl(nGC_4)**2d0 + coupl(&
                      nGC_405)**2d0 + coupl(nGC_54)**2d0 + coupl(nGC_647)**2d0 &
                      )/(192d0*pi**2d0)
    coupl(nGC_4118) = coupl(nGC_17)*sq2*(coupl(nGC_132)*coupl(nGC_134) + coupl(&
                      nGC_133)**2d0 + coupl(nGC_146)**2d0 + 4d0*coupl(nGC_2)** &
                      2d0 + 4d0*coupl(nGC_31)**2d0 + 4d0*coupl(nGC_53)**2d0)/( &
                      64d0*pi**2d0)
    coupl(nGC_4119) = coupl(nGC_17)*sq2*(coupl(nGC_131)**2d0 + coupl(nGC_132)* &
                      coupl(nGC_134) + coupl(nGC_133)**2d0 + 4d0*coupl(nGC_2)**&
                      2d0 + 4d0*coupl(nGC_49)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4114) = coupl(nGC_17)*sq2*(coupl(nGC_157)**2d0 + coupl(nGC_158)* &
                      coupl(nGC_160) + coupl(nGC_159)**2d0 + 4d0*coupl(nGC_2)**&
                      2d0 + 4d0*coupl(nGC_49)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4115) = coupl(nGC_17)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_16  &
                      ) - coupl(nGC_17))/(64d0*pi**2d0*Nc)
    coupl(nGC_4116) = coupl(nGC_17)*sq2*(-coupl(nGC_132)*coupl(nGC_134) - coupl&
                      (nGC_133)**2d0 - coupl(nGC_146)**2d0 - 4d0*coupl(nGC_2)**&
                      2d0 - 4d0*coupl(nGC_31)**2d0 - 4d0*coupl(nGC_53)**2d0)/( &
                      64d0*pi**2d0*Nc)
    coupl(nGC_4117) = coupl(nGC_17)*sq2*(-coupl(nGC_131)**2d0 - coupl(nGC_132)*&
                      coupl(nGC_134) - coupl(nGC_133)**2d0 - 4d0*coupl(nGC_2)**&
                      2d0 - 4d0*coupl(nGC_49)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4110) = coupl(nGC_17)*sq2*(-coupl(nGC_135)**2d0 - coupl(nGC_158)*&
                      coupl(nGC_160) - coupl(nGC_159)**2d0 - 4d0*coupl(nGC_2)**&
                      2d0 - 4d0*coupl(nGC_31)**2d0 - 4d0*coupl(nGC_53)**2d0)/( &
                      64d0*pi**2d0*Nc)
    coupl(nGC_4111) = coupl(nGC_17)*sq2*(-coupl(nGC_157)**2d0 - coupl(nGC_158)*&
                      coupl(nGC_160) - coupl(nGC_159)**2d0 - 4d0*coupl(nGC_2)**&
                      2d0 - 4d0*coupl(nGC_49)**2d0)/(64d0*pi**2d0*Nc)
  end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
