!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_4332) = coupl(nGC_4331)*dyt_QED1_QCD2
    coupl(nGC_4334) = coupl(nGC_4333)*dyup_QED1_QCD2
    coupl(nGC_4288) = cima*dyt_QED1_QCD2
    coupl(nGC_4289) = cima*dyup_QED1_QCD2
    coupl(nGC_4286) = coupl(nGC_4285)*dZgs_QCD2
    coupl(nGC_4287) = -cima*dyb_QED1_QCD2
    coupl(nGC_4302) = coupl(nGC_4301)*dydo_QED1_QCD2
    coupl(nGC_4089) = cMU*cima*coupl(nGC_17)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4086) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_50)*coupl(     &
                      nGC_54))/(8d0*pi**2d0)
    coupl(nGC_4087) = cima*coupl(nGC_17)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0* &
                      pi**2d0*Nc)
    coupl(nGC_4084) = cima*(-coupl(nGC_4)**2d0 - coupl(nGC_50)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_4085) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_50)*coupl(nGC_54&
                      ))/(8d0*pi**2d0)
    coupl(nGC_4083) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_50)*coupl(nGC_54&
                      ))/(8d0*pi**2d0)
    coupl(nGC_6487) = coupl(nGC_151)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_6489) = coupl(nGC_4332) + coupl(nGC_6487)
    coupl(nGC_4355) = coupl(nGC_169)*dZgs_QCD2
    coupl(nGC_6141) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_6140) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_6145) = coupl(nGC_17)*dZcR_QCD2
    coupl(nGC_6144) = coupl(nGC_17)*dZcL_QCD2
    coupl(nGC_6146) = coupl(nGC_17)*dZg_QCD2/2d0 + coupl(nGC_4355)
    coupl(nGC_6148) = coupl(nGC_6144) + coupl(nGC_6146)
    coupl(nGC_6310) = coupl(nGC_17)*dZtR_QCD2
    coupl(nGC_6313) = coupl(nGC_6146) + coupl(nGC_6310)
    coupl(nGC_6231) = coupl(nGC_52)*dZdL_QCD2
    coupl(nGC_6367) = coupl(nGC_17)*dZuR_QCD2
    coupl(nGC_6103) = coupl(nGC_128)*dZbR_QCD2/2d0 + coupl(nGC_128)*dZtL_QCD2/ &
                      2d0 + coupl(nGC_4287)
    coupl(nGC_6119) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_4168) = cima*coupl(nGC_17)**3d0*sq2**3d0*(coupl(nGC_48) + coupl( &
                      nGC_49) + coupl(nGC_52) + coupl(nGC_53))/(32d0*pi**2d0*Nc&
                      **2d0)
    coupl(nGC_4165) = cima*coupl(nGC_17)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(16d0*pi**2d0*Nc**2d0)
    coupl(nGC_4164) = cima*coupl(nGC_17)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl( &
                      nGC_2))/(32d0*pi**2d0*Nc)
    coupl(nGC_4167) = cima*coupl(nGC_17)**3d0*sq2**3d0*(-coupl(nGC_48) - coupl(&
                      nGC_49) - coupl(nGC_52) - coupl(nGC_53))/(64d0*pi**2d0*Nc&
                      )
    coupl(nGC_4166) = cima*coupl(nGC_17)**3d0*sq2**3d0*(coupl(nGC_48) + coupl( &
                      nGC_49) + coupl(nGC_52) + coupl(nGC_53))/(128d0*pi**2d0)
    coupl(nGC_4163) = cima*coupl(nGC_17)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(64d0*pi**2d0)
    coupl(nGC_4369) = -cima*dMB_QCD2
    coupl(nGC_4368) = -cima*dMS_QCD2
    coupl(nGC_4367) = -cima*dMC_QCD2
    coupl(nGC_4366) = -cima*dMD_QCD2
    coupl(nGC_4365) = -cima*dMU_QCD2
    coupl(nGC_4364) = -cima*dMT_QCD2
    coupl(nGC_6211) = coupl(nGC_137)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_6212) = coupl(nGC_4302) + coupl(nGC_6211)
    coupl(nGC_6215) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_6214) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_6217) = coupl(nGC_52)*dZbL_QCD2
    coupl(nGC_6218) = coupl(nGC_48)*dZbR_QCD2
    coupl(nGC_6353) = coupl(nGC_53)*dZtL_QCD2
    coupl(nGC_6354) = coupl(nGC_49)*dZtR_QCD2
    coupl(nGC_4091) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_49)**2d0)/(16d0*pi**&
                      2d0)
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
