!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl6()
    coupl(nGC_4112) = coupl(nGC_17)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_16   &
                      ) + coupl(nGC_17))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_4113) = coupl(nGC_17)*sq2*(coupl(nGC_135)**2d0 + coupl(nGC_158)* &
                      coupl(nGC_160) + coupl(nGC_159)**2d0 + 4d0*coupl(nGC_2)**&
                      2d0 + 4d0*coupl(nGC_31)**2d0 + 4d0*coupl(nGC_53)**2d0)/( &
                      64d0*pi**2d0)
    coupl(nGC_6147) = coupl(nGC_6145) + coupl(nGC_6146)
    coupl(nGC_6300) = coupl(nGC_136)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_6264) = 3d0*coupl(nGC_16)*dZg_QCD2/2d0 + coupl(nGC_4284)
    coupl(nGC_6309) = coupl(nGC_17)*dZtL_QCD2
    coupl(nGC_4142) = coupl(nGC_17)**2d0*coupl(nGC_795)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4160) = cima*coupl(nGC_17)**2d0*sq2**2d0*(coupl(nGC_129)*coupl(  &
                      nGC_795) + coupl(nGC_132)*coupl(nGC_134) + coupl(nGC_136 &
                      )*coupl(nGC_551) + coupl(nGC_147)*coupl(nGC_327) + coupl(&
                      nGC_150)*coupl(nGC_152) + coupl(nGC_158)*coupl(nGC_160   &
                      ))/(16d0*pi**2d0*Nc)
    coupl(nGC_6545) = coupl(nGC_4368) + coupl(nGC_6542)
    coupl(nGC_4120) = coupl(nGC_17)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(nGC_136&
                      )*coupl(nGC_551) - coupl(nGC_137)**2d0 - coupl(nGC_157)**&
                      2d0 - 4d0*coupl(nGC_31)**2d0 - 4d0*coupl(nGC_52)**2d0)/( &
                      64d0*pi**2d0*Nc)
    coupl(nGC_4121) = coupl(nGC_17)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(nGC_135&
                      )**2d0 - coupl(nGC_136)*coupl(nGC_551) - coupl(nGC_137)**&
                      2d0 - 4d0*coupl(nGC_48)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_6580) = coupl(nGC_4366) + coupl(nGC_6577)
    coupl(nGC_4123) = coupl(nGC_17)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_135 &
                      )**2d0 + coupl(nGC_136)*coupl(nGC_551) + coupl(nGC_137)**&
                      2d0 + 4d0*coupl(nGC_48)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4122) = coupl(nGC_17)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_136 &
                      )*coupl(nGC_551) + coupl(nGC_137)**2d0 + coupl(nGC_157)**&
                      2d0 + 4d0*coupl(nGC_31)**2d0 + 4d0*coupl(nGC_52)**2d0)/( &
                      64d0*pi**2d0)
    coupl(nGC_6291) = coupl(nGC_6146) + coupl(nGC_6289)
    coupl(nGC_6314) = coupl(nGC_6146) + coupl(nGC_6309)
    coupl(nGC_6302) = -coupl(nGC_4296) - coupl(nGC_6300)
    coupl(nGC_4134) = coupl(nGC_17)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_129 &
                      )*coupl(nGC_795) + coupl(nGC_130)**2d0 + coupl(nGC_149)**&
                      2d0 + 4d0*coupl(nGC_31)**2d0 + 4d0*coupl(nGC_52)**2d0)/( &
                      64d0*pi**2d0)
    coupl(nGC_4135) = coupl(nGC_17)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_128 &
                      )**2d0 + coupl(nGC_129)*coupl(nGC_795) + coupl(nGC_130)**&
                      2d0 + 4d0*coupl(nGC_48)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4132) = coupl(nGC_17)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(nGC_129&
                      )*coupl(nGC_795) - coupl(nGC_130)**2d0 - coupl(nGC_149)**&
                      2d0 - 4d0*coupl(nGC_31)**2d0 - 4d0*coupl(nGC_52)**2d0)/( &
                      64d0*pi**2d0*Nc)
    coupl(nGC_4133) = coupl(nGC_17)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(nGC_128&
                      )**2d0 - coupl(nGC_129)*coupl(nGC_795) - coupl(nGC_130)**&
                      2d0 - 4d0*coupl(nGC_48)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4159) = cima*coupl(nGC_17)**2d0*sq2**2d0*(-coupl(nGC_129)*coupl( &
                      nGC_795) - coupl(nGC_132)*coupl(nGC_134) - coupl(nGC_136 &
                      )*coupl(nGC_551) - coupl(nGC_147)*coupl(nGC_327) - coupl(&
                      nGC_150)*coupl(nGC_152) - coupl(nGC_158)*coupl(nGC_160   &
                      ))/(16d0*pi**2d0)
    coupl(nGC_6286) = coupl(nGC_4367) + coupl(nGC_6283)
    coupl(nGC_6419) = coupl(nGC_16)*dZg_QCD2/2d0 + coupl(nGC_4284)
    coupl(nGC_6303) = coupl(nGC_4296) + coupl(nGC_6300)
    coupl(nGC_6081) = coupl(nGC_4300) + coupl(nGC_6079)
    coupl(nGC_6327) = coupl(nGC_4294) + coupl(nGC_6325)
    coupl(nGC_6326) = -coupl(nGC_4294) - coupl(nGC_6325)
    coupl(nGC_6125) = coupl(nGC_132)*dZcL_QCD2/2d0 + coupl(nGC_132)*dZcR_QCD2/ &
                      2d0 + coupl(nGC_4318)
    coupl(nGC_6420) = -coupl(nGC_6419)
  end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
