!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_WMinus, P_H, P_Z, P_GPlus, 460, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 716, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 208, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 589, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 228, check)
    call createCurrent(P_WPlus, P_H, P_H, P_WMinus, 348, check)
    call createCurrent(P_G0, P_H, P_A, 1031, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 484, check)
    call createCurrent(P_sAnti, P_s, 1109, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 602, check)
    call createCurrent(P_t, P_tAnti, P_A, 154, check)
    call createCurrent(P_t, P_tAnti, P_g, 424, check)
    call createCurrent(P_H, P_t, P_tAnti, 917, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 544, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, P_H, 115, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 54, check)
    call createCurrent(P_H, P_ghWpAnti, P_ghWp, 327, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_H, 218, check)
    call createCurrent(P_Z, P_bAnti, P_b, 222, check)
    call createCurrent(P_H, P_tauPlus, P_tauMinus, 961, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 394, check)
    call createCurrent(P_G0, P_cAnti, P_c, 535, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 707, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 221, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 497, check)
    call createCurrent(P_Z, P_H, P_WPlus, P_GMinus, 505, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 858, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_A, 113, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 17, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, 709, check)
    call createCurrent(P_WMinus, P_Z, P_H, P_GPlus, 698, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 90, check)
    call createCurrent(P_muPlus, P_muMinus, 1200, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 123, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 447, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 403, check)
    call createCurrent(P_G0, P_G0, P_Z, 742, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 62, check)
    call createCurrent(P_A, P_A, P_G0, 196, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 469, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 347, check)
    call createCurrent(P_A, P_c, P_cAnti, 681, check)
    call createCurrent(P_s, P_sAnti, P_H, 483, check)
    call createCurrent(P_t, P_tAnti, P_G0, 843, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 1141, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 1195, check)
    call createCurrent(P_H, P_G0, P_G0, 166, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_Z, 314, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 211, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 728, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 459, check)
    call createCurrent(P_A, P_uAnti, P_u, 758, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 365, check)
    call createCurrent(P_g, P_cAnti, P_c, 66, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 1013, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 168, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 266, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 1135, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 503, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 988, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 387, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 1029, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 592, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, 74, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 310, check)
    call createCurrent(P_H, P_H, 1140, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 1161, check)
    call createCurrent(P_uAnti, P_u, 1099, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 226, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 778, check)
    call createCurrent(P_b, P_A, P_bAnti, 657, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 99, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 665, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 335, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 402, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 1115, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 432, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 581, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 597, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 488, check)
    call createCurrent(P_A, P_dAnti, P_d, 45, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H, 439, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 263, check)
    call createCurrent(P_Z, P_A, P_Z, 145, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 1022, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 816, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 1006, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 513, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 229, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, P_H, 352, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 252, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 1159, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 789, check)
    call createCurrent(P_H, P_ghZAnti, P_ghZ, 442, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 964, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 705, check)
    call createCurrent(P_G0, P_u, P_uAnti, 743, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 878, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghWm, 739, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 654, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_Z, 470, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 309, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 514, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 1097, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 461, check)
    call createCurrent(P_G0, P_A, P_A, 35, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 1196, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 565, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 553, check)
    call createCurrent(P_GPlus, P_H, P_H, P_GMinus, 675, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 608, check)
    call createCurrent(P_muMinus, P_muPlus, P_H, 363, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 1024, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 746, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 475, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 726, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, P_H, 1038, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 190, check)
    call createCurrent(P_dAnti, P_d, 1110, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 490, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 896, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 183, check)
    call createCurrent(P_s, P_sAnti, P_Z, 369, check)
    call createCurrent(P_s, P_A, P_sAnti, 303, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 965, check)
    call createCurrent(P_g, P_H, P_g, 1143, check)
    call createCurrent(P_GMinus, P_GPlus, 1122, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 909, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, P_H, 141, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 1028, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 1019, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 1112, check)
    call createCurrent(P_t, P_G0, P_tAnti, 201, check)
    call createCurrent(P_Z, P_GPlus, P_H, P_WMinus, 619, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 379, check)
    call createCurrent(P_H, P_H, P_Z, P_Z, 625, check)
    call createCurrent(P_H, P_G0, P_A, 1087, check)
    call createCurrent(P_WPlus, P_A, P_H, P_GMinus, 463, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 298, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 502, check)
    call createCurrent(P_cAnti, P_g, P_c, 305, check)
    call createCurrent(P_GMinus, P_Z, P_H, P_WPlus, 24, check)
    call createCurrent(P_A, P_cAnti, P_c, 574, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 530, check)
    call createCurrent(P_G0, P_H, P_Z, 1081, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 355, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 179, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 323, check)
    call createCurrent(P_Z, P_c, P_cAnti, 1008, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 536, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 997, check)
    call createCurrent(P_WPlus, P_H, P_A, P_GMinus, 344, check)
    call createCurrent(P_A, P_Z, P_G0, 1067, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 978, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 545, check)
    call createCurrent(P_bAnti, P_b, P_g, 539, check)
    call createCurrent(P_cAnti, P_Z, P_c, 594, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_Z, 500, check)
    call createCurrent(P_Z, P_t, P_tAnti, 943, check)
    call createCurrent(P_GPlus, P_GMinus, 1142, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 1160, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 941, check)
    call createCurrent(P_t, P_H, P_tAnti, 151, check)
    call createCurrent(P_cAnti, P_A, P_c, 649, check)
    call createCurrent(P_g, P_g, P_H, 1167, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 118, check)
    call createCurrent(P_muPlus, P_muMinus, P_H, 651, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 885, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 612, check)
    call createCurrent(P_G0, P_Z, P_A, 158, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 845, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 842, check)
    call createCurrent(P_uAnti, P_u, P_H, 883, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 667, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 867, check)
    call createCurrent(P_H, P_H, P_H, P_H, 1047, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 111, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 856, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 755, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 428, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 1119, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 206, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 1061, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, 152, check)
    call createCurrent(P_t, P_Z, P_tAnti, 958, check)
    call createCurrent(P_H, P_tauMinus, P_tauPlus, 240, check)
    call createCurrent(P_G0, P_dAnti, P_d, 429, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 268, check)
    call createCurrent(P_H, P_g, P_H, P_g, 1162, check)
    call createCurrent(P_s, P_Z, P_sAnti, 46, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 33, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 700, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 808, check)
    call createCurrent(P_A, P_Z, P_H, 269, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 149, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 572, check)
    call createCurrent(P_H, P_cAnti, P_c, 655, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 889, check)
    call createCurrent(P_bAnti, P_b, P_G0, 258, check)
    call createCurrent(P_GMinus, P_A, P_H, P_WPlus, 236, check)
    call createCurrent(P_H, P_G0, P_H, P_G0, 205, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 178, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_H, 510, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_Z, 1043, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 76, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 14, check)
    call createCurrent(P_H, P_H, P_GPlus, P_GMinus, 493, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 193, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 337, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 207, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 849, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 139, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 604, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 437, check)
    call createCurrent(P_H, P_dAnti, P_d, 848, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 52, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 652, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 377, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 243, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 37, check)
    call createCurrent(P_u, P_A, P_uAnti, 474, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 277, check)
    call createCurrent(P_H, P_Z, P_GMinus, P_WPlus, 83, check)
    call createCurrent(P_G0, P_uAnti, P_u, 44, check)
    call createCurrent(P_H, P_g, P_g, 1145, check)
    call createCurrent(P_uAnti, P_G0, P_u, 593, check)
    call createCurrent(P_A, P_u, P_uAnti, 191, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_A, 287, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 11, check)
    call createCurrent(P_G0, P_c, P_cAnti, 551, check)
    call createCurrent(P_g, P_c, P_cAnti, 1004, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 1118, check)
    call createCurrent(P_dAnti, P_d, P_Z, 548, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 844, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 507, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 568, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 167, check)
    call createCurrent(P_b, P_bAnti, P_G0, 727, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 854, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 839, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 635, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 239, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 846, check)
    call createCurrent(P_dAnti, P_d, P_G0, 963, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 676, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 934, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 804, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 609, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 393, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 541, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 339, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 1163, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_Z, 317, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 426, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 815, check)
    call createCurrent(P_Z, P_G0, P_H, 552, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 214, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 579, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 1187, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 280, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 971, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 768, check)
    call createCurrent(P_Z, P_b, P_bAnti, 479, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 486, check)
    call createCurrent(P_t, P_tAnti, P_H, 264, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 1116, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 246, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 73, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 1086, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 48, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 814, check)
    call createCurrent(P_WPlus, P_Z, P_H, P_GMinus, 413, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 370, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 822, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 31, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 41, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 98, check)
    call createCurrent(P_sAnti, P_s, P_H, 1048, check)
    call createCurrent(P_H, P_WMinus, P_H, P_WPlus, 282, check)
    call createCurrent(P_A, P_H, P_GMinus, P_WPlus, 307, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 927, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 711, check)
    call createCurrent(P_dAnti, P_d, P_A, 986, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 235, check)
    call createCurrent(P_Z, P_G0, P_G0, 88, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 354, check)
    call createCurrent(P_d, P_A, P_dAnti, 281, check)
    call createCurrent(P_g, P_H, P_H, P_g, 1154, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 1078, check)
    call createCurrent(P_Z, P_uAnti, P_u, 864, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 23, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 886, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_A, 13, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 770, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 368, check)
    call createCurrent(P_G0, P_A, P_H, 391, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 187, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 286, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H, 996, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 164, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, 21, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, P_H, 533, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, 674, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 959, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 436, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 22, check)
    call createCurrent(P_dAnti, P_g, P_d, 332, check)
    call createCurrent(P_Z, P_A, P_G0, 340, check)
    call createCurrent(P_s, P_sAnti, P_G0, 279, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 1169, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, 693, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 96, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 791, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 104, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 20, check)
    call createCurrent(P_c, P_cAnti, P_A, 949, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 276, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 57, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H, 797, check)
    call createCurrent(P_H, P_GPlus, P_Z, P_WMinus, 457, check)
    call createCurrent(P_sAnti, P_s, P_A, 973, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 1091, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 1021, check)
    call createCurrent(P_H, P_Z, P_H, P_Z, 304, check)
    call createCurrent(P_Z, P_A, P_A, 1026, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 547, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 1064, check)
    call createCurrent(P_H, P_H, P_A, 578, check)
    call createCurrent(P_H, P_sAnti, P_s, 43, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 1128, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 570, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 877, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 818, check)
    call createCurrent(P_A, P_G0, P_Z, 478, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 85, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 406, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 126, check)
    call createCurrent(P_g, P_sAnti, P_s, 759, check)
    call createCurrent(P_tAnti, P_t, P_A, 648, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 765, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 1007, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 420, check)
    call createCurrent(P_u, P_uAnti, P_H, 289, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 224, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 1193, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_Z, 899, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 285, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 546, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 472, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 137, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_H, 97, check)
    call createCurrent(P_A, P_g, P_g, P_A, 1114, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 1033, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 367, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 803, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 29, check)
    call createCurrent(P_G0, P_bAnti, P_b, 851, check)
    call createCurrent(P_A, P_d, P_dAnti, 395, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 176, check)
    call createCurrent(P_t, P_bAnti, P_WMinus, 611, check)
    call createCurrent(P_g, P_A, P_g, P_A, 1147, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, 977, check)
    call createCurrent(P_H, P_WPlus, P_Z, P_GMinus, 824, check)
    call createCurrent(P_cAnti, P_c, P_g, 0, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 925, check)
    call createCurrent(P_H, P_H, P_H, 265, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 762, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 78, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 485, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 837, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 1002, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, P_H, 516, check)
    call createCurrent(P_Z, P_H, P_Z, 805, check)
    call createCurrent(P_ePlus, P_H, P_eMinus, 865, check)
    call createCurrent(P_d, P_dAnti, P_g, 951, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 817, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 838, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 409, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 182, check)
    call createCurrent(P_A, P_g, P_A, P_g, 1172, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 567, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_Z, 828, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 86, check)
    call createCurrent(P_A, P_sAnti, P_s, 1001, check)
    call createCurrent(P_tAnti, P_t, P_H, 234, check)
    call createCurrent(P_g, P_g, P_A, P_A, 1117, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 143, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 300, check)
    call createCurrent(P_sAnti, P_A, P_s, 956, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 70, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_Z, 647, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 418, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 407, check)
    call createCurrent(P_A, P_t, P_tAnti, 1066, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 25, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 543, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 1198, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 1131, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 962, check)
    call createCurrent(P_d, P_dAnti, P_Z, 343, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 495, check)
    call createCurrent(P_dAnti, P_H, P_d, 16, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 1153, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 238, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 106, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 773, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 881, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H, 1051, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 360, check)
    call createCurrent(P_A, P_g, P_g, P_g, 1203, check)
    call createCurrent(P_Z, P_WPlus, P_H, P_GMinus, 930, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 1186, check)
    call createCurrent(P_WPlus, P_tAnti, P_b, 288, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 1175, check)
    call createCurrent(P_Z, P_dAnti, P_d, 1005, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 1127, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 1032, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H, 926, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 449, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 825, check)
    call createCurrent(P_g, P_g, P_g, P_A, 1181, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 425, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 1079, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 623, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 515, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 1149, check)
    call createCurrent(P_c, P_g, P_cAnti, 329, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 325, check)
    call createCurrent(P_H, P_GMinus, P_Z, P_WPlus, 599, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 1190, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 960, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 138, check)
    call createCurrent(P_c, P_cAnti, P_Z, 480, check)
    call createCurrent(P_tauPlus, P_tauMinus, 1174, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 671, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 701, check)
    call createCurrent(P_uAnti, P_u, P_g, 955, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 679, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 12, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 879, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 911, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 53, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 296, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 835, check)
    call createCurrent(P_s, P_g, P_sAnti, 129, check)
    call createCurrent(P_tAnti, P_t, 1098, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_A, 454, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, 919, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 330, check)
    call createCurrent(P_sAnti, P_H, P_s, 294, check)
    call createCurrent(P_sAnti, P_G0, P_s, 147, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 1054, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 1045, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 861, check)
    call createCurrent(P_dAnti, P_Z, P_d, 626, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 160, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 455, check)
    call createCurrent(P_WMinus, P_H, P_A, P_GPlus, 1036, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 767, check)
    call createCurrent(P_Z, P_u, P_uAnti, 471, check)
    call createCurrent(P_H, P_g, P_g, P_H, 1164, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 722, check)
    call createCurrent(P_Z, P_H, P_GPlus, P_WMinus, 753, check)
    call createCurrent(P_G0, P_Z, P_G0, 64, check)
    call createCurrent(P_Z, P_s, P_sAnti, 781, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 869, check)
    call createCurrent(P_A, P_A, P_Z, 620, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 39, check)
    call createCurrent(P_b, P_bAnti, P_A, 1057, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 714, check)
    call createCurrent(P_H, P_H, P_WMinus, P_WPlus, 185, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_A, 316, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 333, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 477, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 315, check)
    call createCurrent(P_g, P_d, P_dAnti, 916, check)
    call createCurrent(P_uAnti, P_u, P_G0, 947, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 331, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 779, check)
    call createCurrent(P_H, P_H, P_GMinus, P_GPlus, 809, check)
    call createCurrent(P_A, P_Z, P_A, 853, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H, 511, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 528, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 834, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, 346, check)
    call createCurrent(P_g, P_g, P_g, P_g, 270, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 923, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 933, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 390, check)
    call createCurrent(P_Z, P_g, P_g, P_A, 1179, check)
    call createCurrent(P_H, P_A, P_WMinus, P_GPlus, 723, check)
    call createCurrent(P_A, P_H, P_G0, 320, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 908, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 408, check)
    call createCurrent(P_H, P_GPlus, P_A, P_WMinus, 999, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 169, check)
    call createCurrent(P_H, P_Z, P_WPlus, P_GMinus, 250, check)
    call createCurrent(P_uAnti, P_A, P_u, 1010, check)
    call createCurrent(P_H, P_A, P_H, 59, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 1158, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 1177, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 895, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 875, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 847, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 130, check)
    call createCurrent(P_g, P_Z, P_Z, P_g, 1183, check)
    call createCurrent(P_Z, P_H, P_WMinus, P_GPlus, 585, check)
    call createCurrent(P_G0, P_H, P_G0, 717, check)
    call createCurrent(P_Z, P_Z, P_Z, 987, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 957, check)
    call createCurrent(P_uAnti, P_H, P_u, 573, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 942, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 897, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 353, check)
    call createCurrent(P_A, P_H, P_WMinus, P_GPlus, 122, check)
    call createCurrent(P_A, P_Z, P_Z, 622, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 920, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 890, check)
    call createCurrent(P_H, P_d, P_dAnti, 664, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 482, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 796, check)
    call createCurrent(P_cAnti, P_c, 1108, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 575, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 1180, check)
    call createCurrent(P_c, P_cAnti, P_G0, 7, check)
    call createCurrent(P_muPlus, P_H, P_muMinus, 95, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 82, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 699, check)
    call createCurrent(P_H, P_muMinus, P_muPlus, 786, check)
    call createCurrent(P_GMinus, P_H, P_A, P_WPlus, 617, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 790, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 519, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H, 107, check)
    call createCurrent(P_H, P_GMinus, P_H, P_GPlus, 706, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, 423, check)
    call createCurrent(P_G0, P_tAnti, P_t, 318, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 77, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 441, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 642, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 512, check)
    call createCurrent(P_g, P_g, 1104, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, P_H, 419, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 952, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 732, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, P_H, 884, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 561, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 559, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 777, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, 334, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 157, check)
    call createCurrent(P_dAnti, P_d, P_g, 202, check)
    call createCurrent(P_Z, P_H, P_G0, 638, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 362, check)
    call createCurrent(P_A, P_G0, P_G0, 68, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_A, 666, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 427, check)
    call createCurrent(P_bAnti, P_g, P_b, 718, check)
    call createCurrent(P_b, P_Z, P_bAnti, 685, check)
    call createCurrent(P_d, P_dAnti, P_G0, 216, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 189, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_A, 704, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 194, check)
    call createCurrent(P_tAnti, P_H, P_t, 1042, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 554, check)
    call createCurrent(P_u, P_uAnti, 1101, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 632, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 257, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 1199, check)
    call createCurrent(P_b, P_bAnti, P_Z, 299, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 637, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 1055, check)
    call createCurrent(P_muMinus, P_H, P_muPlus, 990, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 584, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, 114, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 284, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 58, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 812, check)
    call createCurrent(P_Z, P_Z, 1156, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 489, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 1188, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 719, check)
    call createCurrent(P_H, P_ghZ, P_ghZAnti, 350, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 1201, check)
    call createCurrent(P_uAnti, P_Z, P_u, 2, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, 4, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_Z, 219, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 212, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 410, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 744, check)
    call createCurrent(P_g, P_uAnti, P_u, 913, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 870, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 274, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 974, check)
    call createCurrent(P_A, P_GPlus, P_H, P_WMinus, 694, check)
    call createCurrent(P_G0, P_s, P_sAnti, 1084, check)
    call createCurrent(P_H, P_Z, P_Z, 950, check)
    call createCurrent(P_Z, P_H, P_Z, P_H, 364, check)
    call createCurrent(P_d, P_dAnti, 1107, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 372, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 1148, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 1171, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 863, check)
    call createCurrent(P_WMinus, P_WPlus, 1173, check)
    call createCurrent(P_Z, P_sAnti, P_s, 708, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 101, check)
    call createCurrent(P_G0, P_b, P_bAnti, 217, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 569, check)
    call createCurrent(P_H, P_eMinus, P_ePlus, 583, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H, 872, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H, 827, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 142, check)
    call createCurrent(P_H, P_G0, P_Z, 868, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 399, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 232, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 644, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 1096, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 297, check)
    call createCurrent(P_sAnti, P_s, P_Z, 50, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 434, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 751, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 874, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 566, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 313, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 710, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 358, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 80, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 526, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 1155, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 914, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 383, check)
    call createCurrent(P_tAnti, P_t, P_G0, 1052, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 841, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 882, check)
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 582, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 171, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 1058, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, 832, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 247, check)
    call createCurrent(P_G0, P_d, P_dAnti, 735, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 223, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 108, check)
    call createCurrent(P_bAnti, P_G0, P_b, 831, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghWm, 736, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 660, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 712, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 40, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 776, check)
    call createCurrent(P_H, P_Z, P_G0, 540, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H, 859, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, 1092, check)
    call createCurrent(P_c, P_cAnti, P_H, 256, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 10, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 989, check)
    call createCurrent(P_bAnti, P_H, P_b, 737, check)
    call createCurrent(P_Z, P_cAnti, P_c, 680, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 1018, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 128, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 336, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 1011, check)
    call createCurrent(P_bAnti, P_Z, P_b, 826, check)
    call createCurrent(P_H, P_G0, P_G0, P_H, 646, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 733, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 830, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_A, 124, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 496, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 761, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 198, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 905, check)
    call createCurrent(P_cAnti, P_H, P_c, 1071, check)
    call createCurrent(P_d, P_dAnti, P_A, 640, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 421, check)
    call createCurrent(P_A, P_Z, 1150, check)
    call createCurrent(P_cAnti, P_G0, P_c, 271, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 311, check)
    call createCurrent(P_G0, P_G0, P_H, 577, check)
    call createCurrent(P_G0, P_A, P_Z, 836, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 524, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 892, check)
    call createCurrent(P_H, P_A, P_GPlus, P_WMinus, 702, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 453, check)
    call createCurrent(P_cAnti, P_c, P_A, 291, check)
    call createCurrent(P_A, P_A, P_g, P_g, 1136, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 976, check)
    call createCurrent(P_u, P_uAnti, P_A, 1040, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 715, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 1044, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 970, check)
    call createCurrent(P_c, P_cAnti, 1102, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 614, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 893, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 613, check)
    call createCurrent(P_H, P_muPlus, P_muMinus, 161, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 464, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 991, check)
    call createCurrent(P_u, P_uAnti, P_G0, 498, check)
    call createCurrent(P_WPlus, P_WMinus, 1125, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 356, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 42, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_H, 405, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 659, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 518, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 1176, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H, 443, check)
    call createCurrent(P_Z, P_Z, P_H, P_H, 621, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 1185, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 1077, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 691, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 793, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 199, check)
    call createCurrent(P_g, P_s, P_sAnti, 184, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 292, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 121, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 386, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 357, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 411, check)
    call createCurrent(P_b, P_bAnti, 1105, check)
    call createCurrent(P_H, P_ghWm, P_ghWmAnti, 734, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 380, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 200, check)
    call createCurrent(P_tauMinus, P_tauPlus, 1138, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 595, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 467, check)
    call createCurrent(P_t, P_tAnti, 1100, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 227, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 63, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 446, check)
    call createCurrent(P_c, P_A, P_cAnti, 430, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 910, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 618, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 1074, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 562, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 324, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, 451, check)
    call createCurrent(P_dAnti, P_d, P_H, 148, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 663, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H, 326, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 523, check)
    call createCurrent(P_d, P_G0, P_dAnti, 754, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 532, check)
    call createCurrent(P_G0, P_A, P_G0, 136, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 1094, check)
    call createCurrent(P_Z, P_Z, P_G0, 855, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, 756, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 170, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 174, check)
    call createCurrent(P_g, P_g, P_A, P_g, 1132, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 69, check)
    call createCurrent(P_Z, P_A, P_H, 798, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 823, check)
    call createCurrent(P_bAnti, P_b, 1103, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 230, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 435, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 18, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 984, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 985, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 695, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 1130, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 508, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 906, check)
    call createCurrent(P_uAnti, P_u, P_A, 153, check)
    call createCurrent(P_tAnti, P_G0, P_t, 262, check)
    call createCurrent(P_A, P_tAnti, P_t, 295, check)
    call createCurrent(P_GPlus, P_A, P_H, P_WMinus, 972, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 740, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 880, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 414, check)
    call createCurrent(P_s, P_H, P_sAnti, 871, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 110, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 105, check)
    call createCurrent(P_ghWm, P_H, P_ghWmAnti, 1083, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 873, check)
    call createCurrent(P_tAnti, P_Z, P_t, 730, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 840, check)
    call createCurrent(P_tauMinus, P_H, P_tauPlus, 948, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 517, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 772, check)
    call createCurrent(P_H, P_WPlus, P_A, P_GMinus, 245, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 888, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 641, check)
    call createCurrent(P_Z, P_d, P_dAnti, 1068, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 146, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 799, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 634, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 322, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 1070, check)
    call createCurrent(P_d, P_dAnti, P_H, 1016, check)
    call createCurrent(P_Z, P_WMinus, P_H, P_GPlus, 549, check)
    call createCurrent(P_Z, P_GMinus, P_H, P_WPlus, 966, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 1134, check)
    call createCurrent(P_G0, P_G0, P_A, 231, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 560, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 690, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 668, check)
    call createCurrent(P_b, P_bAnti, P_g, 968, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, 603, check)
    call createCurrent(P_WMinus, P_A, P_H, P_GPlus, 731, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 932, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 981, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 165, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 1197, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 117, check)
    call createCurrent(P_uAnti, P_g, P_u, 1065, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 38, check)
    call createCurrent(P_A, P_s, P_sAnti, 6, check)
    call createCurrent(P_Z, P_H, P_H, P_Z, 937, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 550, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 580, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 401, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 1009, check)
    call createCurrent(P_H, P_ePlus, P_eMinus, 689, check)
    call createCurrent(P_WPlus, P_H, P_Z, P_GMinus, 452, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, 466, check)
    call createCurrent(P_bAnti, P_b, P_Z, 938, check)
    call createCurrent(P_g, P_A, P_g, P_g, 1191, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 661, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 935, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 237, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 687, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H, 1017, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 975, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 944, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, P_H, 918, check)
    call createCurrent(P_tAnti, P_t, P_Z, 586, check)
    call createCurrent(P_A, P_H, P_WPlus, P_GMinus, 319, check)
    call createCurrent(P_d, P_g, P_dAnti, 233, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 255, check)
    call createCurrent(P_g, P_t, P_tAnti, 669, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 992, check)
    call createCurrent(P_H, P_tAnti, P_t, 1075, check)
    call createCurrent(P_g, P_A, P_A, P_g, 1152, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 795, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 172, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 1123, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 1151, check)
    call createCurrent(P_sAnti, P_Z, P_s, 389, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 132, check)
    call createCurrent(P_H, P_H, P_g, P_g, 1189, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 1034, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 745, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 757, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 643, check)
    call createCurrent(P_G0, P_H, P_G0, P_H, 653, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 49, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 538, check)
    call createCurrent(P_A, P_WPlus, P_H, P_GMinus, 564, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 748, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_Z, 720, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 902, check)
    call createCurrent(P_c, P_cAnti, P_g, 385, check)
    call createCurrent(P_ghWp, P_H, P_ghWpAnti, 616, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 983, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 628, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 465, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_A, 188, check)
    call createCurrent(P_u, P_uAnti, P_Z, 116, check)
    call createCurrent(P_GPlus, P_H, P_Z, P_WMinus, 1015, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 1182, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, 341, check)
    call createCurrent(P_GMinus, P_H, P_Z, P_WPlus, 94, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 273, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 904, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 162, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 342, check)
    call createCurrent(P_H, P_A, P_GMinus, P_WPlus, 244, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 1088, check)
    call createCurrent(P_ghWpAnti, P_H, P_ghWp, 713, check)
    call createCurrent(P_dAnti, P_A, P_d, 760, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 980, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 907, check)
    call createCurrent(P_u, P_H, P_uAnti, 555, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 998, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 806, check)
    call createCurrent(P_H, P_GMinus, P_A, P_WPlus, 382, check)
    call createCurrent(P_b, P_G0, P_bAnti, 509, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 887, check)
    call createCurrent(P_Z, P_tAnti, P_t, 771, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 248, check)
    call createCurrent(P_G0, P_G0, 1120, check)
    call createCurrent(P_g, P_b, P_bAnti, 397, check)
    call createCurrent(P_A, P_b, P_bAnti, 921, check)
    call createCurrent(P_g, P_g, P_H, P_H, 1146, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 392, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 1012, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 590, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 529, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 253, check)
    call createCurrent(P_sAnti, P_g, P_s, 1062, check)
    call createCurrent(P_A, P_G0, P_H, 792, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 47, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 195, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 181, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 924, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 1030, check)
    call createCurrent(P_c, P_H, P_cAnti, 1090, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 1080, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 1069, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 417, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 1025, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 15, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 100, check)
    call createCurrent(P_sAnti, P_s, P_g, 456, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_H, 359, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 159, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 922, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 852, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 610, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 109, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 102, check)
    call createCurrent(P_H, P_GPlus, P_H, P_GMinus, 1000, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 1126, check)
    call createCurrent(P_bAnti, P_A, P_b, 741, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H, 729, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 491, check)
    call createCurrent(P_ePlus, P_eMinus, P_H, 412, check)
    call createCurrent(P_s, P_sAnti, 1106, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 750, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 1111, check)
    call createCurrent(P_b, P_g, P_bAnti, 563, check)
    call createCurrent(P_tAnti, P_t, P_g, 177, check)
    call createCurrent(P_A, P_G0, P_A, 1059, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 361, check)
    call createCurrent(P_d, P_H, P_dAnti, 27, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, 820, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 19, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, P_H, 34, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 1073, check)
    call createCurrent(P_uAnti, P_u, P_Z, 1063, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 606, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 912, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 747, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 89, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 32, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, 810, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 56, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 785, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, 936, check)
    call createCurrent(P_G0, P_t, P_tAnti, 894, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 684, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 605, check)
    call createCurrent(P_sAnti, P_s, P_G0, 531, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 629, check)
    call createCurrent(P_H, P_Z, P_GPlus, P_WMinus, 458, check)
    call createCurrent(P_A, P_H, P_Z, 876, check)
    call createCurrent(P_A, P_GMinus, P_H, P_WPlus, 631, check)
    call createCurrent(P_H, P_WMinus, P_Z, P_GPlus, 404, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 135, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 422, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 683, check)
    call createCurrent(P_u, P_G0, P_uAnti, 525, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 156, check)
    call createCurrent(P_cAnti, P_c, P_G0, 738, check)
    call createCurrent(P_c, P_G0, P_cAnti, 928, check)
    call createCurrent(P_g, P_u, P_uAnti, 764, check)
    call createCurrent(P_H, P_bAnti, P_b, 527, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_A, 210, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H, 506, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 1041, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 1035, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 979, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 492, check)
    call createCurrent(P_Z, P_H, P_A, 724, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 209, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 504, check)
    call createCurrent(P_H, P_H, P_Z, 807, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, 203, check)
    call createCurrent(P_G0, P_sAnti, P_s, 275, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 672, check)
    call createCurrent(P_GPlus, P_Z, P_H, P_WMinus, 1056, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 1076, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 119, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 9, check)
    call createCurrent(P_g, P_g, P_g, 558, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 969, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 75, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 501, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 260, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 521, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 254, check)
    call createCurrent(P_G0, P_Z, P_Z, 415, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_H, 615, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 55, check)
    call createCurrent(P_g, P_tAnti, P_t, 1003, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 444, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 1014, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 788, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 28, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 900, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 821, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 127, check)
    call createCurrent(P_H, P_A, P_G0, 302, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 400, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 1194, check)
    call createCurrent(P_Z, P_Z, P_A, 338, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_H, 120, check)
    call createCurrent(P_Z, P_H, P_H, 155, check)
    call createCurrent(P_H, P_s, P_sAnti, 557, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 259, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 290, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 633, check)
    call createCurrent(P_H, P_Z, P_WMinus, P_GPlus, 576, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 373, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 51, check)
    call createCurrent(P_Z, P_H, P_GMinus, P_WPlus, 79, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 860, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 662, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 703, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 398, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 376, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 72, check)
    call createCurrent(P_g, P_dAnti, P_d, 752, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 598, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 445, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_H, 306, check)
    call createCurrent(P_bAnti, P_b, P_H, 487, check)
    call createCurrent(P_eMinus, P_ePlus, P_H, 678, check)
    call createCurrent(P_d, P_Z, P_dAnti, 431, check)
    call createCurrent(P_A, P_bAnti, P_b, 30, check)
    call createCurrent(P_A, P_H, P_H, 163, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 534, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 1039, check)
    call createCurrent(P_g, P_bAnti, P_b, 1095, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, P_H, 349, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 61, check)
    call createCurrent(P_b, P_bAnti, P_H, 1027, check)
    call createCurrent(P_t, P_A, P_tAnti, 60, check)
    call createCurrent(P_ePlus, P_eMinus, 1178, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 1139, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_A, 677, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 133, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 251, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, P_H, 36, check)
    call createCurrent(P_G0, P_Z, P_H, 862, check)
    call createCurrent(P_GMinus, P_H, P_H, P_GPlus, 416, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 1184, check)
    call createCurrent(P_cAnti, P_c, P_Z, 308, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 670, check)
    call createCurrent(P_Z, P_G0, P_A, 639, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 440, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 780, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 499, check)
    call createCurrent(P_ghZ, P_H, P_ghZAnti, 829, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 721, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 91, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 783, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 939, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 1, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 312, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 994, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 1085, check)
    call createCurrent(P_Z, P_A, 1165, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 866, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 134, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 967, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 1124, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 596, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 782, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H, 213, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 588, check)
    call createCurrent(P_G0, P_H, P_H, P_G0, 378, check)
    call createCurrent(P_bAnti, P_b, P_A, 769, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, 1053, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_H, 92, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 366, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 784, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 192, check)
    call createCurrent(P_muMinus, P_muPlus, 1113, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 600, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 71, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 345, check)
    call createCurrent(P_H, P_WMinus, P_A, P_GPlus, 903, check)
    call createCurrent(P_s, P_G0, P_sAnti, 901, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 396, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_A, 1093, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 65, check)
    call createCurrent(P_t, P_tAnti, P_Z, 945, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 1192, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, 658, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 1072, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 328, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 800, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 433, check)
    call createCurrent(P_H, P_u, P_uAnti, 1020, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 697, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 688, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 1082, check)
    call createCurrent(P_H, P_H, P_WPlus, P_WMinus, 448, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 627, check)
    call createCurrent(P_c, P_Z, P_cAnti, 150, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 898, check)
    call createCurrent(P_eMinus, P_H, P_ePlus, 995, check)
    call createCurrent(P_G0, P_G0, P_H, P_H, 26, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 242, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 1168, check)
    call createCurrent(P_g, P_H, P_g, P_H, 1137, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, 556, check)
    call createCurrent(P_H, P_b, P_bAnti, 891, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 173, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 940, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 801, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 953, check)
    call createCurrent(P_dAnti, P_G0, P_d, 494, check)
    call createCurrent(P_A, P_H, P_GPlus, P_WMinus, 103, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 272, check)
    call createCurrent(P_A, P_A, 1121, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 175, check)
    call createCurrent(P_H, P_WPlus, P_H, P_WMinus, 278, check)
    call createCurrent(P_Z, P_Z, P_H, 591, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H, 351, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 84, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 630, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 220, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 67, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 1202, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 833, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 1023, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, 775, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 225, check)
    call createCurrent(P_WMinus, P_H, P_H, P_WPlus, 5, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 571, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 261, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 375, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 993, check)
    call createCurrent(P_A, P_WMinus, P_H, P_GPlus, 607, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 438, check)
    call createCurrent(P_s, P_sAnti, P_g, 537, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 802, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 954, check)
    call createCurrent(P_tAnti, P_g, P_t, 374, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 186, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_Z, 283, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 725, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 473, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 636, check)
    call createCurrent(P_H, P_A, P_WPlus, P_GMinus, 522, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 766, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 1050, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 3, check)
    call createCurrent(P_u, P_uAnti, P_g, 696, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 774, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 468, check)
    call createCurrent(P_GPlus, P_H, P_A, P_WMinus, 87, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 601, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 293, check)
    call createCurrent(P_t, P_g, P_tAnti, 1060, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 1129, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 946, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H, 811, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, 819, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 929, check)
    call createCurrent(P_ghZAnti, P_H, P_ghZ, 686, check)
    call createCurrent(P_tauPlus, P_H, P_tauMinus, 131, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 520, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H, 763, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 1049, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 93, check)
    call createCurrent(P_H, P_Z, P_H, 542, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 673, check)
    call createCurrent(P_H, P_uAnti, P_u, 645, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 656, check)
    call createCurrent(P_Z, P_G0, P_Z, 749, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 197, check)
    call createCurrent(P_H, P_H, P_G0, P_G0, 388, check)
    call createCurrent(P_u, P_g, P_uAnti, 624, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 81, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, 140, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_Z, 813, check)
    call createCurrent(P_eMinus, P_ePlus, 1157, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 112, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 1133, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 931, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, 125, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H, 476, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 301, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 1046, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 381, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 8, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 215, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 462, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 204, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 1170, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 481, check)
    call createCurrent(P_b, P_H, P_bAnti, 241, check)
    call createCurrent(P_H, P_c, P_cAnti, 794, check)
    call createCurrent(P_tAnti, P_A, P_t, 982, check)
    call createCurrent(P_H, P_A, P_Z, 692, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 144, check)
    call createCurrent(P_cAnti, P_c, P_H, 1037, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 915, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 1166, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 384, check)
    call createCurrent(P_u, P_Z, P_uAnti, 787, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 1089, check)
    call createCurrent(P_H, P_Z, P_Z, P_H, 682, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_H, 267, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 1144, check)
    call createCurrent(P_H, P_Z, P_A, 450, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 371, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 180, check)
    call createCurrent(P_s, P_sAnti, P_A, 850, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 650, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 321, check)
    call createCurrent(P_H, P_ghWp, P_ghWpAnti, 587, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, 249, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 857, check)
  end subroutine fill_current_1
end module currents_info1
