!******************************************************************************!
!                                                                              !
!    lcVSV.f90                                                                 !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   lcVSV.f90                                      |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:45             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module lcVSV
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29, x30, x31, x32, x33, x34, x35, x36, x37,  &
                  x38, x39, x40, x41, x42, x43, x44, x45, x46, x47, x48, x49,  &
                  x50, x51, x52, x53, x54, x55, x56, x57, x58, x59, x60, x61,  &
                  x62, x63, x64, x65, x66, x67, x68, x69, x70, x71, x72, x73,  &
                  x74, x75, x76, x77, x78, x79, x80, x81, x82, x83, x84, x85,  &
                  x86, x87, x88, x89, x90, x91, x92, x93, x94, x95, x96, x97,  &
                  x98, x99, x100, x101, x102, x103, x104, x105, x106, x107,    &
                  x108, x109, x110, x111, x112, x113, x114, x115, x116, x117,  &
                  x118, x119, x120, x121, x122, x123, x124, x125, x126, x127,  &
                  x128, x129, x130, x131, x132, x133, x134, x135, x136, x137,  &
                  x138, x139, x140, x141, x142, x143, x144, x145, x146, x147,  &
                  x148, x149, x150, x151, x152, x153, x154, x155, x156, x157,  &
                  x158, x159, x160, x161, x162, x163, x164, x165, x166, x167,  &
                  x168, x169, x170, x171, x172, x173, x174, x175, x176, x177,  &
                  x178, x179, x180, x181, x182, x183, x184, x185, x186, x187,  &
                  x188, x189, x190, x191, x192, x193, x194, x195, x196, x197,  &
                  x198, x199, x200, x201, x202, x203, x204, x205, x206, x207,  &
                  x208, x209, x210, x211, x212, x213, x214, x215, x216, x217,  &
                  x218, x219, x220, x221, x222, x223, x224, x225, x226, x227,  &
                  x228, x229, x230, x231, x232, x233, x234, x235, x236, x237,  &
                  x238, x239, x240, x241, x242, x243, x244, x245, x246, x247,  &
                  x248, x249, x250, x251, x252, x253, x254, x255, x256, x257,  &
                  x258, x259, x260, x261, x262, x263, x264, x265, x266, x267,  &
                  x268, x269, x270, x271, x272, x273, x274, x275, x276, x277,  &
                  x278, x279, x280, x281, x282, x283, x284, x285, x286, x287,  &
                  x288, x289, x290, x291, x292, x293, x294, x295, x296, x297,  &
                  x298, x299, x300, x301, x302, x303, x304, x305, x306, x307,  &
                  x308, x309, x310, x311, x312, x313, x314, x315, x316, x317,  &
                  x318, x319, x320, x321, x322, x323, x324, x325, x326, x327,  &
                  x328, x329, x330, x331, x332, x333, x334, x335, x336, x337,  &
                  x338, x339, x340, x341, x342, x343, x344, x345, x346, x347,  &
                  x348, x349, x350, x351, x352, x353, x354, x355, x356, x357,  &
                  x358, x359, x360, x361, x362, x363, x364, x365, x366, x367,  &
                  x368, x369, x370, x371, x372, x373, x374, x375, x376, x377,  &
                  x378, x379, x380, x381, x382, x383, x384, x385, x386, x387,  &
                  x388, x389, x390, x391, x392, x393, x394, x395, x396, x397,  &
                  x398, x399, x400, x401, x402, x403, x404, x405, x406, x407,  &
                  x408, x409, x410, x411, x412, x413, x414, x415, x416, x417,  &
                  x418, x419, x420, x421, x422, x423, x424, x425, x426, x427,  &
                  x428, x429, x430, x431, x432, x433, x434, x435, x436, x437,  &
                  x438, x439, x440, x441, x442, x443, x444, x445, x446, x447,  &
                  x448, x449, x450, x451, x452, x453, x454, x455, x456, x457,  &
                  x458, x459, x460, x461, x462, x463, x464, x465, x466, x467,  &
                  x468, x469, x470, x471, x472, x473, x474, x475, x476, x477,  &
                  x478, x479, x480, x481, x482, x483, x484, x485, x486, x487,  &
                  x488, x489, x490, x491, x492, x493, x494, x495, x496, x497,  &
                  x498, x499, x500, x501, x502, x503, x504, x505, x506, x507,  &
                  x508, x509, x510, x511, x512, x513, x514, x515, x516, x517,  &
                  x518, x519, x520, x521, x522, x523, x524, x525, x526, x527,  &
                  x528, x529, x530, x531, x532, x533, x534, x535, x536, x537,  &
                  x538, x539, x540, x541, x542, x543, x544, x545, x546, x547,  &
                  x548, x549, x550, x551, x552, x553, x554, x555, x556, x557,  &
                  x558, x559, x560, x561, x562, x563, x564, x565, x566, x567,  &
                  x568, x569, x570, x571, x572, x573, x574, x575, x576, x577,  &
                  x578, x579, x580, x581, x582, x583, x584, x585, x586, x587,  &
                  x588, x589, x590, x591, x592, x593, x594, x595, x596, x597,  &
                  x598, x599, x600, x601, x602, x603, x604, x605, x606, x607,  &
                  x608, x609, x610, x611, x612, x613, x614, x615, x616, x617,  &
                  x618, x619, x620, x621, x622, x623, x624, x625, x626, x627,  &
                  x628, x629, x630, x631, x632, x633, x634, x635, x636, x637,  &
                  x638, x639, x640, x641, x642, x643, x644, x645, x646, x647,  &
                  x648, x649, x650, x651, x652, x653, x654, x655, x656, x657,  &
                  x658, x659, x660, x661, x662, x663, x664, x665, x666, x667,  &
                  x668, x669, x670, x671, x672, x673, x674, x675, x676, x677,  &
                  x678, x679, x680, x681, x682, x683, x684, x685, x686, x687,  &
                  x688, x689, x690, x691, x692, x693, x694, x695, x696, x697,  &
                  x698, x699, x700, x701, x702, x703, x704, x705, x706, x707,  &
                  x708, x709, x710, x711, x712, x713, x714, x715, x716, x717,  &
                  x718, x719, x720, x721, x722, x723, x724, x725, x726, x727,  &
                  x728, x729, x730, x731, x732, x733, x734, x735, x736, x737,  &
                  x738, x739, x740, x741, x742, x743, x744, x745, x746, x747,  &
                  x748, x749, x750, x751, x752, x753, x754, x755, x756, x757,  &
                  x758, x759, x760, x761, x762, x763, x764, x765, x766, x767,  &
                  x768, x769, x770, x771, x772, x773, x774, x775, x776, x777,  &
                  x778, x779, x780, x781, x782, x783, x784, x785, x786, x787,  &
                  x788, x789, x790, x791, x792, x793, x794, x795, x796, x797,  &
                  x798, x799, x800, x801, x802, x803, x804, x805, x806, x807,  &
                  x808, x809, x810, x811, x812, x813, x814, x815, x816, x817,  &
                  x818, x819, x820, x821, x822, x823, x824, x825, x826, x827,  &
                  x828, x829, x830, x831, x832, x833, x834, x835, x836, x837,  &
                  x838, x839, x840, x841, x842, x843, x844, x845, x846, x847,  &
                  x848, x849, x850, x851, x852, x853, x854, x855, x856, x857,  &
                  x858, x859, x860, x861, x862, x863, x864, x865, x866, x867,  &
                  x868, x869, x870, x871, x872, x873, x874, x875, x876, x877,  &
                  x878, x879, x880, x881, x882, x883, x884, x885, x886, x887,  &
                  x888, x889, x890, x891, x892, x893, x894, x895, x896, x897,  &
                  x898, x899, x900, x901, x902, x903, x904, x905, x906, x907,  &
                  x908, x909, x910, x911, x912, x913, x914, x915, x916, x917,  &
                  x918, x919, x920, x921, x922, x923, x924, x925, x926, x927,  &
                  x928, x929, x930, x931, x932, x933, x934, x935, x936, x937,  &
                  x938, x939, x940, x941, x942, x943, x944, x945, x946, x947,  &
                  x948, x949, x950, x951, x952, x953, x954, x955, x956, x957,  &
                  x958, x959, x960, x961, x962, x963, x964, x965, x966, x967,  &
                  x968, x969, x970, x971, x972, x973, x974, x975, x976, x977,  &
                  x978, x979, x980, x981, x982, x983, x984, x985, x986, x987,  &
                  x988, x989, x990, x991, x992, x993, x994, x995, x996, x997,  &
                  x998, x999, x1000, x1001, x1002, x1003, x1004, x1005, x1006, &
                  x1007, x1008, x1009, x1010, x1011, x1012, x1013, x1014, x1015&
                  , x1016, x1017, x1018, x1019, x1020, x1021, x1022, x1023,    &
                  x1024, x1025, x1026, x1027, x1028, x1029, x1030, x1031, x1032&
                  , x1033, x1034, x1035, x1036, x1037, x1038, x1039, x1040,    &
                  x1041, x1042, x1043, x1044, x1045, x1046, x1047, x1048, x1049&
                  , x1050, x1051, x1052, x1053, x1054, x1055, x1056, x1057,    &
                  x1058, x1059, x1060, x1061, x1062, x1063, x1064, x1065, x1066&
                  , x1067, x1068, x1069, x1070, x1071, x1072, x1073, x1074,    &
                  x1075, x1076, x1077, x1078, x1079, x1080, x1081, x1082, x1083&
                  , x1084, x1085, x1086, x1087, x1088, x1089, x1090, x1091,    &
                  x1092, x1093, x1094, x1095, x1096, x1097, x1098, x1099, x1100&
                  , x1101, x1102, x1103
  complex (dp), dimension(0:3) :: x0vec, x1vec, x2vec, x3vec, x4vec, x5vec,    &
                                  x6vec, x7vec
  contains
    subroutine loopVSV(ty, co, wl, P1, PL1, w2, P2, PL2, m, wp, riMaxIn,       &
    riMaxOut, rankInc)
      use class_vertices
      integer, intent(in) :: riMaxIn, riMaxOut, rankInc
      complex (kind = dp), intent(in), dimension(0:3) :: P1, PL1
      complex (kind = dp), intent(in), dimension(0:3, 0:riMaxIn) :: wl
      complex (kind = dp), intent(in), dimension(0:3) :: P2, PL2
      complex (kind = dp), intent(in), dimension(0:3) :: w2
      complex (dp), intent(out), dimension(0:3,0:riMaxOut) :: wp
      complex (kind = dp), intent(in) :: m
      complex (kind = dp), dimension(0:3) :: pl, p
      integer, intent(in) :: ty
      complex (kind = dp), dimension(0:), intent(in) :: co
      complex (kind = dp), dimension(0:3) :: sp1
      complex (kind = dp), dimension(0:3,0:3) :: sp2
      complex (kind = dp), dimension(0:3,0:3,0:3) :: sp3
      complex (kind = dp), dimension(0:3,0:3,0:3,0:3) :: sp4
      character(len=3) :: ty_str
      integer :: riOut, j
      logical :: isFirstRI
      integer :: mu, nu, ro, ta, te, tu
      select case(ty)
      case(VSV0)
!       P(1,2)*P(3,1)*c0
!       P(1,3)*P(3,2)*c1
!       -Metric(1,3)*P(-1,1)*P(-1,2)*c2
!       -Metric(1,3)*P(-1,2)*P(-1,3)*c3
!       Epsilon(-1,-2,1,3)*P(-1,2)*P(-2,3)*c4
!       -Epsilon(-1,-2,1,3)*P(-1,1)*P(-2,2)*c5
        x3 = P1(1)*co(5)
        x7 = P1(3)*co(5)
        x11 = P2(1)*co(4)
        x15 = P2(3)*co(4)
        x16 = P2(0)**2
        x17 = P2(1)**2
        x19 = P2(2)**2
        x21 = P2(3)**2
        x25 = P1(2)*co(5)
        x29 = P2(2)*co(4)
        x35 = P2(1)*co(0)
        x37 = P2(2)*co(0)
        x39 = P2(3)*co(0)
        x51 = cima*w2(0)
        x52 = P1(0)*co(5)
        x55 = P2(0)*co(4)
        x63 = P2(0)*co(2)
        x71 = P2(0)*co(3)
        x73 = P2(0)*co(0)
        do j = riMaxIn, 0, -1
          x0 = P2(2)*wl(3,j)
          x1 = P2(3)*wl(2,j)
          x2 = x0 - x1
          x4 = P2(1)*wl(2,j)
          x5 = P2(2)*wl(1,j)
          x6 = x4 - x5
          x8 = P1(2)*wl(3,j)
          x9 = P1(3)*wl(2,j)
          x10 = x8 - x9
          x12 = P1(1)*wl(2,j)
          x13 = P1(2)*wl(1,j)
          x14 = x12 - x13
          x18 = co(3)*wl(0,j)
          x20 = co(3)*x19
          x22 = P2(1)*wl(3,j)
          x23 = P2(3)*wl(1,j)
          x24 = x22 - x23
          x26 = P1(1)*wl(3,j)
          x27 = P1(3)*wl(1,j)
          x28 = x26 - x27
          x30 = co(3)*x16
          x31 = P2(0)*wl(0,j)
          x32 = co(1)*x31
          x33 = co(2)*x31
          x34 = P1(0)*wl(1,j)
          x36 = P1(0)*wl(2,j)
          x38 = P1(0)*wl(3,j)
          x40 = P1(1)*P2(1)*wl(0,j)
          x41 = P1(2)*P2(2)*wl(0,j)
          x42 = P1(3)*P2(3)*wl(0,j)
          x43 = co(0)*x31
          x44 = co(3)*x31
          x45 = P2(0)*wl(1,j)
          x46 = co(1)*x45
          x47 = P2(0)*wl(2,j)
          x48 = co(1)*x47
          x49 = P2(0)*wl(3,j)
          x50 = co(1)*x49
          x53 = P2(2)*wl(0,j)
          x54 = x47 - x53
          x56 = P1(2)*wl(0,j)
          x57 = x36 - x56
          x58 = co(3)*wl(1,j)
          x59 = P2(3)*wl(0,j)
          x60 = x49 - x59
          x61 = P1(3)*wl(0,j)
          x62 = x38 - x61
          x64 = P2(1)*wl(0,j)
          x65 = co(1)*x64
          x66 = P2(1)*wl(1,j)
          x67 = co(0)*x66
          x68 = co(3)*x66
          x69 = co(3)*x5
          x70 = P1(3)*P2(3)*wl(1,j)
          x72 = P1(1)*wl(0,j)
          x74 = co(1)*x66
          x75 = co(2)*x66
          x76 = co(1)*x4
          x77 = co(2)*x5
          x78 = co(1)*x22
          x79 = co(3)*wl(2,j)
          x80 = x45 - x64
          x81 = x34 - x72
          x82 = co(1)*wl(2,j)
          x83 = co(1)*x53
          x84 = co(3)*x4
          x85 = P2(2)*wl(2,j)
          x86 = co(0)*x85
          x87 = P2(2)*x79
          x88 = co(3)*x1
          x89 = co(2)*x4
          x90 = co(1)*x5
          x91 = P2(2)*x82
          x92 = co(2)*x85
          x93 = co(1)*x0
          x94 = co(2)*x1
          x95 = co(3)*wl(3,j)
          x96 = co(1)*wl(3,j)
          x97 = co(2)*x49
          x98 = co(1)*x59
          x99 = P1(1)*P2(1)*wl(3,j)
          x100 = co(3)*x0
          x101 = P2(3)*wl(3,j)
          x102 = co(0)*x101
          x103 = P2(3)*x95
          x104 = co(3)*x49
          x105 = co(1)*x23
          x106 = co(2)*x0
          x107 = co(1)*x1
          x108 = P2(3)*x96
          x109 = co(2)*x101
          x110 = co(4)*x0
          x111 = co(5)*x1
          x112 = co(5)*x0
          x113 = co(4)*x1
          x114 = co(5)*x22
          x115 = co(4)*x23
          x116 = co(4)*x22
          x117 = co(5)*x23
          x118 = co(4)*x4
          x119 = co(5)*x5
          x120 = co(5)*x4
          x121 = co(4)*x5
          x122 = -x102 + x43 - x67 - x86
          x123 = co(5)*x49
          x124 = co(4)*x59
          x125 = co(4)*x49
          x126 = co(5)*x59
          x127 = co(4)*x47
          x128 = co(5)*x53
          x129 = co(5)*x47
          x130 = co(4)*x53
          x131 = co(5)*x45
          x132 = co(4)*x64
          x133 = co(4)*x45
          x134 = co(5)*x64
          wp(0,j) = x51*(P1(0)*x32 + P1(0)*x33 - P1(0)*x43 - P1(0)*x44 - P1(1)*&
                    x46 - P1(2)*x48 - P1(3)*x50 - P2(1)*x46 - P2(2)*x48 - P2(3 &
                    )*x50 + co(1)*wl(0,j)*x16 - co(2)*x40 - co(2)*x41 - co(2)* &
                    x42 + co(3)*x40 + co(3)*x41 + co(3)*x42 + wl(0,j)*x20 - wl(&
                    0,j)*x30 + x10*x11 + x11*x2 + x14*x15 + x15*x6 + x17*x18 + &
                    x18*x21 + x2*x3 - x24*x25 - x24*x29 - x28*x29 + x34*x35 +  &
                    x36*x37 + x38*x39 + x6*x7)
          wp(1,j) = x51*(P1(0)*x65 + P1(1)*x67 + P1(1)*x68 - P1(1)*x74 - P1(1)*&
                    x75 + P1(2)*x69 - P1(2)*x76 - P1(2)*x77 - P1(3)*x78 + P2(0 &
                    )*x65 - P2(2)*x76 - P2(3)*x78 - co(1)*wl(1,j)*x17 - co(2)* &
                    x70 + co(3)*x70 + wl(1,j)*x20 - wl(1,j)*x30 + x10*x55 + x12&
                    *x37 + x15*x54 + x15*x57 + x17*x58 + x2*x52 + x2*x55 + x21*&
                    x58 - x25*x60 + x26*x39 - x29*x60 - x29*x62 + x34*x63 - x34&
                    *x71 + x54*x7 - x72*x73)
          wp(2,j) = x51*(P1(0)*x83 + P1(1)*x84 - P1(1)*x89 - P1(1)*x90 + P1(2)*&
                    x86 + P1(2)*x87 - P1(2)*x91 - P1(2)*x92 + P1(3)*x88 - P1(3 &
                    )*x93 - P1(3)*x94 + P2(0)*x83 - P2(1)*x90 - P2(3)*x93 + x11&
                    *x60 + x11*x62 + x13*x35 - x15*x80 - x15*x81 - x16*x79 +   &
                    x17*x79 + x19*x79 - x19*x82 + x21*x79 - x24*x52 - x24*x55  &
                     - x28*x55 + x3*x60 + x36*x63 - x36*x71 + x39*x8 - x56*x73 &
                     - x7*x80)
          wp(3,j) = x51*(-P1(0)*x104 + P1(0)*x97 + P1(0)*x98 - P1(1)*x105 + P1(&
                    2)*x100 - P1(2)*x106 - P1(2)*x107 + P1(3)*x102 + P1(3)*x103&
                     - P1(3)*x108 - P1(3)*x109 + P2(0)*x98 - P2(1)*x105 - P2(2 &
                    )*x107 - co(2)*x99 + co(3)*x99 + wl(3,j)*x20 - x11*x54 -   &
                    x11*x57 + x14*x55 - x16*x95 + x17*x95 + x21*x95 - x21*x96  &
                     + x25*x80 + x27*x35 + x29*x80 + x29*x81 - x3*x54 + x37*x9 &
                     + x52*x6 + x55*x6 - x61*x73)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x51*(x102 + x32 + x33 - x43 - x44 + x67 + x86)
          sp2(0,1) = x51*(co(2)*x64 - co(3)*x64 + x110 + x111 - x112 - x113 +  &
                     x46)
          sp2(0,2) = x51*(co(2)*x53 - co(3)*x53 + x114 + x115 - x116 - x117 +  &
                     x48)
          sp2(0,3) = x51*(co(2)*x59 - co(3)*x59 + x118 + x119 - x120 - x121 +  &
                     x50)
          sp2(1,0) = x51*(co(2)*x45 - co(3)*x45 - x110 - x111 + x112 + x113 +  &
                     x65)
          sp2(1,1) = x51*(x122 - x68 + x74 + x75)
          sp2(1,2) = x51*(x123 + x124 - x125 - x126 - x69 + x76 + x77)
          sp2(1,3) = x51*(co(2)*x23 - co(3)*x23 + x127 + x128 - x129 - x130 +  &
                     x78)
          sp2(2,0) = x51*(co(2)*x47 - co(3)*x47 - x114 - x115 + x116 + x117 +  &
                     x83)
          sp2(2,1) = x51*(-x123 - x124 + x125 + x126 - x84 + x89 + x90)
          sp2(2,2) = x51*(x122 - x87 + x91 + x92)
          sp2(2,3) = x51*(x131 + x132 - x133 - x134 - x88 + x93 + x94)
          sp2(3,0) = x51*(-x104 - x118 - x119 + x120 + x121 + x97 + x98)
          sp2(3,1) = x51*(co(2)*x22 - co(3)*x22 + x105 - x127 - x128 + x129 +  &
                     x130)
          sp2(3,2) = x51*(-x100 + x106 + x107 - x131 - x132 + x133 + x134)
          sp2(3,3) = x51*(-x103 + x108 + x109 + x122)
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
          end do 
        end do 
      case(VSV1)
!       Metric(1,3)*c0
        do j = riMaxIn, 0, -1
          wp(:,j) = -cima*co(0)*w2(0)*wl(:,j)
        end do 
      case(VSV2)
!       c0*(-P(-1,1)*P(-1,2)*P(1,3)*P(3,2) + P(-1,1)*P(-1,3)*P(1,2)*P(3,2) - P(-1
!       ,2)*P(-1,3)*P(1,2)*P(3,1))
!       Metric(1,3)*P(-1,1)*P(-1,2)**2*P(-1,3)*c1
!       c2*(Epsilon(-1,-2,-3,3)*P(-1,1)*P(-2,2)*P(-3,3)*P(1,2) - Epsilon(-2,-3,1,
!       3)*P(-1,1)*P(-1,2)*P(-2,2)*P(-3,3))
        x13 = P1(0)*P2(0)*co(2)
        x32 = P2(0)**2
        x42 = P1(2)*P2(3)
        x43 = P1(3)*P2(2)
        x45 = P1(3)*P2(1)
        x46 = P1(1)*P2(3)
        x48 = P1(1)*P2(2)
        x49 = P1(2)*P2(1)
        x54 = P2(1)**2
        x56 = P2(2)**2
        x58 = P2(3)**2
        x60 = P1(1)*P2(1)*co(2)
        x61 = P1(2)*P2(2)*co(2)
        x62 = P1(3)*P2(3)*co(2)
        x65 = P1(1)*P2(1)
        x66 = P1(2)*P2(2)
        x67 = P1(3)*P2(3)
        x68 = P1(0)*P2(0)
        x82 = P1(3)*P2(0)
        x84 = cima*w2(0)
        x104 = P1(0)*P2(3)
        x105 = P1(0)*P2(2)
        x106 = P1(2)*P2(0)
        x128 = P1(1)*P2(0)
        x129 = P1(0)*P2(1)
        x156 = P2(0)*co(2)
        x159 = P2(1)*co(2)
        x171 = P2(2)*co(2)
        x182 = P2(3)*co(2)
        x251 = P2(0)*cima*w2(0)
        x254 = P2(1)*cima*w2(0)
        x255 = P2(2)*cima*w2(0)
        x256 = P2(3)*cima*w2(0)
        do j = riMaxIn, 0, -1
          x0 = P1(1)*wl(3,j)
          x1 = P1(3)*wl(1,j)
          x2 = x0 - x1
          x3 = P2(2)*x2
          x4 = P1(2)*wl(3,j)
          x5 = P1(3)*wl(2,j)
          x6 = x4 - x5
          x7 = P2(1)*x6
          x8 = P1(1)*wl(2,j)
          x9 = P1(2)*wl(1,j)
          x10 = x8 - x9
          x11 = P2(3)*x10
          x12 = -x11 + x3 - x7
          x14 = P2(1)*wl(3,j)
          x15 = P2(3)*wl(1,j)
          x16 = x14 - x15
          x17 = P2(2)*x16
          x18 = P2(2)*wl(3,j)
          x19 = P2(3)*wl(2,j)
          x20 = x18 - x19
          x21 = P2(1)*x20
          x22 = P2(1)*wl(2,j)
          x23 = P2(2)*wl(1,j)
          x24 = x22 - x23
          x25 = P2(3)*x24
          x26 = x17 - x21 - x25
          x27 = P1(1)*wl(1,j)
          x28 = P1(2)*wl(2,j)
          x29 = P1(3)*wl(3,j)
          x30 = P1(0)*wl(0,j)
          x31 = x27 + x28 + x29 - x30
          x33 = co(0)*x32
          x34 = x31*x33
          x35 = P2(1)*wl(1,j)
          x36 = P2(2)*wl(2,j)
          x37 = P2(3)*wl(3,j)
          x38 = P2(0)*wl(0,j)
          x39 = x35 + x36 + x37 - x38
          x40 = co(0)*x39
          x41 = x32*x40
          x44 = P1(1)*co(2)*x39
          x47 = P1(2)*co(2)*x39
          x50 = P1(3)*co(2)*x39
          x51 = P1(1)**2*co(0)*x39
          x52 = P1(2)**2*co(0)*x39
          x53 = P1(3)**2*co(0)*x39
          x55 = x40*x54
          x57 = x40*x56
          x59 = x40*x58
          x63 = -x32 + x54 + x56 + x58
          x64 = P1(1)*P2(1)*co(1)*wl(0,j)
          x69 = x65 + x66 + x67 - x68
          x70 = P1(2)*P2(2)*co(1)*wl(0,j)
          x71 = P1(3)*wl(0,j)
          x72 = co(1)*x71
          x73 = P2(3)*x63
          x74 = P2(3)*x69
          x75 = x40*x65
          x76 = x40*x66
          x77 = x40*x67
          x78 = co(1)*x38
          x79 = x63*x78
          x80 = x69*x78
          x81 = P2(0)*co(0)*x31
          x83 = P2(3)*co(0)*x31
          x85 = P1(0)*wl(3,j)
          x86 = -x71 + x85
          x87 = P2(2)*x86
          x88 = P2(0)*x6
          x89 = P1(0)*wl(2,j)
          x90 = P1(2)*wl(0,j)
          x91 = x89 - x90
          x92 = P2(3)*x91
          x93 = x87 - x88 - x92
          x94 = P2(0)*wl(3,j)
          x95 = P2(3)*wl(0,j)
          x96 = x94 - x95
          x97 = P2(2)*x96
          x98 = P2(0)*x20
          x99 = P2(0)*wl(2,j)
          x100 = P2(2)*wl(0,j)
          x101 = -x100 + x99
          x102 = P2(3)*x101
          x103 = -x102 + x97 - x98
          x107 = P1(0)*co(2)*x39
          x108 = co(0)*x54
          x109 = x108*x31
          x110 = P1(0)**2*co(0)*x39
          x111 = x40*x68
          x112 = P2(1)*co(0)*x31
          x113 = co(1)*wl(1,j)*x63
          x114 = co(1)*wl(1,j)*x69
          x115 = co(1)*x1
          x116 = co(1)*wl(1,j)
          x117 = P1(0)*P2(0)*x69
          x118 = x40*x46
          x119 = P1(0)*wl(1,j)
          x120 = P1(1)*wl(0,j)
          x121 = x119 - x120
          x122 = P2(0)*x2 - P2(1)*x86 + P2(3)*x121
          x123 = P2(0)*wl(1,j)
          x124 = P2(1)*wl(0,j)
          x125 = x123 - x124
          x126 = P2(1)*x96
          x127 = P2(0)*x16 + P2(3)*x125 - x126
          x130 = co(0)*x56
          x131 = x130*x31
          x132 = P2(2)*co(0)*x31
          x133 = co(1)*x8
          x134 = P2(1)*x63
          x135 = P2(1)*x69
          x136 = P1(2)*P2(2)*co(1)*wl(2,j)
          x137 = P1(3)*P2(3)*co(1)*wl(2,j)
          x138 = co(1)*wl(2,j)
          x139 = P1(0)*P2(0)*x63
          x140 = x40*x42
          x141 = P2(1)*x91
          x142 = P2(0)*x10
          x143 = P2(2)*x121
          x144 = co(2)*(x141 - x142 - x143)
          x145 = P2(1)*x101
          x146 = P2(0)*x24
          x147 = P2(2)*x125
          x148 = x145 - x146 - x147
          x149 = co(0)*x58
          x150 = x149*x31
          x151 = x40*x82
          x152 = co(1)*x0
          x153 = P1(2)*P2(2)*co(1)*wl(3,j)
          x154 = P1(3)*P2(3)*co(1)*wl(3,j)
          x155 = co(1)*wl(3,j)
          x157 = co(0)*x38
          x158 = x11 - x3 + x7
          x160 = -x17 + x21 + x25
          x161 = x129*x40
          x162 = co(2)*x20
          x163 = x162*x65
          x164 = x162*x66
          x165 = x162*x67
          x166 = P2(0)*x112
          x167 = co(0)*x123
          x168 = x162*x68
          x169 = co(1)*x124
          x170 = x128*x40
          x172 = co(2)*x16
          x173 = x172*x68
          x174 = x105*x40
          x175 = P2(2)*x81
          x176 = co(0)*x99
          x177 = x172*x65
          x178 = x172*x66
          x179 = x172*x67
          x180 = co(1)*x100
          x181 = x106*x40
          x183 = x104*x40
          x184 = co(2)*x24
          x185 = x184*x65
          x186 = x184*x66
          x187 = co(2)*x25
          x188 = P1(3)*x187
          x189 = P2(3)*x81
          x190 = co(0)*x94
          x191 = co(2)*x146
          x192 = P1(0)*x191
          x193 = co(1)*x95
          x194 = -x87 + x88 + x92
          x195 = x102 - x97 + x98
          x196 = co(0)*x124
          x197 = co(1)*x123
          x198 = co(0)*x35
          x199 = co(1)*x35
          x200 = -x41
          x201 = -x111
          x202 = x200 + x201 + x55 + x57 + x59 + x76
          x203 = co(2)*x96
          x204 = x203*x68
          x205 = x40*x48
          x206 = P2(2)*x112
          x207 = co(0)*x22
          x208 = x203*x65
          x209 = x203*x66
          x210 = x203*x67
          x211 = co(1)*x23
          x212 = x40*x49
          x213 = co(2)*x101
          x214 = x213*x65
          x215 = x213*x66
          x216 = x213*x67
          x217 = P2(3)*x112
          x218 = co(0)*x14
          x219 = x213*x68
          x220 = co(1)*x15
          x221 = x40*x45
          x222 = co(0)*x100
          x223 = co(1)*x99
          x224 = co(0)*x23
          x225 = co(1)*x22
          x226 = co(0)*x36
          x227 = co(1)*x36
          x228 = co(2)*x125
          x229 = x228*x68
          x230 = P2(2)*x83
          x231 = co(0)*x18
          x232 = x228*x65
          x233 = x228*x66
          x234 = x228*x67
          x235 = co(1)*x19
          x236 = x40*x43
          x237 = co(2)*(-x141 + x142 + x143)
          x238 = -x145 + x146 + x147
          x239 = co(0)*x95
          x240 = co(1)*x94
          x241 = co(0)*x15
          x242 = co(1)*x14
          x243 = co(0)*x19
          x244 = co(1)*x18
          x245 = co(0)*x37
          x246 = co(1)*x37
          x247 = -x198
          x248 = -x226
          x249 = -x245
          x250 = x40 + x78
          x252 = -x157
          x253 = x250 + x252
          x257 = co(1)*wl(0,j)
          x258 = P2(3)*x190
          x259 = -wl(0,j)*x33
          x260 = P2(0)*x226 + x259
          x261 = P2(2)*x162
          x262 = x182*x39
          x263 = -x262
          x264 = P2(1)*x180
          x265 = -P2(2)*x167
          x266 = x171*x39
          x267 = P2(3)*x162
          x268 = P2(1)*x193
          x269 = -P2(3)*x167
          x270 = P2(1)*x172
          x271 = -P2(0)*x207
          x272 = P2(1)*x167
          x273 = P2(3)*x172
          x274 = x159*x39
          x275 = -x274
          x276 = P2(3)*x180
          x277 = -P2(3)*x176
          x278 = P2(1)*x184
          x279 = -x266
          x280 = -P2(0)*x218
          x281 = P2(2)*x184
          x282 = -P2(0)*x231
          x283 = co(1)*x58
          x284 = co(1)*x32
          x285 = wl(1,j)*x108
          x286 = P2(2)*x207
          x287 = P2(3)*x218
          x288 = P2(2)*x197
          x289 = -P2(1)*x222
          x290 = P2(3)*x197
          x291 = -P2(1)*x239
          x292 = -x40
          x293 = x199 + x292
          x294 = x247 + x293
          x295 = P2(0)*x203
          x296 = -P2(1)*x157 + x285
          x297 = P2(3)*x203
          x298 = x156*x39
          x299 = -x298
          x300 = P2(3)*x211
          x301 = -P2(3)*x207
          x302 = P2(0)*x213
          x303 = P2(2)*x213
          x304 = -P2(1)*x231
          x305 = wl(2,j)*x130
          x306 = P2(1)*x224
          x307 = P2(3)*x231
          x308 = P2(0)*x225
          x309 = P2(3)*x223
          x310 = -P2(3)*x222
          x311 = -P2(2)*x157 + x305
          x312 = P2(3)*x225
          x313 = -P2(3)*x224
          x314 = x227 + x248 + x292
          x315 = x198 + x252
          x316 = P2(0)*x228
          x317 = P2(1)*x228
          x318 = wl(3,j)*x149
          x319 = P2(1)*x241
          x320 = P2(3)*x226
          x321 = P2(0)*x242
          x322 = P2(0)*x244
          x323 = -P2(3)*x157 + x318
          x324 = P2(1)*x244
          x325 = x246 + x249 + x292
          wp(0,j) = x84*(P1(0)*x34 + P1(0)*x41 - P1(0)*x55 - P1(0)*x57 - P1(0)*&
                    x59 - P1(0)*x75 - P1(0)*x76 - P1(0)*x77 - P1(0)*x79 - P1(0 &
                    )*x80 + P2(0)*x51 + P2(0)*x52 + P2(0)*x53 + x12*x13 - x12* &
                    x60 - x12*x61 - x12*x62 + x13*x26 - x26*x60 - x26*x61 - x26&
                    *x62 + x44*(x42 - x43) + x47*(x45 - x46) + x50*(x48 - x49  &
                    ) + x63*x64 + x63*x70 + x64*x69 - x65*x81 - x66*x81 + x69* &
                    x70 + x72*x73 + x72*x74 - x82*x83)
          wp(1,j) = x84*(-P1(1)*x109 + P1(1)*x111 + P1(1)*x41 - P1(1)*x55 - P1(&
                    1)*x57 - P1(1)*x59 - P1(1)*x76 - P1(3)*x118 - P2(1)*x110 + &
                    P2(1)*x52 + P2(1)*x53 + x103*x13 - x103*x60 - x103*x61 -   &
                    x103*x62 - x107*(-x42 + x43) - x112*x66 - x112*x67 + x112* &
                    x68 + x113*x65 + x113*x66 - x113*x68 + x114*x65 + x114*x66 &
                     + x115*x73 + x115*x74 - x116*x117 + x13*x93 + x47*(-x104  &
                     + x82) + x50*(x105 - x106) - x60*x93 - x61*x93 - x62*x93)
          wp(2,j) = x84*(P1(2)*x111 - P1(2)*x131 + P1(2)*x41 - P1(2)*x55 - P1(2&
                    )*x57 - P1(2)*x59 - P1(2)*x75 - P1(3)*x140 - P2(2)*x110 +  &
                    P2(2)*x51 + P2(2)*x53 - x107*(-x45 + x46) - x117*x138 +    &
                    x122*x13 - x122*x60 - x122*x61 - x122*x62 + x127*x13 - x127&
                    *x60 - x127*x61 - x127*x62 - x132*x65 - x132*x67 + x132*x68&
                     + x133*x134 + x133*x135 + x136*x63 + x136*x69 + x137*x63  &
                     + x137*x69 - x138*x139 + x44*(x104 - x82) + x50*(x128 -   &
                    x129))
          wp(3,j) = x84*(P1(0)*x151 - P1(3)*x150 + P1(3)*x41 - P1(3)*x55 - P1(3&
                    )*x57 - P1(3)*x59 - P1(3)*x75 - P1(3)*x76 - P2(3)*x110 + P2&
                    (3)*x51 + P2(3)*x52 - x107*(-x48 + x49) - x112*x46 - x117* &
                    x155 + x13*x148 + x134*x152 + x135*x152 - x139*x155 - x144*&
                    x65 - x144*x66 - x144*x67 + x144*x68 - x148*x60 - x148*x61 &
                     - x148*x62 + x153*x63 + x153*x69 + x154*x63 + x154*x69 +  &
                    x44*(-x105 + x106) + x47*(-x128 + x129) - x66*x83 + x68*x83&
                    )
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x84*(co(1)*x30 + x12*x156 + x156*x26 + x157*x69 + x34 +   &
                     x41 - x55 - x57 - x59 - x75 - x76 - x77 - x79 - x80)
          sp2(0,1) = x84*(co(1)*x120 - x158*x159 - x159*x160 + x161 + x163 +   &
                     x164 + x165 + x166 + x167*x69 - x168 - x169*x63 - x169*x69&
                      - 2*x170)
          sp2(0,2) = x84*(co(1)*x90 - x158*x171 - x160*x171 + x173 + x174 +    &
                     x175 + x176*x69 - x177 - x178 - x179 - x180*x63 - x180*x69&
                      - 2*x181)
          sp2(0,3) = x84*(-2*x151 - x158*x182 - x160*x182 + x183 + x185 + x186 &
                      + x188 + x189 + x190*x69 - x192 - x193*x63 - x193*x69 +  &
                     x72)
          sp2(1,0) = x84*(co(1)*x119 - x156*x194 - x156*x195 - 2*x161 - x163 - &
                     x164 - x165 + x166 + x168 + x170 + x196*x69 - x197*x63 -  &
                     x197*x69)
          sp2(1,1) = x84*(co(1)*x27 + x109 - x159*x194 - x159*x195 + x198*x69  &
                      - x199*x63 - x199*x69 + x202 + x77)
          sp2(1,2) = x84*(co(1)*x9 - x171*x194 - x171*x195 + x204 + x205 + x206&
                      + x207*x69 - x208 - x209 - x210 - x211*x63 - x211*x69 - 2&
                     *x212)
          sp2(1,3) = x84*(x115 + x118 - x182*x194 - x182*x195 + x214 + x215 +  &
                     x216 + x217 + x218*x69 - x219 - x220*x63 - x220*x69 - 2*  &
                     x221)
          sp2(2,0) = x84*(co(1)*x89 + x122*x156 + x127*x156 - x173 - 2*x174 +  &
                     x175 + x177 + x178 + x179 + x181 + x222*x69 - x223*x63 -  &
                     x223*x69)
          sp2(2,1) = x84*(x122*x159 + x127*x159 + x133 - x204 - 2*x205 + x206  &
                      + x208 + x209 + x210 + x212 + x224*x69 - x225*x63 - x225*&
                     x69)
          sp2(2,2) = x84*(co(1)*x28 + x122*x171 + x127*x171 + x131 + x200 +    &
                     x201 + x226*x69 - x227*x63 - x227*x69 + x55 + x57 + x59 + &
                     x75 + x77)
          sp2(2,3) = x84*(co(1)*x5 + x122*x182 + x127*x182 + x140 + x229 + x230&
                      + x231*x69 - x232 - x233 - x234 - x235*x63 - x235*x69 - 2&
                     *x236)
          sp2(3,0) = x84*(-P2(0)*x237 + co(1)*x85 + x151 - x156*x238 - 2*x183  &
                      - x185 - x186 - x188 + x189 + x192 + x239*x69 - x240*x63 &
                      - x240*x69)
          sp2(3,1) = x84*(-P2(1)*x237 - 2*x118 + x152 - x159*x238 - x214 - x215&
                      - x216 + x217 + x219 + x221 + x241*x69 - x242*x63 - x242*&
                     x69)
          sp2(3,2) = x84*(-P2(2)*x237 + co(1)*x4 - 2*x140 - x171*x238 - x229 + &
                     x230 + x232 + x233 + x234 + x236 + x243*x69 - x244*x63 -  &
                     x244*x69)
          sp2(3,3) = x84*(-P2(3)*x237 + co(1)*x29 + x150 - x182*x238 + x202 +  &
                     x245*x69 - x246*x63 - x246*x69 + x75)
          sp3(0,0,0) = x251*(x247 + x248 + x249 + x250)
          sp3(0,0,1) = x253*x254
          sp3(0,0,2) = x253*x255
          sp3(0,0,3) = x253*x256
          sp3(0,1,0) = x251*(-x162 - x167 + x169)
          sp3(0,1,1) = x84*(-P2(1)*x162 + x257*x54 + x258 + x260)
          sp3(0,1,2) = x84*(-x261 + x263 + x264 + x265)
          sp3(0,1,3) = x84*(x266 - x267 + x268 + x269)
          sp3(0,2,0) = x251*(x172 - x176 + x180)
          sp3(0,2,1) = x84*(x262 + x264 + x270 + x271)
          sp3(0,2,2) = x84*(P2(2)*x172 + x257*x56 + x258 + x259 + x272)
          sp3(0,2,3) = x84*(x273 + x275 + x276 + x277)
          sp3(0,3,0) = x251*(-x184 - x190 + x193)
          sp3(0,3,1) = x84*(x268 - x278 + x279 + x280)
          sp3(0,3,2) = x84*(x274 + x276 - x281 + x282)
          sp3(0,3,3) = x84*(wl(0,j)*x283 - x187 + x260 + x272)
          sp3(1,0,0) = x84*(P2(0)*x162 + wl(1,j)*x284 - x285 - x286 - x287)
          sp3(1,0,1) = x254*(x162 - x196 + x197)
          sp3(1,0,2) = x84*(x261 + x262 + x288 + x289)
          sp3(1,0,3) = x84*(x267 + x279 + x290 + x291)
          sp3(1,1,0) = x251*x294
          sp3(1,1,1) = x254*(x226 + x245 + x252 + x293)
          sp3(1,1,2) = x255*x294
          sp3(1,1,3) = x256*x294
          sp3(1,2,0) = x84*(x263 + x271 + x288 + x295)
          sp3(1,2,1) = x254*(x203 - x207 + x211)
          sp3(1,2,2) = x84*(P2(2)*x203 + x116*x56 + x287 + x296)
          sp3(1,2,3) = x84*(x297 + x299 + x300 + x301)
          sp3(1,3,0) = x84*(x266 + x280 + x290 - x302)
          sp3(1,3,1) = x254*(-x213 - x218 + x220)
          sp3(1,3,2) = x84*(x298 + x300 - x303 + x304)
          sp3(1,3,3) = x84*(-P2(3)*x213 + wl(1,j)*x283 + x286 + x296)
          sp3(2,0,0) = x84*(-P2(0)*x172 + wl(2,j)*x284 - x305 - x306 - x307)
          sp3(2,0,1) = x84*(x263 - x270 + x289 + x308)
          sp3(2,0,2) = x255*(-x172 - x222 + x223)
          sp3(2,0,3) = x84*(-x273 + x274 + x309 + x310)
          sp3(2,1,0) = x84*(x262 + x265 - x295 + x308)
          sp3(2,1,1) = x84*(-co(2)*x126 + x138*x54 + x307 + x311)
          sp3(2,1,2) = x255*(-x203 - x224 + x225)
          sp3(2,1,3) = x84*(-x297 + x298 + x312 + x313)
          sp3(2,2,0) = x251*x314
          sp3(2,2,1) = x254*x314
          sp3(2,2,2) = x255*(x227 + x245 + x292 + x315)
          sp3(2,2,3) = x256*x314
          sp3(2,3,0) = x84*(x275 + x282 + x309 + x316)
          sp3(2,3,1) = x84*(x299 + x304 + x312 + x317)
          sp3(2,3,2) = x255*(x228 - x231 + x235)
          sp3(2,3,3) = x84*(P2(3)*x228 + wl(2,j)*x283 + x306 + x311)
          sp3(3,0,0) = x84*(wl(3,j)*x284 + x191 - x318 - x319 - x320)
          sp3(3,0,1) = x84*(x266 + x278 + x291 + x321)
          sp3(3,0,2) = x84*(x275 + x281 + x310 + x322)
          sp3(3,0,3) = x256*(x184 - x239 + x240)
          sp3(3,1,0) = x84*(x269 + x279 + x302 + x321)
          sp3(3,1,1) = x84*(P2(1)*x213 + x155*x54 + x320 + x323)
          sp3(3,1,2) = x84*(x299 + x303 + x313 + x324)
          sp3(3,1,3) = x256*(x213 - x241 + x242)
          sp3(3,2,0) = x84*(x274 + x277 - x316 + x322)
          sp3(3,2,1) = x84*(x298 + x301 - x317 + x324)
          sp3(3,2,2) = x84*(-P2(2)*x228 + x155*x56 + x319 + x323)
          sp3(3,2,3) = x256*(-x228 - x243 + x244)
          sp3(3,3,0) = x251*x325
          sp3(3,3,1) = x254*x325
          sp3(3,3,2) = x255*x325
          sp3(3,3,3) = x256*(x226 + x246 + x292 + x315)
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              riOut = incRI(nu, incRI(mu, j))
              wp(:,riOut) = wp(:,riOut) + sp3(:,nu,mu)
            end do 
          end do 
        end do 
      case(VSV3)
!       c0*(-P(-1,1)*P(-1,2)*P(1,3)*P(3,2) + P(-1,1)*P(-1,3)*P(1,2)*P(3,2) - P(-1
!       ,2)*P(-1,3)*P(1,2)*P(3,1))
!       Metric(1,3)*P(-1,1)*P(-1,2)**2*P(-1,3)*c1
!       c2*(-Epsilon(-1,-2,-3,1)*P(-1,1)*P(-2,2)*P(-3,3)*P(3,2) - Epsilon(-1,-3,1
!       ,3)*P(-1,1)*P(-2,2)*P(-2,3)*P(-3,2))
        x5 = P2(0)**2
        x6 = co(0)*x5
        x28 = P1(0)*P2(0)*co(2)
        x40 = P2(1)**2
        x42 = P2(2)**2
        x44 = P2(3)**2
        x46 = P1(1)*P2(0)
        x63 = P1(0)*P2(0)
        x64 = P1(1)*P2(1)
        x65 = P1(2)*P2(2)
        x66 = P1(3)*P2(3)
        x67 = x63 - x64 - x65 - x66
        x68 = P1(2)*P2(0)
        x79 = -x63 + x64 + x65 + x66
        x80 = P1(3)*P2(0)
        x86 = P1(3)*x67
        x102 = cima*w2(0)
        x103 = P1(0)*P2(1)*co(2)
        x106 = P1(0)*x67
        x109 = P1(2)*P2(1)
        x111 = P1(3)*P2(1)
        x122 = P1(0)*P2(2)*co(2)
        x124 = P1(1)*P2(2)
        x128 = P1(3)*P2(2)
        x138 = P1(2)*P2(3)
        x140 = P1(0)*P2(3)*co(2)
        x141 = P1(1)*P2(3)
        x158 = P1(0)*P2(1)
        x165 = P1(0)*P2(3)
        x175 = P1(0)*P2(2)
        x292 = P2(0)*cima*w2(0)
        x295 = P2(1)*cima*w2(0)
        x296 = P2(2)*cima*w2(0)
        x297 = P2(3)*cima*w2(0)
        x310 = co(2)*x5
        x352 = co(1)*x5
        do j = riMaxIn, 0, -1
          x0 = P1(1)*wl(1,j)
          x1 = P1(2)*wl(2,j)
          x2 = P1(3)*wl(3,j)
          x3 = P1(0)*wl(0,j)
          x4 = x0 + x1 + x2 - x3
          x7 = x4*x6
          x8 = P2(1)*wl(1,j)
          x9 = P2(2)*wl(2,j)
          x10 = P2(3)*wl(3,j)
          x11 = P2(0)*wl(0,j)
          x12 = x10 - x11 + x8 + x9
          x13 = co(0)*x12
          x14 = x13*x5
          x15 = P1(1)**2*co(0)*x12
          x16 = P1(2)**2*co(0)*x12
          x17 = P1(3)**2*co(0)*x12
          x18 = P1(1)*wl(3,j)
          x19 = P1(3)*wl(1,j)
          x20 = x18 - x19
          x21 = P1(2)*wl(3,j)
          x22 = P1(3)*wl(2,j)
          x23 = x21 - x22
          x24 = P1(1)*wl(2,j)
          x25 = P1(2)*wl(1,j)
          x26 = x24 - x25
          x27 = -P2(1)*x23 + P2(2)*x20 - P2(3)*x26
          x29 = P2(1)*wl(3,j)
          x30 = P2(3)*wl(1,j)
          x31 = x29 - x30
          x32 = P2(2)*wl(3,j)
          x33 = P2(3)*wl(2,j)
          x34 = x32 - x33
          x35 = P2(1)*wl(2,j)
          x36 = P2(2)*wl(1,j)
          x37 = x35 - x36
          x38 = P2(3)*x37
          x39 = -P2(1)*x34 + P2(2)*x31 - x38
          x41 = x13*x40
          x43 = x13*x42
          x45 = x13*x44
          x47 = P1(0)*wl(2,j)
          x48 = P1(2)*wl(0,j)
          x49 = x47 - x48
          x50 = P1(0)*wl(3,j)
          x51 = P1(3)*wl(0,j)
          x52 = x50 - x51
          x53 = co(2)*(P2(0)*x23 - P2(2)*x52 + P2(3)*x49)
          x54 = P2(0)*wl(2,j)
          x55 = P2(2)*wl(0,j)
          x56 = x54 - x55
          x57 = P2(0)*wl(3,j)
          x58 = P2(3)*wl(0,j)
          x59 = x57 - x58
          x60 = co(2)*(P2(0)*x34 - P2(2)*x59 + P2(3)*x56)
          x61 = -x40 - x42 - x44 + x5
          x62 = P1(1)*co(2)*x34
          x69 = P1(0)*wl(1,j)
          x70 = P1(1)*wl(0,j)
          x71 = x69 - x70
          x72 = co(2)*(-P2(0)*x20 + P2(1)*x52 - P2(3)*x71)
          x73 = P2(0)*wl(1,j)
          x74 = P2(1)*wl(0,j)
          x75 = x73 - x74
          x76 = co(2)*(-P2(0)*x31 + P2(1)*x59 - P2(3)*x75)
          x77 = x40 + x42 + x44 - x5
          x78 = P1(2)*co(2)*x31
          x81 = co(2)*(P2(0)*x26 - P2(1)*x49 + P2(2)*x71)
          x82 = P2(0)*x37
          x83 = co(2)*(-P2(1)*x56 + P2(2)*x75 + x82)
          x84 = co(2)*x37
          x85 = P1(3)*x61
          x87 = co(1)*x77
          x88 = P1(1)*P2(1)*wl(0,j)
          x89 = co(1)*x79
          x90 = P1(2)*P2(2)*wl(0,j)
          x91 = co(1)*x51
          x92 = P2(3)*x77
          x93 = P2(3)*x79
          x94 = x13*x64
          x95 = x13*x65
          x96 = x13*x66
          x97 = co(1)*x11
          x98 = x77*x97
          x99 = x79*x97
          x100 = P2(0)*co(0)*x4
          x101 = P2(3)*co(0)*x4
          x104 = co(2)*x34
          x105 = P1(0)*x61
          x107 = co(0)*x40
          x108 = x107*x4
          x110 = P1(2)*co(2)*x59
          x112 = co(2)*x56
          x113 = P1(0)**2*co(0)*x12
          x114 = x13*x63
          x115 = P2(1)*co(0)*x4
          x116 = co(1)*wl(1,j)*x77
          x117 = co(1)*wl(1,j)*x79
          x118 = co(1)*x19
          x119 = co(1)*x73
          x120 = x119*x77
          x121 = x119*x79
          x123 = P1(0)*co(2)*x31
          x125 = P1(1)*co(2)*x59
          x126 = co(0)*x42
          x127 = x126*x4
          x129 = P1(3)*co(2)*x75
          x130 = P2(2)*co(0)*x4
          x131 = co(1)*x24
          x132 = P2(1)*x77
          x133 = P2(1)*x79
          x134 = P1(2)*P2(2)*co(1)*x77
          x135 = co(1)*wl(2,j)*x79
          x136 = P1(3)*P2(3)*wl(2,j)
          x137 = P1(0)*P2(0)*co(1)*x77
          x139 = x13*x138
          x142 = P1(1)*co(2)*x56
          x143 = P1(2)*co(2)*x75
          x144 = co(0)*x44
          x145 = x144*x4
          x146 = x13*x80
          x147 = co(1)*x18
          x148 = co(1)*wl(3,j)*x79
          x149 = P1(3)*P2(3)*co(1)*wl(3,j)
          x150 = co(0)*x11
          x151 = -x111 + x141
          x152 = co(2)*x54
          x153 = -x128 + x138
          x154 = co(2)*x73
          x155 = -x109 + x124
          x156 = co(2)*x57
          x157 = x104*x63
          x159 = x13*x158
          x160 = co(2)*x31
          x161 = x109*x160
          x162 = x112*x80
          x163 = P2(0)*x115
          x164 = co(0)*x73
          x166 = x165 - x80
          x167 = co(2)*x33
          x168 = x167*x77
          x169 = x167*x79
          x170 = x104*x64
          x171 = co(2)*x59
          x172 = x171*x68
          x173 = x111*x84
          x174 = P2(0)*co(2)*wl(0,j)
          x176 = x175 - x68
          x177 = co(1)*x74
          x178 = co(2)*x32
          x179 = x178*x77
          x180 = x178*x79
          x181 = x13*x46
          x182 = x13*x175
          x183 = x171*x46
          x184 = x160*x65
          x185 = P2(2)*x100
          x186 = co(0)*x54
          x187 = x158 - x46
          x188 = co(2)*x29
          x189 = x188*x77
          x190 = x188*x79
          x191 = x160*x63
          x192 = x104*x124
          x193 = co(2)*x75
          x194 = x193*x80
          x195 = x128*x84
          x196 = co(1)*x55
          x197 = co(2)*x30
          x198 = x197*x77
          x199 = x197*x79
          x200 = x13*x68
          x201 = P1(0)*co(2)*x82
          x202 = x13*x165
          x203 = x193*x68
          x204 = x138*x160
          x205 = P2(3)*x100
          x206 = co(0)*x57
          x207 = co(2)*x36
          x208 = x207*x77
          x209 = x207*x79
          x210 = x112*x46
          x211 = x104*x141
          x212 = P1(3)*co(2)*x38
          x213 = co(2)*x155
          x214 = co(2)*x35
          x215 = x214*x77
          x216 = x214*x79
          x217 = co(1)*x58
          x218 = co(0)*x74
          x219 = P2(1)*co(2)*wl(1,j)
          x220 = co(0)*x8
          x221 = co(1)*x8
          x222 = co(2)*x74
          x223 = -x14
          x224 = -x114
          x225 = x223 + x224 + x41 + x43 + x45 + x95
          x226 = x171*x64
          x227 = x124*x13
          x228 = x171*x65
          x229 = x156*x77
          x230 = x156*x79
          x231 = P2(2)*x115
          x232 = co(0)*x35
          x233 = x158*x160
          x234 = x104*x175
          x235 = x111*x193
          x236 = x112*x128
          x237 = co(1)*x36
          x238 = co(2)*x58
          x239 = x238*x77
          x240 = x238*x79
          x241 = x109*x13
          x242 = x103*x37
          x243 = x13*x141
          x244 = x109*x193
          x245 = x138*x171
          x246 = P2(3)*x115
          x247 = co(0)*x29
          x248 = co(2)*x55
          x249 = x248*x77
          x250 = x248*x79
          x251 = x104*x165
          x252 = x112*x64
          x253 = x112*x66
          x254 = x152*x77
          x255 = x152*x79
          x256 = co(1)*x30
          x257 = x111*x13
          x258 = co(0)*x55
          x259 = P2(2)*co(2)*wl(2,j)
          x260 = co(1)*x54
          x261 = co(0)*x36
          x262 = co(1)*x35
          x263 = co(0)*x9
          x264 = co(1)*x9
          x265 = x175*x84
          x266 = x160*x165
          x267 = x193*x65
          x268 = x193*x66
          x269 = x154*x77
          x270 = x154*x79
          x271 = P2(2)*x101
          x272 = co(0)*x32
          x273 = x112*x124
          x274 = x141*x171
          x275 = x222*x77
          x276 = x222*x79
          x277 = co(1)*x33
          x278 = x128*x13
          x279 = co(0)*x58
          x280 = co(1)*x57
          x281 = co(0)*x30
          x282 = co(1)*x29
          x283 = P2(3)*co(2)*wl(3,j)
          x284 = co(0)*x33
          x285 = co(1)*x32
          x286 = co(0)*x10
          x287 = co(1)*x10
          x288 = -x220
          x289 = -x263
          x290 = -x286
          x291 = x13 + x97
          x293 = -x150
          x294 = x291 + x293
          x298 = wl(0,j)*x40
          x299 = -wl(0,j)*x6
          x300 = P2(0)*x263
          x301 = P2(3)*x206
          x302 = P2(1)*x178
          x303 = P2(3)*x214
          x304 = wl(3,j)*x40
          x305 = co(2)*x304
          x306 = -x305
          x307 = P2(2)*x177
          x308 = P2(1)*x197
          x309 = -P2(2)*x164
          x311 = wl(3,j)*x310
          x312 = P2(3)*x174
          x313 = -x312
          x314 = wl(2,j)*x310
          x315 = -x314
          x316 = P2(2)*x174
          x317 = P2(3)*x177
          x318 = -P2(3)*x164
          x319 = wl(2,j)*x40
          x320 = co(2)*x319
          x321 = P2(2)*x219
          x322 = x320 - x321
          x323 = co(2)*x42
          x324 = wl(3,j)*x323
          x325 = -P2(0)*x232
          x326 = P2(3)*x259
          x327 = -x326
          x328 = -x311 + x312
          x329 = co(1)*x42
          x330 = P2(2)*x197
          x331 = P2(1)*x164 + x299
          x332 = wl(1,j)*x323
          x333 = -x332
          x334 = P2(2)*x214
          x335 = P2(3)*x196
          x336 = -P2(3)*x186
          x337 = wl(1,j)*x310
          x338 = P2(1)*x174
          x339 = -x338
          x340 = co(2)*x44
          x341 = wl(2,j)*x340
          x342 = -x341
          x343 = P2(3)*x178
          x344 = -P2(0)*x247
          x345 = x314 - x316
          x346 = wl(1,j)*x340
          x347 = -P2(0)*x272
          x348 = P2(3)*x188
          x349 = -x348
          x350 = -x337
          x351 = co(1)*x44
          x353 = wl(1,j)*x107
          x354 = P2(3)*x152
          x355 = -P2(0)*x178
          x356 = P2(2)*x232
          x357 = P2(3)*x247
          x358 = P2(2)*x119
          x359 = -P2(2)*x218
          x360 = -x308
          x361 = -x320
          x362 = P2(3)*x119
          x363 = -P2(3)*x218
          x364 = -x13
          x365 = x221 + x288 + x364
          x366 = x263 + x293
          x367 = -x324 + x326
          x368 = P2(3)*x248
          x369 = -P2(1)*x150 + x353
          x370 = co(2)*x298
          x371 = -x370
          x372 = P2(1)*x154
          x373 = P2(2)*x256
          x374 = -P2(3)*x232
          x375 = wl(0,j)*x323
          x376 = P2(0)*x259
          x377 = -x375 + x376
          x378 = -x343
          x379 = -x372
          x380 = -P2(1)*x272
          x381 = wl(0,j)*x340
          x382 = P2(3)*x156
          x383 = x381 - x382
          x384 = wl(2,j)*x126
          x385 = P2(0)*x188
          x386 = -P2(3)*x154
          x387 = P2(2)*x220
          x388 = P2(3)*x272
          x389 = P2(0)*x262
          x390 = P2(3)*x260
          x391 = -P2(3)*x258
          x392 = x332 - x334
          x393 = P2(3)*x222
          x394 = -P2(2)*x150 + x384
          x395 = P2(3)*x262
          x396 = -P2(2)*x281
          x397 = -x376
          x398 = x264 + x364
          x399 = x289 + x398
          x400 = -x346 + x348
          x401 = -x381
          x402 = wl(3,j)*x144
          x403 = P2(2)*x154
          x404 = -P2(0)*x214
          x405 = P2(1)*x281
          x406 = P2(3)*x263
          x407 = P2(0)*x282
          x408 = P2(0)*x285
          x409 = P2(2)*x222
          x410 = -P2(3)*x150 + x402
          x411 = P2(1)*x285
          x412 = x287 + x290 + x364
          wp(0,j) = x102*(P1(0)*x14 - P1(0)*x41 - P1(0)*x43 - P1(0)*x45 + P1(0 &
                    )*x7 - P1(0)*x94 - P1(0)*x95 - P1(0)*x96 - P1(0)*x98 - P1(0&
                    )*x99 + P2(0)*x15 + P2(0)*x16 + P2(0)*x17 - x100*x64 - x100&
                    *x65 - x101*x80 - x27*x28 - x28*x39 - x46*x53 - x46*x60 -  &
                    x61*x62 - x62*x67 - x68*x72 - x68*x76 - x77*x78 - x78*x79  &
                     - x80*x81 - x80*x83 - x84*x85 - x84*x86 + x87*x88 + x87*  &
                    x90 + x88*x89 + x89*x90 + x91*x92 + x91*x93)
          wp(1,j) = x102*(-P1(0)*x120 - P1(0)*x121 - P1(1)*x108 + P1(1)*x114 + &
                    P1(1)*x14 - P1(1)*x41 - P1(1)*x43 - P1(1)*x45 - P1(1)*x95  &
                     - P1(1)*x96 - P2(1)*x113 + P2(1)*x16 + P2(1)*x17 - x103*  &
                    x27 - x103*x39 - x104*x105 - x104*x106 - x109*x72 - x109*  &
                    x76 - x110*x77 - x110*x79 - x111*x81 - x111*x83 - x112*x85 &
                     - x112*x86 + x115*x63 - x115*x65 - x115*x66 + x116*x64 +  &
                    x116*x65 + x117*x64 + x117*x65 + x118*x92 + x118*x93 - x53*&
                    x64 - x60*x64)
          wp(2,j) = x102*(P1(2)*x114 - P1(2)*x127 + P1(2)*x14 - P1(2)*x41 - P1(&
                    2)*x43 - P1(2)*x45 - P1(2)*x94 - P1(3)*x139 - P2(2)*x113 + &
                    P2(2)*x15 + P2(2)*x17 + wl(2,j)*x134 - wl(2,j)*x137 - x122*&
                    x27 - x122*x39 - x123*x77 - x123*x79 - x124*x53 - x124*x60 &
                     - x125*x61 - x125*x67 - x128*x81 - x128*x83 - x129*x77 -  &
                    x129*x79 + x130*x63 - x130*x64 - x130*x66 + x131*x132 +    &
                    x131*x133 - x135*x63 + x135*x65 + x136*x87 + x136*x89 - x65&
                    *x72 - x65*x76)
          wp(3,j) = x102*(P1(0)*x146 + P1(3)*x14 - P1(3)*x145 - P1(3)*x41 - P1(&
                    3)*x43 - P1(3)*x45 - P1(3)*x94 - P1(3)*x95 - P2(3)*x113 +  &
                    P2(3)*x15 + P2(3)*x16 + wl(3,j)*x134 - wl(3,j)*x137 + x101*&
                    x63 - x101*x64 - x101*x65 - x105*x84 - x106*x84 + x132*x147&
                     + x133*x147 - x138*x72 - x138*x76 - x140*x27 - x140*x39 - &
                    x141*x53 - x141*x60 - x142*x77 - x142*x79 - x143*x61 - x143&
                    *x67 - x148*x63 + x148*x65 + x149*x77 + x149*x79 - x66*x81 &
                     - x66*x83)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x102*(co(1)*x3 + x14 + x150*x79 + x151*x152 - x153*x154 - &
                     x155*x156 - x41 - x43 - x45 + x7 - x94 - x95 - x96 - x98  &
                      - x99)
          sp2(0,1) = x102*(co(1)*x70 + x152*x166 - x153*x174 - x156*x176 + x157&
                      + x159 + x161 + x162 + x163 + x164*x79 + x168 + x169 -   &
                     x170 - x172 - x173 - x177*x77 - x177*x79 - x179 - x180 - 2&
                     *x181)
          sp2(0,2) = x102*(co(1)*x48 + x151*x174 - x154*x166 + x156*x187 + x182&
                      + x183 + x184 + x185 + x186*x79 + x189 + x190 - x191 -   &
                     x192 - x194 - x195 - x196*x77 - x196*x79 - x198 - x199 - 2&
                     *x200)
          sp2(0,3) = x102*(-x11*x213 - 2*x146 - x152*x187 + x154*x176 + x201 + &
                     x202 + x203 + x204 + x205 + x206*x79 + x208 + x209 - x210 &
                      - x211 - x212 - x215 - x216 - x217*x77 - x217*x79 + x91)
          sp2(1,0) = x102*(co(1)*x69 - x120 - x121 + x151*x214 - x153*x219 -   &
                     x155*x188 - x157 - 2*x159 - x161 - x162 + x163 - x168 -   &
                     x169 + x170 + x172 + x173 + x179 + x180 + x181 + x218*x79)
          sp2(1,1) = x102*(co(1)*x0 + x108 - x153*x222 + x166*x214 - x176*x188 &
                      + x220*x79 - x221*x77 - x221*x79 + x225 + x96)
          sp2(1,2) = x102*(co(1)*x25 + x151*x222 - x166*x219 + x187*x188 + x226&
                      + x227 + x228 + x229 + x230 + x231 + x232*x79 - x233 -   &
                     x234 - x235 - x236 - x237*x77 - x237*x79 - x239 - x240 - 2&
                     *x241)
          sp2(1,3) = x102*(x118 - x155*x222 + x176*x219 - x187*x214 + x242 +   &
                     x243 + x244 + x245 + x246 + x247*x79 + x249 + x250 - x251 &
                      - x252 - x253 - x254 - x255 - x256*x77 - x256*x79 - 2*   &
                     x257)
          sp2(2,0) = x102*(co(1)*x47 + x151*x259 - x153*x207 - x155*x178 - 2*  &
                     x182 - x183 - x184 + x185 - x189 - x190 + x191 + x192 +   &
                     x194 + x195 + x198 + x199 + x200 + x258*x79 - x260*x77 -  &
                     x260*x79)
          sp2(2,1) = x102*(x131 - x153*x248 + x166*x259 - x176*x178 - x226 - 2*&
                     x227 - x228 - x229 - x230 + x231 + x233 + x234 + x235 +   &
                     x236 + x239 + x240 + x241 + x261*x79 - x262*x77 - x262*x79&
                     )
          sp2(2,2) = x102*(co(1)*x1 + x127 + x151*x248 - x166*x207 + x178*x187 &
                      + x223 + x224 + x263*x79 - x264*x77 - x264*x79 + x41 +   &
                     x43 + x45 + x94 + x96)
          sp2(2,3) = x102*(co(1)*x22 + x139 - x155*x248 + x176*x207 - x187*x259&
                      + x265 + x266 + x267 + x268 + x269 + x270 + x271 + x272* &
                     x79 - x273 - x274 - x275 - x276 - x277*x77 - x277*x79 - 2*&
                     x278)
          sp2(3,0) = x102*(co(1)*x50 - x10*x213 + x146 + x151*x167 - x153*x197 &
                      - x201 - 2*x202 - x203 - x204 + x205 - x208 - x209 + x210&
                      + x211 + x212 + x215 + x216 + x279*x79 - x280*x77 - x280*&
                     x79)
          sp2(3,1) = x102*(x147 - x153*x238 + x166*x167 - x176*x283 - x242 - 2*&
                     x243 - x244 - x245 + x246 - x249 - x250 + x251 + x252 +   &
                     x253 + x254 + x255 + x257 + x281*x79 - x282*x77 - x282*x79&
                     )
          sp2(3,2) = x102*(co(1)*x21 - 2*x139 + x151*x238 - x166*x197 + x187*  &
                     x283 - x265 - x266 - x267 - x268 - x269 - x270 + x271 +   &
                     x273 + x274 + x275 + x276 + x278 + x284*x79 - x285*x77 -  &
                     x285*x79)
          sp2(3,3) = x102*(co(1)*x2 + x145 - x155*x238 - x167*x187 + x176*x197 &
                      + x225 + x286*x79 - x287*x77 - x287*x79 + x94)
          sp3(0,0,0) = x292*(x288 + x289 + x290 + x291)
          sp3(0,0,1) = x294*x295
          sp3(0,0,2) = x294*x296
          sp3(0,0,3) = x294*x297
          sp3(0,1,0) = x292*(-x164 - x167 + x177 + x178)
          sp3(0,1,1) = x102*(co(1)*x298 + x299 + x300 + x301 + x302 - x303)
          sp3(0,1,2) = x102*(x306 + x307 + x308 + x309 + x311 + x313)
          sp3(0,1,3) = x102*(x315 + x316 + x317 + x318 + x322)
          sp3(0,2,0) = x292*(-x186 - x188 + x196 + x197)
          sp3(0,2,1) = x102*(x307 + x324 + x325 + x327 + x328)
          sp3(0,2,2) = x102*(wl(0,j)*x329 + x301 - x302 + x330 + x331)
          sp3(0,2,3) = x102*(x333 + x334 + x335 + x336 + x337 + x339)
          sp3(0,3,0) = x292*(-x206 - x207 + x214 + x217)
          sp3(0,3,1) = x102*(x317 + x342 + x343 + x344 + x345)
          sp3(0,3,2) = x102*(x335 + x338 + x346 + x347 + x349 + x350)
          sp3(0,3,3) = x102*(wl(0,j)*x351 + x300 + x303 - x330 + x331)
          sp3(1,0,0) = x102*(wl(1,j)*x352 - x353 + x354 + x355 - x356 - x357)
          sp3(1,0,1) = x295*(x119 + x167 - x178 - x218)
          sp3(1,0,2) = x102*(x305 + x328 + x358 + x359 + x360)
          sp3(1,0,3) = x102*(x321 + x345 + x361 + x362 + x363)
          sp3(1,1,0) = x292*x365
          sp3(1,1,1) = x295*(x221 + x286 + x364 + x366)
          sp3(1,1,2) = x296*x365
          sp3(1,1,3) = x297*x365
          sp3(1,2,0) = x102*(x306 + x308 + x325 + x358 + x367)
          sp3(1,2,1) = x295*(-x156 - x232 + x237 + x238)
          sp3(1,2,2) = x102*(wl(1,j)*x329 + x355 + x357 + x368 + x369)
          sp3(1,2,3) = x102*(x371 + x372 + x373 + x374 + x377)
          sp3(1,3,0) = x102*(x322 + x341 + x344 + x362 + x378)
          sp3(1,3,1) = x295*(x152 - x247 - x248 + x256)
          sp3(1,3,2) = x102*(x370 + x373 + x379 + x380 + x383)
          sp3(1,3,3) = x102*(wl(1,j)*x351 + x354 + x356 - x368 + x369)
          sp3(2,0,0) = x102*(wl(2,j)*x352 - x384 + x385 + x386 - x387 - x388)
          sp3(2,0,1) = x102*(x311 + x313 + x359 + x367 + x389)
          sp3(2,0,2) = x296*(x188 - x197 - x258 + x260)
          sp3(2,0,3) = x102*(x338 + x350 + x390 + x391 + x392)
          sp3(2,1,0) = x102*(x305 + x309 + x324 + x327 + x360 + x389)
          sp3(2,1,1) = x102*(co(1)*x319 + x385 + x388 - x393 + x394)
          sp3(2,1,2) = x296*(x156 - x238 - x261 + x262)
          sp3(2,1,3) = x102*(x370 + x375 + x379 + x395 + x396 + x397)
          sp3(2,2,0) = x292*x399
          sp3(2,2,1) = x295*x399
          sp3(2,2,2) = x296*(x220 + x286 + x293 + x398)
          sp3(2,2,3) = x297*x399
          sp3(2,3,0) = x102*(x333 + x334 + x347 + x390 + x400)
          sp3(2,3,1) = x102*(x377 + x380 + x382 + x395 + x401)
          sp3(2,3,2) = x296*(-x154 + x222 - x272 + x277)
          sp3(2,3,3) = x102*(wl(2,j)*x351 + x386 + x387 + x393 + x394)
          sp3(3,0,0) = x102*(wl(3,j)*x352 - x402 + x403 + x404 - x405 - x406)
          sp3(3,0,1) = x102*(x315 + x316 + x341 + x363 + x378 + x407)
          sp3(3,0,2) = x102*(x337 + x339 + x391 + x400 + x408)
          sp3(3,0,3) = x297*(x207 - x214 - x279 + x280)
          sp3(3,1,0) = x102*(x318 + x321 + x342 + x343 + x361 + x407)
          sp3(3,1,1) = x102*(co(1)*x304 + x404 + x406 + x409 + x410)
          sp3(3,1,2) = x102*(x371 + x372 + x382 + x396 + x401 + x411)
          sp3(3,1,3) = x297*(-x152 + x248 - x281 + x282)
          sp3(3,2,0) = x102*(x336 + x346 + x349 + x392 + x408)
          sp3(3,2,1) = x102*(x374 + x375 + x383 + x397 + x411)
          sp3(3,2,2) = x102*(wl(3,j)*x329 + x403 + x405 - x409 + x410)
          sp3(3,2,3) = x297*(x154 - x222 - x284 + x285)
          sp3(3,3,0) = x292*x412
          sp3(3,3,1) = x295*x412
          sp3(3,3,2) = x296*x412
          sp3(3,3,3) = x297*(x220 + x287 + x364 + x366)
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              riOut = incRI(nu, incRI(mu, j))
              wp(:,riOut) = wp(:,riOut) + sp3(:,nu,mu)
            end do 
          end do 
        end do 
      case(VSV4)
!       c0*(-P(-1,1)*P(-1,2)*P(1,3)*P(3,2) + P(-1,1)*P(-1,3)*P(1,2)*P(3,2) - P(-1
!       ,2)*P(-1,3)*P(1,2)*P(3,1))
!       Metric(1,3)*P(-1,1)*P(-1,2)**2*P(-1,3)*c1
        x0 = P2(0)**2
        x2 = P2(1)**2
        x3 = P2(2)**2
        x4 = P2(3)**2
        x5 = P1(0)*P2(0)
        x7 = P1(1)*P2(1)
        x8 = -x0 + x2 + x3 + x4
        x9 = P1(2)*P2(2)
        x10 = P1(3)*P2(3)
        x12 = cima*w2(0)
        do j = riMaxIn, 0, -1
          x1 = -P2(0)*wl(0,j) + P2(1)*wl(1,j) + P2(2)*wl(2,j) + P2(3)*wl(3,j)
          x0vec = P1(:)*co(0)*x1
          x1vec = P2(:)*co(0)*x1
          x6 = -P1(0)*wl(0,j) + P1(1)*wl(1,j) + P1(2)*wl(2,j) + P1(3)*wl(3,j)
          x2vec = P2(:)*co(0)*x6
          x3vec = co(1)*wl(:,j)*x8
          x11 = x10 - x5 + x7 + x9
          x4vec = co(1)*wl(:,j)*x11
          wp(:,j) = x12*(-P1(0)**2*x1vec + P1(1)**2*x1vec + P1(2)**2*x1vec + P1&
                    (3)**2*x1vec + x0*x0vec - x0vec*x10 - x0vec*x2 - x0vec*x3  &
                     - x0vec*x4 + x0vec*x5 - x0vec*x7 - x0vec*x9 - x10*x2vec + &
                    x10*x3vec + x10*x4vec + x2vec*x5 - x2vec*x7 - x2vec*x9 -   &
                    x3vec*x5 + x3vec*x7 + x3vec*x9 - x4vec*x5 + x4vec*x7 +     &
                    x4vec*x9)
          if(rankInc .lt. 1) cycle
          do mu = 0, 3
            x5vec = P2(:)*P2(mu)*co(0)
            x6vec = P2(mu)*co(1)*wl(:,j)
            x7vec = co(0)*gg(:,mu)*x1
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + x12*(P1(mu)*co(1)*wl(:,j) - 2*P1(mu)*  &
                          x1vec + P2(:)*co(0)*wl(mu,j)*x11 + P2(mu)*x0vec - x11&
                          *x6vec - x11*x7vec + x5vec*x6 - x6vec*x8 - x7vec*x8)
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              riOut = incRI(nu, incRI(mu, j))
              wp(:,riOut) = wp(:,riOut) + x12*(P2(mu)*co(0)*gg(:,nu)*x1 + P2(nu&
                            )*x6vec - gg(nu,mu)*x1vec - wl(nu,j)*x5vec)
            end do 
          end do 
        end do 
      case(VSV5)
!       P(1,3)*P(3,2)*c0
!       Metric(1,3)*P(-1,2)*P(-1,3)*c1
!       Epsilon(-1,-2,1,3)*P(-1,2)*P(-2,3)*c2
        x2 = P2(1)*co(2)
        x7 = P2(3)*co(2)
        x11 = P2(0)**2
        x17 = P2(2)*co(2)
        x21 = P2(1)**2
        x22 = co(1)*x21
        x23 = P2(2)**2
        x24 = co(1)*x23
        x25 = P2(3)**2
        x26 = co(1)*x25
        x27 = P1(0)*P2(0)
        x31 = P2(1)*co(1)
        x38 = P2(3)*co(1)
        x39 = cima*w2(0)
        x40 = P2(0)*co(2)
        x50 = P2(0)*co(1)
        x63 = P1(2)*P2(2)
        x71 = cima*w2(0)*(co(0) + co(1))
        do j = riMaxIn, 0, -1
          x0 = P1(3)*wl(2,j)
          x1 = P1(2)*wl(3,j) - x0
          x3 = P2(2)*wl(3,j)
          x4 = P2(3)*wl(2,j)
          x5 = x3 - x4
          x6 = P1(1)*wl(2,j) - P1(2)*wl(1,j)
          x8 = P2(1)*wl(2,j)
          x9 = P2(2)*wl(1,j)
          x10 = x8 - x9
          x12 = co(0)*wl(0,j)
          x13 = co(1)*x11
          x14 = P1(1)*wl(3,j)
          x15 = P1(3)*wl(1,j)
          x16 = x14 - x15
          x18 = P2(1)*wl(3,j)
          x19 = P2(3)*wl(1,j)
          x20 = x18 - x19
          x28 = P2(0)*wl(1,j)
          x29 = co(0)*x28
          x30 = P1(1)*wl(0,j)
          x32 = P2(0)*wl(2,j)
          x33 = co(0)*x32
          x34 = P1(2)*wl(0,j)
          x35 = P2(0)*wl(3,j)
          x36 = co(0)*x35
          x37 = P1(3)*wl(0,j)
          x41 = P1(0)*wl(2,j)
          x42 = -x34 + x41
          x43 = P2(2)*wl(0,j)
          x44 = x32 - x43
          x45 = P1(0)*wl(3,j) - x37
          x46 = P2(3)*wl(0,j)
          x47 = x35 - x46
          x48 = co(0)*wl(1,j)
          x49 = P1(0)*wl(1,j)
          x51 = P2(1)*wl(0,j)
          x52 = co(0)*x51
          x53 = co(0)*x8
          x54 = co(1)*x9
          x55 = co(0)*x18
          x56 = -x30 + x49
          x57 = x28 - x51
          x58 = co(0)*wl(2,j)
          x59 = co(1)*wl(2,j)
          x60 = co(0)*x43
          x61 = co(1)*x8
          x62 = co(0)*x9
          x64 = co(0)*x3
          x65 = co(0)*wl(3,j)
          x66 = co(1)*x35
          x67 = co(0)*x46
          x68 = co(0)*x19
          x69 = co(1)*x3
          x70 = co(0)*x4
          x72 = co(2)*x3
          x73 = co(2)*x4
          x74 = co(2)*x19
          x75 = co(2)*x18
          x76 = co(2)*x8
          x77 = co(2)*x9
          x78 = co(2)*x46
          x79 = co(2)*x35
          x80 = co(2)*x32
          x81 = co(2)*x43
          x82 = co(2)*x51
          x83 = co(2)*x28
          wp(0,j) = x39*(-P1(1)*x29 - P1(2)*x33 - P1(3)*x36 - P2(1)*x29 - P2(2 &
                    )*co(1)*x34 - P2(2)*x33 - P2(3)*x36 + co(1)*wl(0,j)*x27 +  &
                    wl(0,j)*x13 - wl(0,j)*x22 - wl(0,j)*x24 - wl(0,j)*x26 + x1*&
                    x2 + x10*x7 + x11*x12 + x12*x27 - x16*x17 - x17*x20 + x2*x5&
                     - x30*x31 - x37*x38 + x6*x7)
          wp(1,j) = x39*(P1(0)*x52 - P1(1)*P2(1)*x48 - P1(1)*wl(1,j)*x31 - P1(2&
                    )*x53 - P1(2)*x54 - P1(3)*x55 + P2(0)*x52 - P2(2)*x53 - P2(&
                    3)*x55 + wl(1,j)*x13 - wl(1,j)*x22 - wl(1,j)*x24 - wl(1,j)*&
                    x26 + x1*x40 - x15*x38 - x17*x45 - x17*x47 - x21*x48 + x40*&
                    x5 + x42*x7 + x44*x7 + x49*x50)
          wp(2,j) = x39*(P1(0)*x60 - P1(1)*x61 - P1(1)*x62 - P1(3)*x64 + P2(0)*&
                    x60 - P2(1)*x62 - P2(3)*x64 + wl(2,j)*x13 - x0*x38 - x16*  &
                    x40 + x2*x45 + x2*x47 - x20*x40 - x21*x59 - x23*x58 - x23* &
                    x59 - x25*x59 + x41*x50 - x56*x7 - x57*x7 - x58*x63 - x59* &
                    x63)
          wp(3,j) = x39*(P1(0)*x66 + P1(0)*x67 - P1(1)*x68 - P1(2)*x69 - P1(2)*&
                    x70 - P1(3)*P2(3)*x65 - P1(3)*wl(3,j)*x38 + P2(0)*x67 - P2(&
                    1)*x68 - P2(2)*x70 + wl(3,j)*x13 - wl(3,j)*x22 - wl(3,j)*  &
                    x24 - wl(3,j)*x26 + x10*x40 - x14*x31 + x17*x56 + x17*x57  &
                     - x2*x42 - x2*x44 - x25*x65 + x40*x6)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = P2(0)*wl(0,j)*x71
          sp2(0,1) = x39*(co(1)*x51 + x29 + x72 - x73)
          sp2(0,2) = x39*(co(1)*x43 + x33 + x74 - x75)
          sp2(0,3) = x39*(co(1)*x46 + x36 + x76 - x77)
          sp2(1,0) = x39*(co(1)*x28 + x52 - x72 + x73)
          sp2(1,1) = P2(1)*wl(1,j)*x71
          sp2(1,2) = x39*(x53 + x54 + x78 - x79)
          sp2(1,3) = x39*(co(1)*x19 + x55 + x80 - x81)
          sp2(2,0) = x39*(co(1)*x32 + x60 - x74 + x75)
          sp2(2,1) = x39*(x61 + x62 - x78 + x79)
          sp2(2,2) = P2(2)*wl(2,j)*x71
          sp2(2,3) = x39*(co(1)*x4 + x64 + x82 - x83)
          sp2(3,0) = x39*(x66 + x67 - x76 + x77)
          sp2(3,1) = x39*(co(1)*x18 + x68 - x80 + x81)
          sp2(3,2) = x39*(x69 + x70 - x82 + x83)
          sp2(3,3) = P2(3)*wl(3,j)*x71
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
          end do 
        end do 
      case(VSV6)
!       c0*(-P(-1,1)*P(-1,2)*P(1,3)*P(3,2) + P(-1,1)*P(-1,3)*P(1,2)*P(3,2) - P(-1
!       ,2)*P(-1,3)*P(1,2)*P(3,1))
!       Metric(1,3)*P(-1,1)*P(-1,2)**2*P(-1,3)*c1
!       c2*(Epsilon(-1,-2,-3,3)*P(-1,1)*P(-2,2)*P(-3,3)*P(1,2) - Epsilon(-2,-3,1,
!       3)*P(-1,1)*P(-1,2)*P(-2,2)*P(-3,3))
!       c3*(-Epsilon(-1,-2,-3,1)*P(-1,1)*P(-2,2)*P(-3,3)*P(3,2) - Epsilon(-1,-3,1
!       ,3)*P(-1,1)*P(-2,2)*P(-2,3)*P(-3,2))
        x13 = P1(0)*P2(0)*co(2)
        x32 = P2(0)**2
        x42 = P1(2)*P2(3)
        x43 = P1(3)*P2(2)
        x46 = P1(3)*P2(1)
        x47 = P1(1)*P2(3)
        x49 = P1(1)*P2(2)
        x50 = P1(2)*P2(1)
        x56 = P1(0)*P2(0)
        x59 = P2(1)**2
        x61 = P2(2)**2
        x63 = P2(3)**2
        x65 = P1(1)*P2(0)
        x88 = P1(1)*P2(1)*co(2)
        x91 = P1(1)*P2(1)
        x92 = P1(2)*P2(2)
        x93 = P1(3)*P2(3)
        x95 = P1(2)*P2(0)
        x110 = P1(2)*P2(2)*co(2)
        x114 = P1(3)*P2(0)
        x125 = P1(3)*P2(3)*co(2)
        x126 = P1(3)*co(3)
        x142 = cima*w2(0)
        x145 = P1(0)*P2(3)
        x146 = P1(0)*P2(2)
        x148 = P1(0)*P2(1)
        x168 = P1(0)*P2(2)*co(3)
        x171 = P1(1)*P2(2)*co(3)
        x190 = P1(0)*P2(3)*co(3)
        x191 = P1(0)*co(3)
        x192 = P1(1)*P2(3)*co(3)
        x204 = P2(0)*co(2)
        x210 = P2(1)*co(2)
        x238 = P2(2)*co(2)
        x262 = P2(3)*co(2)
        x375 = P2(0)*cima*w2(0)
        x378 = P2(1)*cima*w2(0)
        x379 = P2(2)*cima*w2(0)
        x380 = P2(3)*cima*w2(0)
        do j = riMaxIn, 0, -1
          x0 = P1(1)*wl(3,j)
          x1 = P1(3)*wl(1,j)
          x2 = x0 - x1
          x3 = P2(2)*x2
          x4 = P1(2)*wl(3,j)
          x5 = P1(3)*wl(2,j)
          x6 = x4 - x5
          x7 = P2(1)*x6
          x8 = P1(1)*wl(2,j)
          x9 = P1(2)*wl(1,j)
          x10 = x8 - x9
          x11 = P2(3)*x10
          x12 = -x11 + x3 - x7
          x14 = P2(1)*wl(3,j)
          x15 = P2(3)*wl(1,j)
          x16 = x14 - x15
          x17 = P2(2)*x16
          x18 = P2(2)*wl(3,j)
          x19 = P2(3)*wl(2,j)
          x20 = x18 - x19
          x21 = P2(1)*x20
          x22 = P2(1)*wl(2,j)
          x23 = P2(2)*wl(1,j)
          x24 = x22 - x23
          x25 = P2(3)*x24
          x26 = x17 - x21 - x25
          x27 = P1(1)*wl(1,j)
          x28 = P1(2)*wl(2,j)
          x29 = P1(3)*wl(3,j)
          x30 = P1(0)*wl(0,j)
          x31 = x27 + x28 + x29 - x30
          x33 = co(0)*x32
          x34 = x31*x33
          x35 = P2(1)*wl(1,j)
          x36 = P2(2)*wl(2,j)
          x37 = P2(3)*wl(3,j)
          x38 = P2(0)*wl(0,j)
          x39 = x35 + x36 + x37 - x38
          x40 = co(0)*x39
          x41 = x32*x40
          x44 = x42 - x43
          x45 = P1(1)*co(2)*x39
          x48 = P1(2)*co(2)*x39
          x51 = x49 - x50
          x52 = P1(3)*co(2)*x39
          x53 = P1(1)**2*co(0)*x39
          x54 = P1(2)**2*co(0)*x39
          x55 = P1(3)**2*co(0)*x39
          x57 = co(3)*x12
          x58 = co(3)*x26
          x60 = x40*x59
          x62 = x40*x61
          x64 = x40*x63
          x66 = P2(0)*x6
          x67 = P1(0)*wl(2,j)
          x68 = P1(2)*wl(0,j)
          x69 = x67 - x68
          x70 = P2(3)*x69
          x71 = P1(0)*wl(3,j)
          x72 = P1(3)*wl(0,j)
          x73 = x71 - x72
          x74 = P2(2)*x73
          x75 = x66 + x70 - x74
          x76 = co(3)*x75
          x77 = P2(0)*x20
          x78 = P2(0)*wl(2,j)
          x79 = P2(2)*wl(0,j)
          x80 = x78 - x79
          x81 = P2(3)*x80
          x82 = P2(0)*wl(3,j)
          x83 = P2(3)*wl(0,j)
          x84 = x82 - x83
          x85 = P2(2)*x84
          x86 = x77 + x81 - x85
          x87 = co(3)*x86
          x89 = x32 - x59 - x61 - x63
          x90 = P1(1)*co(3)*x20
          x94 = x56 - x91 - x92 - x93
          x96 = P2(1)*x73
          x97 = P2(0)*x2
          x98 = P1(0)*wl(1,j)
          x99 = P1(1)*wl(0,j)
          x100 = x98 - x99
          x101 = P2(3)*x100
          x102 = co(3)*(-x101 + x96 - x97)
          x103 = P2(1)*x84
          x104 = P2(0)*x16
          x105 = P2(0)*wl(1,j)
          x106 = P2(1)*wl(0,j)
          x107 = x105 - x106
          x108 = P2(3)*x107
          x109 = co(3)*(x103 - x104 - x108)
          x111 = -x32 + x59 + x61 + x63
          x112 = P1(2)*co(3)*x16
          x113 = -x56 + x91 + x92 + x93
          x115 = P2(0)*x10
          x116 = P2(2)*x100
          x117 = P2(1)*x69
          x118 = x115 + x116 - x117
          x119 = co(3)*x118
          x120 = P2(0)*x24
          x121 = P2(2)*x107
          x122 = P2(1)*x80
          x123 = x120 + x121 - x122
          x124 = co(3)*x123
          x127 = x24*x89
          x128 = x24*x94
          x129 = co(1)*wl(0,j)*x111
          x130 = co(1)*wl(0,j)*x113
          x131 = co(1)*x72
          x132 = P2(3)*x111
          x133 = P2(3)*x113
          x134 = x40*x91
          x135 = x40*x92
          x136 = x40*x93
          x137 = co(1)*x38
          x138 = x111*x137
          x139 = x113*x137
          x140 = P2(0)*co(0)*x31
          x141 = P2(3)*co(0)*x31
          x143 = -x66 - x70 + x74
          x144 = -x77 - x81 + x85
          x147 = x146 - x95
          x149 = P1(0)*co(2)*x39
          x150 = P1(0)*co(3)*x20
          x151 = co(0)*x59
          x152 = x151*x31
          x153 = P1(2)*co(3)*x84
          x154 = P1(3)*co(3)*x80
          x155 = P1(0)**2*co(0)*x39
          x156 = x40*x65
          x157 = co(1)*wl(1,j)*x111
          x158 = co(1)*wl(1,j)*x113
          x159 = co(1)*x1
          x160 = co(1)*x105
          x161 = x111*x160
          x162 = x113*x160
          x163 = x40*x47
          x164 = P2(1)*co(0)*x31
          x165 = x101 - x96 + x97
          x166 = -x103 + x104 + x108
          x167 = -x114 + x145
          x169 = -x46 + x47
          x170 = P1(0)*co(3)*x16
          x172 = P1(1)*co(3)*x84
          x173 = co(0)*x61
          x174 = x173*x31
          x175 = P1(3)*co(3)*x107
          x176 = x40*x95
          x177 = co(1)*x8
          x178 = P2(1)*x111
          x179 = P2(1)*x113
          x180 = P1(2)*P2(2)*co(1)*wl(2,j)
          x181 = P1(3)*P2(3)*co(1)*wl(2,j)
          x182 = co(1)*x78
          x183 = x111*x182
          x184 = x113*x182
          x185 = P2(2)*co(0)*x31
          x186 = x40*x42
          x187 = co(2)*(-x115 - x116 + x117)
          x188 = -x120 - x121 + x122
          x189 = x148 - x65
          x193 = P1(1)*co(3)*x80
          x194 = P1(2)*co(3)*x107
          x195 = co(0)*x63
          x196 = x195*x31
          x197 = x114*x40
          x198 = co(1)*x0
          x199 = P1(2)*P2(2)*co(1)*wl(3,j)
          x200 = P1(3)*P2(3)*co(1)*wl(3,j)
          x201 = co(1)*x82
          x202 = x111*x201
          x203 = x113*x201
          x205 = co(0)*x38
          x206 = co(3)*x78
          x207 = co(3)*x105
          x208 = co(3)*x82
          x209 = x11 - x3 + x7
          x211 = -x17 + x21 + x25
          x212 = x191*x77
          x213 = x148*x40
          x214 = co(2)*x20
          x215 = x214*x91
          x216 = co(3)*x16
          x217 = x216*x50
          x218 = x214*x92
          x219 = co(3)*x80
          x220 = x114*x219
          x221 = x214*x93
          x222 = P2(1)*x140
          x223 = co(0)*x105
          x224 = co(3)*x19
          x225 = x111*x224
          x226 = x113*x224
          x227 = x214*x56
          x228 = co(3)*x20*x91
          x229 = co(3)*x84
          x230 = x229*x95
          x231 = co(3)*x24
          x232 = x231*x46
          x233 = co(3)*x44
          x234 = co(1)*x106
          x235 = co(3)*x18
          x236 = x111*x235
          x237 = x113*x235
          x239 = co(2)*x16
          x240 = x239*x56
          x241 = x146*x40
          x242 = x229*x65
          x243 = x216*x92
          x244 = P2(2)*x140
          x245 = co(0)*x78
          x246 = P2(0)*co(3)*wl(0,j)
          x247 = co(3)*x14
          x248 = x111*x247
          x249 = x113*x247
          x250 = x216*x56
          x251 = x239*x91
          x252 = x171*x20
          x253 = x239*x92
          x254 = co(3)*x107
          x255 = x114*x254
          x256 = x231*x43
          x257 = x239*x93
          x258 = co(1)*x79
          x259 = co(3)*x15
          x260 = x111*x259
          x261 = x113*x259
          x263 = x120*x191
          x264 = x145*x40
          x265 = co(2)*x24
          x266 = x265*x91
          x267 = x254*x95
          x268 = x265*x92
          x269 = x216*x42
          x270 = co(2)*x25
          x271 = P1(3)*x270
          x272 = P2(3)*x140
          x273 = co(0)*x82
          x274 = co(3)*x23
          x275 = x111*x274
          x276 = x113*x274
          x277 = co(2)*x120
          x278 = P1(0)*x277
          x279 = x219*x65
          x280 = x192*x20
          x281 = x126*x25
          x282 = co(3)*x22
          x283 = x111*x282
          x284 = x113*x282
          x285 = co(1)*x83
          x286 = co(2)*x86
          x287 = co(0)*x106
          x288 = -x41
          x289 = co(0)*x35
          x290 = -x40*x56
          x291 = co(1)*x35
          x292 = co(3)*x106
          x293 = co(2)*x84
          x294 = x293*x56
          x295 = x229*x91
          x296 = x40*x49
          x297 = x229*x92
          x298 = x111*x208
          x299 = x113*x208
          x300 = P2(1)*x185
          x301 = co(0)*x22
          x302 = x148*x216
          x303 = x168*x20
          x304 = x293*x91
          x305 = x293*x92
          x306 = x254*x46
          x307 = x219*x43
          x308 = x293*x93
          x309 = co(3)*x167
          x310 = co(1)*x23
          x311 = co(3)*x83
          x312 = x111*x311
          x313 = x113*x311
          x314 = x40*x50
          x315 = x148*x231
          x316 = co(2)*x80
          x317 = x316*x91
          x318 = x254*x50
          x319 = x316*x92
          x320 = x229*x42
          x321 = x316*x93
          x322 = P2(1)*x141
          x323 = co(0)*x14
          x324 = co(3)*x147
          x325 = co(3)*x79
          x326 = x111*x325
          x327 = x113*x325
          x328 = x316*x56
          x329 = x190*x20
          x330 = x219*x91
          x331 = x219*x93
          x332 = x111*x206
          x333 = x113*x206
          x334 = co(1)*x15
          x335 = x40*x46
          x336 = co(0)*x79
          x337 = P2(2)*co(3)*wl(2,j)
          x338 = co(0)*x23
          x339 = co(1)*x22
          x340 = co(0)*x36
          x341 = co(1)*x36
          x342 = x134 + x288 + x290 + x60 + x62 + x64
          x343 = co(2)*x107
          x344 = x343*x56
          x345 = x168*x24
          x346 = x145*x216
          x347 = x254*x92
          x348 = x254*x93
          x349 = x111*x207
          x350 = x113*x207
          x351 = P2(3)*x185
          x352 = co(0)*x18
          x353 = x343*x91
          x354 = x171*x80
          x355 = x229*x47
          x356 = x343*x92
          x357 = x343*x93
          x358 = x111*x292
          x359 = x113*x292
          x360 = co(1)*x19
          x361 = x40*x43
          x362 = co(2)*x118
          x363 = co(0)*x83
          x364 = P2(3)*co(3)*wl(3,j)
          x365 = co(0)*x15
          x366 = co(1)*x14
          x367 = co(0)*x19
          x368 = co(1)*x18
          x369 = co(0)*x37
          x370 = co(1)*x37
          x371 = -x289
          x372 = -x340
          x373 = -x369
          x374 = x137 + x40
          x376 = -x205
          x377 = x374 + x376
          x381 = co(1)*wl(0,j)
          x382 = P2(3)*x273
          x383 = P2(2)*x247
          x384 = P2(3)*x282
          x385 = -wl(0,j)*x33
          x386 = P2(2)*x245 + x385
          x387 = P2(2)*x214
          x388 = x262*x39
          x389 = -x388
          x390 = co(3)*x59
          x391 = wl(3,j)*x390
          x392 = -x391
          x393 = P2(1)*x258
          x394 = P2(1)*x259
          x395 = -P2(2)*x223
          x396 = co(3)*x32
          x397 = wl(3,j)*x396
          x398 = P2(3)*x246
          x399 = -x398
          x400 = x238*x39
          x401 = P2(3)*x214
          x402 = wl(2,j)*x396
          x403 = -x402
          x404 = P2(2)*x246
          x405 = P2(1)*x285
          x406 = -P2(3)*x223
          x407 = wl(2,j)*x390
          x408 = P2(1)*x274
          x409 = x407 - x408
          x410 = P2(1)*x239
          x411 = co(3)*x61
          x412 = wl(3,j)*x411
          x413 = -P2(1)*x245
          x414 = P2(3)*x337
          x415 = -x414
          x416 = -x397 + x398
          x417 = P2(1)*x223
          x418 = P2(3)*x274
          x419 = P2(3)*x239
          x420 = wl(1,j)*x396
          x421 = x210*x39
          x422 = -x421
          x423 = P2(3)*x258
          x424 = P2(1)*x246
          x425 = -x424
          x426 = -P2(3)*x245
          x427 = wl(1,j)*x411
          x428 = -x427
          x429 = P2(2)*x282
          x430 = P2(1)*x265
          x431 = -x400
          x432 = wl(2,j)*x63
          x433 = co(3)*x432
          x434 = -x433
          x435 = P2(2)*x364
          x436 = -P2(0)*x323
          x437 = x402 - x404
          x438 = P2(2)*x265
          x439 = -x420
          x440 = -P2(2)*x273
          x441 = wl(1,j)*x63
          x442 = co(3)*x441
          x443 = P2(3)*x247
          x444 = x442 - x443
          x445 = co(1)*x32
          x446 = wl(1,j)*x151
          x447 = P2(3)*x206
          x448 = -P2(2)*x208
          x449 = P2(2)*x301
          x450 = P2(3)*x323
          x451 = P2(2)*x160
          x452 = -P2(1)*x336
          x453 = -x394
          x454 = -x407
          x455 = P2(3)*x160
          x456 = -P2(1)*x363
          x457 = -x40
          x458 = x291 + x371 + x457
          x459 = x340 + x376
          x460 = P2(0)*x293
          x461 = -x412 + x414
          x462 = P2(3)*x325
          x463 = -P2(1)*x205 + x446
          x464 = P2(3)*x293
          x465 = x204*x39
          x466 = -x465
          x467 = wl(0,j)*x411
          x468 = -x467
          x469 = P2(2)*x206
          x470 = P2(3)*x310
          x471 = -P2(3)*x301
          x472 = wl(0,j)*x390
          x473 = -x472
          x474 = P2(1)*x207
          x475 = P2(0)*x316
          x476 = -x435
          x477 = P2(2)*x316
          x478 = -x474
          x479 = -P2(2)*x323
          x480 = co(3)*wl(0,j)*x63
          x481 = P2(3)*x208
          x482 = x480 - x481
          x483 = wl(2,j)*x173
          x484 = P2(0)*x247
          x485 = -P2(3)*x207
          x486 = P2(1)*x338
          x487 = P2(2)*x369
          x488 = P2(1)*x182
          x489 = P2(3)*x182
          x490 = -P2(3)*x336
          x491 = -x429
          x492 = P2(1)*x311
          x493 = -P2(2)*x205 + x483
          x494 = P2(3)*x339
          x495 = -x469
          x496 = -P2(3)*x338
          x497 = x341 + x457
          x498 = x372 + x497
          x499 = P2(0)*x343
          x500 = -x442 + x443
          x501 = P2(1)*x343
          x502 = -x480 + x481
          x503 = wl(3,j)*x195
          x504 = P2(2)*x207
          x505 = -P2(1)*x206
          x506 = P2(1)*x365
          x507 = P2(3)*x340
          x508 = P2(0)*x366
          x509 = P2(2)*x201
          x510 = co(1)*wl(3,j)
          x511 = P2(1)*x325
          x512 = -P2(3)*x205 + x503
          x513 = P2(2)*x366
          x514 = x370 + x373 + x457
          wp(0,j) = x142*(-P1(0)*x134 - P1(0)*x135 - P1(0)*x136 - P1(0)*x138 - &
                    P1(0)*x139 + P1(0)*x34 + P1(0)*x41 - P1(0)*x60 - P1(0)*x62 &
                     - P1(0)*x64 + P2(0)*x53 + P2(0)*x54 + P2(0)*x55 - x102*x95&
                     - x109*x95 - x110*x12 - x110*x26 - x111*x112 - x112*x113  &
                     - x114*x119 - x114*x124 - x114*x141 - x12*x125 + x12*x13  &
                     - x12*x88 - x125*x26 - x126*x127 - x126*x128 + x129*x91 + &
                    x129*x92 + x13*x26 + x130*x91 + x130*x92 + x131*x132 + x131&
                    *x133 - x140*x91 - x140*x92 - x26*x88 + x44*x45 + x48*(x46 &
                     - x47) + x51*x52 - x56*x57 - x56*x58 - x65*x76 - x65*x87  &
                     - x89*x90 - x90*x94)
          wp(1,j) = x142*(P1(0)*x156 - P1(0)*x161 - P1(0)*x162 - P1(1)*x135 -  &
                    P1(1)*x152 + P1(1)*x41 - P1(1)*x60 - P1(1)*x62 - P1(1)*x64 &
                     - P1(3)*x163 - P2(1)*x155 + P2(1)*x54 + P2(1)*x55 - x102* &
                    x50 - x109*x50 - x110*x143 - x110*x144 - x111*x153 - x113* &
                    x153 - x119*x46 - x124*x46 - x125*x143 - x125*x144 + x13*  &
                    x143 + x13*x144 + x132*x159 + x133*x159 + x140*x148 - x143*&
                    x88 - x144*x88 + x147*x52 - x148*x57 - x148*x58 - x149*(-  &
                    x42 + x43) - x150*x89 - x150*x94 - x154*x89 - x154*x94 +   &
                    x157*x91 + x157*x92 + x158*x91 + x158*x92 - x164*x92 - x164&
                    *x93 + x48*(x114 - x145) - x76*x91 - x87*x91)
          wp(2,j) = x142*(P1(0)*x176 - P1(0)*x183 - P1(0)*x184 - P1(2)*x134 -  &
                    P1(2)*x174 + P1(2)*x41 - P1(2)*x60 - P1(2)*x62 - P1(2)*x64 &
                     - P1(3)*x186 - P2(2)*x155 + P2(2)*x53 + P2(2)*x55 - x102* &
                    x92 - x109*x92 - x110*x165 - x110*x166 - x111*x170 - x111* &
                    x175 + x111*x180 + x111*x181 - x113*x170 - x113*x175 + x113&
                    *x180 + x113*x181 - x119*x43 - x12*x168 - x124*x43 - x125* &
                    x165 - x125*x166 + x13*x165 + x13*x166 + x140*x146 - x149* &
                    x169 - x165*x88 - x166*x88 + x167*x45 - x168*x26 - x171*x75&
                     - x171*x86 - x172*x89 - x172*x94 + x177*x178 + x177*x179  &
                     - x185*x91 - x185*x93 + x52*(-x148 + x65))
          wp(3,j) = x142*(P1(0)*x197 - P1(0)*x202 - P1(0)*x203 - P1(3)*x134 -  &
                    P1(3)*x135 - P1(3)*x196 + P1(3)*x41 - P1(3)*x60 - P1(3)*x62&
                     - P1(3)*x64 - P2(3)*x155 + P2(3)*x53 + P2(3)*x54 - x102*  &
                    x42 - x109*x42 - x110*x188 - x111*x193 + x111*x199 + x111* &
                    x200 - x113*x193 + x113*x199 + x113*x200 - x119*x93 - x12* &
                    x190 - x124*x93 - x125*x188 - x127*x191 - x128*x191 + x13* &
                    x188 + x140*x145 - x141*x92 - x149*(-x49 + x50) - x164*x47 &
                     + x178*x198 + x179*x198 + x187*x56 - x187*x91 - x187*x92  &
                     - x187*x93 - x188*x88 + x189*x48 - x190*x26 - x192*x75 -  &
                    x192*x86 - x194*x89 - x194*x94 + x45*(-x146 + x95))
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x142*(co(1)*x30 + x113*x205 + x12*x204 - x134 - x135 -    &
                     x136 - x138 - x139 + x169*x206 + x204*x26 - x207*x44 -    &
                     x208*x51 + x34 + x41 - x60 - x62 - x64)
          sp2(0,1) = x142*(co(1)*x99 - x111*x234 + x113*x223 - x113*x234 - x147&
                     *x208 - 2*x156 + x167*x206 - x209*x210 - x210*x211 + x212 &
                      + x213 + x215 + x217 + x218 + x220 + x221 + x222 + x225  &
                      + x226 - x227 - x228 - x230 - x232 - x233*x38 - x236 -   &
                     x237)
          sp2(0,2) = x142*(co(1)*x68 - x111*x258 + x113*x245 - x113*x258 - x167&
                     *x207 + x169*x246 - 2*x176 + x189*x208 - x209*x238 - x211*&
                     x238 + x240 + x241 + x242 + x243 + x244 + x248 + x249 -   &
                     x250 - x251 - x252 - x253 - x255 - x256 - x257 - x260 -   &
                     x261)
          sp2(0,3) = x142*(-x111*x285 + x113*x273 - x113*x285 + x131 + x147*   &
                     x207 - x189*x206 - 2*x197 - x209*x262 - x211*x262 - x246* &
                     x51 + x263 + x264 + x266 + x267 + x268 + x269 + x271 +    &
                     x272 + x275 + x276 - x278 - x279 - x280 - x281 - x283 -   &
                     x284)
          sp2(1,0) = x142*(-P2(0)*x286 + co(1)*x98 + x113*x287 + x156 - x161 - &
                     x162 + x169*x282 - x204*x75 - x212 - 2*x213 - x215 - x217 &
                      - x218 - x220 - x221 + x222 - x225 - x226 + x227 + x228  &
                      + x230 + x232 - x233*x35 + x236 + x237 - x247*x51)
          sp2(1,1) = x142*(co(1)*x27 - x111*x291 + x113*x289 - x113*x291 + x135&
                      + x136 - x147*x247 + x152 + x167*x282 - x210*x75 - x210* &
                     x86 + x288 + x290 - x292*x44 + x60 + x62 + x64)
          sp2(1,2) = x142*(-P2(2)*x286 + co(1)*x9 - x111*x310 + x113*x301 -    &
                     x113*x310 + x169*x292 + x189*x247 - x238*x75 + x294 + x295&
                      + x296 + x297 + x298 + x299 + x300 - x302 - x303 - x304  &
                      - x305 - x306 - x307 - x308 - x309*x35 - x312 - x313 - 2*&
                     x314)
          sp2(1,3) = x142*(-P2(3)*x286 - x111*x334 + x113*x323 - x113*x334 +   &
                     x159 + x163 - x189*x282 - x262*x75 - x292*x51 + x315 +    &
                     x317 + x318 + x319 + x320 + x321 + x322 + x324*x35 + x326 &
                      + x327 - x328 - x329 - x330 - x331 - x332 - x333 - 2*x335&
                     )
          sp2(2,0) = x142*(co(1)*x67 + x113*x336 + x165*x204 + x166*x204 + x169&
                     *x337 + x176 - x183 - x184 - x235*x51 - x240 - 2*x241 -   &
                     x242 - x243 + x244 - x248 - x249 + x250 + x251 + x252 +   &
                     x253 + x255 + x256 + x257 + x260 + x261 - x274*x44)
          sp2(2,1) = x142*(-x111*x339 + x113*x338 - x113*x339 - x147*x235 +    &
                     x165*x210 + x166*x210 + x177 - x294 - x295 - 2*x296 - x297&
                      - x298 - x299 + x300 + x302 + x303 + x304 + x305 + x306  &
                      + x307 + x308 + x309*x36 + x312 + x313 + x314 - x325*x44)
          sp2(2,2) = x142*(co(1)*x28 - x111*x341 + x113*x340 - x113*x341 + x136&
                      + x165*x238 + x166*x238 - x167*x274 + x169*x325 + x174 + &
                     x189*x235 + x342)
          sp2(2,3) = x142*(co(1)*x5 - x111*x360 + x113*x352 - x113*x360 + x147*&
                     x274 + x165*x262 + x166*x262 + x186 - x189*x337 - x325*x51&
                      + x344 + x345 + x346 + x347 + x348 + x349 + x350 + x351  &
                      - x353 - x354 - x355 - x356 - x357 - x358 - x359 - 2*x361&
                     )
          sp2(3,0) = x142*(-P2(0)*x362 + co(1)*x71 + x113*x363 - x123*x204 +   &
                     x169*x224 + x197 - x202 - x203 - x259*x44 - x263 - 2*x264 &
                      - x266 - x267 - x268 - x269 - x271 + x272 - x275 - x276  &
                      + x278 + x279 + x280 + x281 + x283 + x284 - x364*x51)
          sp2(3,1) = x142*(-P2(1)*x362 - x111*x366 + x113*x365 - x113*x366 -   &
                     x123*x210 - 2*x163 + x167*x224 + x198 - x311*x44 - x315 - &
                     x317 - x318 - x319 - x320 - x321 + x322 - x324*x37 - x326 &
                      - x327 + x328 + x329 + x330 + x331 + x332 + x333 + x335)
          sp2(3,2) = x142*(-P2(2)*x362 + co(1)*x4 - x111*x368 + x113*x367 -    &
                     x113*x368 - x123*x238 - x167*x259 + x169*x311 - 2*x186 +  &
                     x189*x364 - x344 - x345 - x346 - x347 - x348 - x349 - x350&
                      + x351 + x353 + x354 + x355 + x356 + x357 + x358 + x359  &
                      + x361)
          sp2(3,3) = x142*(-P2(3)*x362 + co(1)*x29 - x111*x370 + x113*x369 -   &
                     x113*x370 - x123*x262 + x135 + x147*x259 - x189*x224 +    &
                     x196 - x311*x51 + x342)
          sp3(0,0,0) = x375*(x371 + x372 + x373 + x374)
          sp3(0,0,1) = x377*x378
          sp3(0,0,2) = x377*x379
          sp3(0,0,3) = x377*x380
          sp3(0,1,0) = x375*(-x214 - x223 - x224 + x234 + x235)
          sp3(0,1,1) = x142*(-P2(1)*x214 + x381*x59 + x382 + x383 - x384 + x386)
          sp3(0,1,2) = x142*(-x387 + x389 + x392 + x393 + x394 + x395 + x397 + &
                       x399)
          sp3(0,1,3) = x142*(x400 - x401 + x403 + x404 + x405 + x406 + x409)
          sp3(0,2,0) = x375*(x239 - x245 - x247 + x258 + x259)
          sp3(0,2,1) = x142*(x388 + x393 + x410 + x412 + x413 + x415 + x416)
          sp3(0,2,2) = x142*(P2(2)*x239 + x381*x61 + x382 - x383 + x385 + x417 &
                        + x418)
          sp3(0,2,3) = x142*(x419 + x420 + x422 + x423 + x425 + x426 + x428 +  &
                       x429)
          sp3(0,3,0) = x375*(-x265 - x273 - x274 + x282 + x285)
          sp3(0,3,1) = x142*(x405 - x430 + x431 + x434 + x435 + x436 + x437)
          sp3(0,3,2) = x142*(x421 + x423 + x424 - x438 + x439 + x440 + x444)
          sp3(0,3,3) = x142*(-x270 + x381*x63 + x384 + x386 + x417 - x418)
          sp3(1,0,0) = x142*(P2(0)*x214 + wl(1,j)*x445 - x446 + x447 + x448 -  &
                       x449 - x450)
          sp3(1,0,1) = x378*(x160 + x214 + x224 - x235 - x287)
          sp3(1,0,2) = x142*(x387 + x388 + x391 + x416 + x451 + x452 + x453)
          sp3(1,0,3) = x142*(x401 + x408 + x431 + x437 + x454 + x455 + x456)
          sp3(1,1,0) = x375*x458
          sp3(1,1,1) = x378*(x291 + x369 + x457 + x459)
          sp3(1,1,2) = x379*x458
          sp3(1,1,3) = x380*x458
          sp3(1,2,0) = x142*(x389 + x392 + x394 + x413 + x451 + x460 + x461)
          sp3(1,2,1) = x378*(-x208 + x293 - x301 + x310 + x311)
          sp3(1,2,2) = x142*(P2(2)*x293 + co(1)*wl(1,j)*x61 + x448 + x450 +    &
                       x462 + x463)
          sp3(1,2,3) = x142*(x464 + x466 + x468 + x469 + x470 + x471 + x473 +  &
                       x474)
          sp3(1,3,0) = x142*(x400 + x409 + x433 + x436 + x455 - x475 + x476)
          sp3(1,3,1) = x378*(x206 - x316 - x323 - x325 + x334)
          sp3(1,3,2) = x142*(x465 + x470 + x472 - x477 + x478 + x479 + x482)
          sp3(1,3,3) = x142*(-P2(3)*x316 + co(1)*x441 + x447 + x449 - x462 +   &
                       x463)
          sp3(2,0,0) = x142*(-P2(0)*x239 + wl(2,j)*x445 - x483 + x484 + x485 - &
                       x486 - x487)
          sp3(2,0,1) = x142*(x389 + x397 + x399 - x410 + x452 + x461 + x488)
          sp3(2,0,2) = x379*(x182 - x239 + x247 - x259 - x336)
          sp3(2,0,3) = x142*(-x419 + x421 + x424 + x427 + x439 + x489 + x490 + &
                       x491)
          sp3(2,1,0) = x142*(x388 + x391 + x395 + x412 + x415 + x453 - x460 +  &
                       x488)
          sp3(2,1,1) = x142*(co(1)*wl(2,j)*x59 - co(2)*x103 + x484 + x487 -    &
                       x492 + x493)
          sp3(2,1,2) = x379*(x208 - x293 - x311 - x338 + x339)
          sp3(2,1,3) = x142*(-x464 + x465 + x467 + x472 + x478 + x494 + x495 + &
                       x496)
          sp3(2,2,0) = x375*x498
          sp3(2,2,1) = x378*x498
          sp3(2,2,2) = x379*(x289 + x369 + x376 + x497)
          sp3(2,2,3) = x380*x498
          sp3(2,3,0) = x142*(x422 + x428 + x429 + x440 + x489 + x499 + x500)
          sp3(2,3,1) = x142*(x466 + x468 + x469 + x479 + x494 + x501 + x502)
          sp3(2,3,2) = x379*(-x207 + x292 + x343 - x352 + x360)
          sp3(2,3,3) = x142*(P2(3)*x343 + co(1)*x432 + x485 + x486 + x492 +    &
                       x493)
          sp3(3,0,0) = x142*(wl(3,j)*x445 + x277 - x503 + x504 + x505 - x506 - &
                       x507)
          sp3(3,0,1) = x142*(x400 + x403 + x404 + x430 + x433 + x456 + x476 +  &
                       x508)
          sp3(3,0,2) = x142*(x420 + x422 + x425 + x438 + x490 + x500 + x509)
          sp3(3,0,3) = x380*(x201 + x265 + x274 - x282 - x363)
          sp3(3,1,0) = x142*(x406 + x408 + x431 + x434 + x435 + x454 + x475 +  &
                       x508)
          sp3(3,1,1) = x142*(P2(1)*x316 + x505 + x507 + x510*x59 + x511 + x512)
          sp3(3,1,2) = x142*(x466 + x473 + x474 + x477 + x496 + x502 + x513)
          sp3(3,1,3) = x380*(-x206 + x316 + x325 - x365 + x366)
          sp3(3,2,0) = x142*(x421 + x426 + x427 + x444 + x491 - x499 + x509)
          sp3(3,2,1) = x142*(x465 + x467 + x471 + x482 + x495 - x501 + x513)
          sp3(3,2,2) = x142*(-P2(2)*x343 + x504 + x506 + x510*x61 - x511 + x512)
          sp3(3,2,3) = x380*(x207 - x292 - x343 - x367 + x368)
          sp3(3,3,0) = x375*x514
          sp3(3,3,1) = x378*x514
          sp3(3,3,2) = x379*x514
          sp3(3,3,3) = x380*(x289 + x370 + x457 + x459)
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              riOut = incRI(nu, incRI(mu, j))
              wp(:,riOut) = wp(:,riOut) + sp3(:,nu,mu)
            end do 
          end do 
        end do 
      case(VSV7)
!       P(1,2)*P(3,1)*c0
!       Metric(1,3)*P(-1,1)*P(-1,2)*c1
!       Epsilon(-1,-2,1,3)*P(-1,1)*P(-2,2)*c2
        x3 = P1(2)*co(2)
        x7 = P1(1)*co(2)
        x26 = cima*w2(0)
        x29 = P1(0)*co(2)
        x32 = P1(3)*co(2)
        do j = riMaxIn, 0, -1
          x0 = P2(1)*wl(3,j)
          x1 = P2(3)*wl(1,j)
          x2 = x0 - x1
          x4 = P2(2)*wl(3,j)
          x5 = P2(3)*wl(2,j)
          x6 = x4 - x5
          x8 = P2(1)*wl(2,j)
          x9 = P2(2)*wl(1,j)
          x10 = co(2)*(x8 - x9)
          x11 = P2(1)*wl(1,j)
          x12 = co(0)*x11
          x13 = P2(2)*wl(2,j)
          x14 = co(0)*x13
          x15 = P2(3)*wl(3,j)
          x16 = co(0)*x15
          x17 = P2(1)*wl(0,j)
          x18 = co(1)*x17
          x19 = P2(2)*wl(0,j)
          x20 = co(1)*x19
          x21 = P2(3)*wl(0,j)
          x22 = co(1)*x21
          x23 = P2(0)*wl(0,j)
          x24 = co(0)*x23
          x25 = co(1)*x23
          x27 = P2(0)*wl(3,j)
          x28 = -x21 + x27
          x30 = P2(0)*wl(2,j)
          x31 = -x19 + x30
          x33 = co(1)*x11
          x34 = co(1)*x9
          x35 = co(1)*x1
          x36 = P2(0)*wl(1,j)
          x37 = co(1)*x36
          x38 = -x17 + x36
          x39 = co(1)*x8
          x40 = co(1)*x13
          x41 = co(1)*x5
          x42 = co(1)*x30
          x43 = co(1)*x0
          x44 = co(1)*x4
          x45 = co(1)*x15
          x46 = co(1)*x27
          x47 = co(2)*x4
          x48 = co(2)*x5
          x49 = co(2)*x1
          x50 = co(2)*x0
          x51 = co(2)*x8
          x52 = co(2)*x9
          x53 = -x12 - x14 - x16 + x24
          x54 = co(2)*x21
          x55 = co(2)*x27
          x56 = co(2)*x30
          x57 = co(2)*x19
          x58 = co(2)*x17
          x59 = co(2)*x36
          wp(0,j) = x26*(P1(0)*x12 + P1(0)*x14 + P1(0)*x16 - P1(0)*x24 - P1(0)*&
                    x25 + P1(1)*x18 + P1(2)*x20 - P1(3)*x10 + P1(3)*x22 + x2*x3&
                     - x6*x7)
          wp(1,j) = x26*(-P1(0)*x37 + P1(1)*x12 + P1(1)*x14 + P1(1)*x16 - P1(1 &
                    )*x24 + P1(1)*x33 + P1(2)*x34 + P1(3)*x35 + x28*x3 - x29*x6&
                     - x31*x32)
          wp(2,j) = x26*(-P1(0)*x42 + P1(1)*x39 + P1(2)*x12 + P1(2)*x14 + P1(2 &
                    )*x16 - P1(2)*x24 + P1(2)*x40 + P1(3)*x41 + x2*x29 - x28*x7&
                     + x32*x38)
          wp(3,j) = x26*(-P1(0)*x10 - P1(0)*x46 + P1(1)*x43 + P1(2)*x44 + P1(3 &
                    )*x12 + P1(3)*x14 + P1(3)*x16 - P1(3)*x24 + P1(3)*x45 - x3*&
                    x38 + x31*x7)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x26*(x12 + x14 + x16 - x24 - x25)
          sp2(0,1) = x26*(-x18 + x47 - x48)
          sp2(0,2) = x26*(-x20 + x49 - x50)
          sp2(0,3) = x26*(-x22 + x51 - x52)
          sp2(1,0) = x26*(-x37 - x47 + x48)
          sp2(1,1) = x26*(-x33 + x53)
          sp2(1,2) = x26*(-x34 + x54 - x55)
          sp2(1,3) = x26*(-x35 + x56 - x57)
          sp2(2,0) = x26*(-x42 - x49 + x50)
          sp2(2,1) = x26*(-x39 - x54 + x55)
          sp2(2,2) = x26*(-x40 + x53)
          sp2(2,3) = x26*(-x41 + x58 - x59)
          sp2(3,0) = x26*(-x46 - x51 + x52)
          sp2(3,1) = x26*(-x43 - x56 + x57)
          sp2(3,2) = x26*(-x44 - x58 + x59)
          sp2(3,3) = x26*(-x45 + x53)
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
          end do 
        end do 
      end select 
    end subroutine loopVSV
end module lcVSV
