!******************************************************************************!
!                                                                              !
!    vertices_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info3
  implicit none
  contains
  subroutine fill_vertices_mdl3()
    use class_vertices
    use class_couplings
    allocate(vertices(726)%branchR2(0:0))
    call avR2(726, 0, 19, 3, 0, VFaF1, 0, [2, 1, 0], [nGC_4146])

    allocate(vertices(266)%branchR2(0:0))
    call avR2(266, 0, 16, 3, 0, FaFV1, 0, [2, 1, 0], [nGC_4146])

    allocate(vertices(191)%branchR2(0:0))
    call avR2(191, 0, 20, 3, 0, VFFa0, 0, [2, 1, 0], [nGC_4104, nGC_4104])

    allocate(vertices(982)%branchR2(0:0))
    call avR2(982, 0, 17, 3, 0, FaVF0, 0, [2, 1, 0], [nGC_4104, nGC_4104])

    allocate(vertices(1181)%branchR2(0:5))
    call avR2(1181, 0, 73, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4164, nGC_4164,     &
    nGC_4164])

    call avR2(1181, 1, 74, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4165, nGC_4165,     &
    nGC_4165])

    call avR2(1181, 2, 75, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4163, nGC_4163,     &
    nGC_4163])

    call avR2(1181, 3, 76, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4164, nGC_4164,     &
    nGC_4164])

    call avR2(1181, 4, 77, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4163, nGC_4163,     &
    nGC_4163])

    call avR2(1181, 5, 78, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4164, nGC_4164,     &
    nGC_4164])

    allocate(vertices(771)%branchR2(0:0))
    call avR2(771, 0, 19, 3, 0, VFaF0, 0, [2, 1, 0], [nGC_4107, nGC_4106])

    allocate(vertices(1182)%branchR2(0:1))
    call avR2(1182, 0, 45, 3, 0, VVSS0, 0, [2, 2, 0], [nGC_4161])

    call avR2(1182, 1, 46, 3, 0, VVSS0, 0, [2, 2, 0], [nGC_4162])

    allocate(vertices(1183)%branchR2(0:1))
    call avR2(1183, 0, 47, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4157, nGC_4157,     &
    nGC_4157])

    call avR2(1183, 1, 48, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4158, nGC_4158,     &
    nGC_4158])

    allocate(vertices(1184)%branchR2(0:1))
    call avR2(1184, 0, 49, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4155, nGC_4155,     &
    nGC_4155])

    call avR2(1184, 1, 50, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4156, nGC_4156,     &
    nGC_4156])

    allocate(vertices(201)%branchR2(0:0))
    call avR2(201, 0, 18, 3, 0, FSFa0, 0, [2, 1, 0], [nGC_4144, nGC_4145])

    allocate(vertices(649)%branchR2(0:0))
    call avR2(649, 0, 17, 3, 0, FaVF0, 0, [2, 1, 0], [nGC_4104, nGC_4104])

    allocate(vertices(116)%branchR2(0:0))
    call avR2(116, 0, 10, 3, 0, FFaV0, 0, [2, 1, 0], [nGC_4107, nGC_4106])

    allocate(vertices(1185)%branchR2(0:1))
    call avR2(1185, 0, 47, 3, 0, VSSV0, 0, [2, 2, 0], [nGC_4161])

    call avR2(1185, 1, 48, 3, 0, VSSV0, 0, [2, 2, 0], [nGC_4162])

    allocate(vertices(823)%branchR2(0:0))
    call avR2(823, 0, 17, 3, 0, FaVF1, 0, [2, 1, 0], [nGC_4146])

    allocate(vertices(1186)%branchR2(0:1))
    call avR2(1186, 0, 53, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4155, nGC_4155,     &
    nGC_4155])

    call avR2(1186, 1, 54, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4156, nGC_4156,     &
    nGC_4156])

    allocate(vertices(30)%branchR2(0:0))
    call avR2(30, 0, 19, 3, 0, VFaF0, 0, [2, 1, 0], [nGC_4105, nGC_4105])

    allocate(vertices(1187)%branchR2(0:1))
    call avR2(1187, 0, 49, 3, 0, VSVS0, 0, [2, 2, 0], [nGC_4159])

    call avR2(1187, 1, 50, 3, 0, VSVS0, 0, [2, 2, 0], [nGC_4160])

    allocate(vertices(922)%branchR2(0:0))
    call avR2(922, 0, 16, 3, 0, FaFS0, 0, [2, 1, 0], [nGC_4148, nGC_4147])

    allocate(vertices(700)%branchR2(0:0))
    call avR2(700, 0, 18, 3, 0, FSFa0, 0, [2, 1, 0], [nGC_4147, nGC_4148])

    allocate(vertices(1188)%branchR2(0:1))
    call avR2(1188, 0, 45, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4149, nGC_4149,     &
    nGC_4149])

    call avR2(1188, 1, 46, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4150, nGC_4150,     &
    nGC_4150])

    allocate(vertices(1)%branchR2(0:0))
    call avR2(1, 0, 10, 3, 0, FFaS0, 0, [2, 1, 0], [nGC_4147, nGC_4148])

    allocate(vertices(1189)%branchR2(0:1))
    call avR2(1189, 0, 43, 3, 0, SSVV0, 0, [2, 2, 0], [nGC_4151])

    call avR2(1189, 1, 44, 3, 0, SSVV0, 0, [2, 2, 0], [nGC_4152])

    allocate(vertices(273)%branchR2(0:0))
    call avR2(273, 0, 10, 3, 0, FFaS0, 0, [2, 1, 0], [nGC_4148, nGC_4147])

    allocate(vertices(1095)%branchR2(0:3))
    call avR2(1095, 0, 27, 3, 0, VFaF0, 0, [1, 2, 0], [nGC_4135, nGC_4134])

    call avR2(1095, 1, 27, 3, 0, VFaF0, 0, [3, 0, 0], [nGC_4115, nGC_4115])

    call avR2(1095, 2, 28, 3, 0, VFaF0, 0, [1, 2, 0], [nGC_4133, nGC_4132])

    call avR2(1095, 3, 28, 3, 0, VFaF0, 0, [3, 0, 0], [nGC_4112, nGC_4112])

    allocate(vertices(1190)%branchR2(0:5))
    call avR2(1190, 0, 73, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4167, nGC_4167,     &
    nGC_4167])

    call avR2(1190, 1, 74, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4168, nGC_4168,     &
    nGC_4168])

    call avR2(1190, 2, 75, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4166, nGC_4166,     &
    nGC_4166])

    call avR2(1190, 3, 76, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4167, nGC_4167,     &
    nGC_4167])

    call avR2(1190, 4, 77, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4166, nGC_4166,     &
    nGC_4166])

    call avR2(1190, 5, 78, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4167, nGC_4167,     &
    nGC_4167])

    allocate(vertices(746)%branchR2(0:0))
    call avR2(746, 0, 10, 3, 0, FFaV1, 0, [2, 1, 0], [nGC_4146])

    allocate(vertices(1191)%branchR2(0:5))
    call avR2(1191, 0, 61, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4164, nGC_4164,     &
    nGC_4164])

    call avR2(1191, 1, 62, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4165, nGC_4165,     &
    nGC_4165])

    call avR2(1191, 2, 63, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4163, nGC_4163,     &
    nGC_4163])

    call avR2(1191, 3, 64, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4164, nGC_4164,     &
    nGC_4164])

    call avR2(1191, 4, 65, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4163, nGC_4163,     &
    nGC_4163])

    call avR2(1191, 5, 66, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4164, nGC_4164,     &
    nGC_4164])

    allocate(vertices(1192)%branchR2(0:1))
    call avR2(1192, 0, 51, 3, 0, SVVS0, 0, [2, 2, 0], [nGC_4161])

    call avR2(1192, 1, 52, 3, 0, SVVS0, 0, [2, 2, 0], [nGC_4162])

    allocate(vertices(921)%branchR2(0:0))
    call avR2(921, 0, 20, 3, 0, VFFa0, 0, [2, 1, 0], [nGC_4105, nGC_4105])

    allocate(vertices(955)%branchR2(0:3))
    call avR2(955, 0, 21, 3, 0, FaFV0, 0, [1, 2, 0], [nGC_4114, nGC_4113])

    call avR2(955, 1, 21, 3, 0, FaFV0, 0, [3, 0, 0], [nGC_4115, nGC_4115])

    call avR2(955, 2, 22, 3, 0, FaFV0, 0, [1, 2, 0], [nGC_4111, nGC_4110])

    call avR2(955, 3, 22, 3, 0, FaFV0, 0, [3, 0, 0], [nGC_4112, nGC_4112])

    allocate(vertices(958)%branchR2(0:0))
    call avR2(958, 0, 18, 3, 0, FVFa1, 0, [2, 1, 0], [nGC_4107, nGC_4106])

    allocate(vertices(1193)%branchR2(0:1))
    call avR2(1193, 0, 51, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4157, nGC_4157,     &
    nGC_4157])

    call avR2(1193, 1, 52, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4158, nGC_4158,     &
    nGC_4158])

    allocate(vertices(1194)%branchR2(0:1))
    call avR2(1194, 0, 49, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4149, nGC_4149,     &
    nGC_4149])

    call avR2(1194, 1, 50, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4150, nGC_4150,     &
    nGC_4150])

    allocate(vertices(1195)%branchR2(0:1))
    call avR2(1195, 0, 53, 3, 0, SVSV0, 0, [2, 2, 0], [nGC_4161])

    call avR2(1195, 1, 54, 3, 0, SVSV0, 0, [2, 2, 0], [nGC_4162])

    allocate(vertices(727)%branchR2(0:0))
    call avR2(727, 0, 10, 3, 0, FFaS0, 0, [2, 1, 0], [nGC_4142, nGC_4143])

    allocate(vertices(369)%branchR2(0:0))
    call avR2(369, 0, 10, 3, 0, FFaV0, 0, [2, 1, 0], [nGC_4109, nGC_4108])

    allocate(vertices(397)%branchR2(0:3))
    call avR2(397, 0, 29, 3, 0, VFFa0, 0, [1, 2, 0], [nGC_4135, nGC_4134])

    call avR2(397, 1, 29, 3, 0, VFFa0, 0, [3, 0, 0], [nGC_4115, nGC_4115])

    call avR2(397, 2, 30, 3, 0, VFFa0, 0, [1, 2, 0], [nGC_4133, nGC_4132])

    call avR2(397, 3, 30, 3, 0, VFFa0, 0, [3, 0, 0], [nGC_4112, nGC_4112])

    allocate(vertices(850)%branchR2(0:0))
    call avR2(850, 0, 10, 3, 0, FFaV0, 0, [2, 1, 0], [nGC_4105, nGC_4105])

    allocate(vertices(1196)%branchR2(0:0))
    call avR2(1196, 0, 32, 3, 0, FaF1, 0, [0, 2, 0], [nGC_4081])

    allocate(vertices(532)%branchR2(0:0))
    call avR2(532, 0, 18, 3, 0, FVFa0, 0, [2, 1, 0], [nGC_4146])

    allocate(vertices(897)%branchR2(0:0))
    call avR2(897, 0, 18, 3, 0, FVFa0, 0, [2, 1, 0], [nGC_4146])

    allocate(vertices(1197)%branchR2(0:1))
    call avR2(1197, 0, 43, 3, 0, SSVV0, 0, [2, 2, 0], [nGC_4161])

    call avR2(1197, 1, 44, 3, 0, SSVV0, 0, [2, 2, 0], [nGC_4162])

    allocate(vertices(1198)%branchR2(0:1))
    call avR2(1198, 0, 47, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4155, nGC_4155,     &
    nGC_4155])

    call avR2(1198, 1, 48, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4156, nGC_4156,     &
    nGC_4156])

    allocate(vertices(6)%branchR2(0:0))
    call avR2(6, 0, 20, 3, 0, VFFa0, 0, [2, 1, 0], [nGC_4105, nGC_4105])

    allocate(vertices(951)%branchR2(0:3))
    call avR2(951, 0, 11, 3, 0, FFaV0, 0, [1, 2, 0], [nGC_4123, nGC_4122])

    call avR2(951, 1, 11, 3, 0, FFaV0, 0, [3, 0, 0], [nGC_4115, nGC_4115])

    call avR2(951, 2, 12, 3, 0, FFaV0, 0, [1, 2, 0], [nGC_4121, nGC_4120])

    call avR2(951, 3, 12, 3, 0, FFaV0, 0, [3, 0, 0], [nGC_4112, nGC_4112])

    allocate(vertices(177)%branchR2(0:3))
    call avR2(177, 0, 21, 3, 0, FaFV0, 0, [1, 2, 0], [nGC_4131, nGC_4130])

    call avR2(177, 1, 21, 3, 0, FaFV0, 0, [3, 0, 0], [nGC_4115, nGC_4115])

    call avR2(177, 2, 22, 3, 0, FaFV0, 0, [1, 2, 0], [nGC_4129, nGC_4128])

    call avR2(177, 3, 22, 3, 0, FaFV0, 0, [3, 0, 0], [nGC_4112, nGC_4112])

    allocate(vertices(851)%branchR2(0:0))
    call avR2(851, 0, 19, 3, 0, SFaF0, 0, [2, 1, 0], [nGC_4142, nGC_4143])

    allocate(vertices(1008)%branchR2(0:0))
    call avR2(1008, 0, 20, 3, 0, VFFa0, 0, [2, 1, 0], [nGC_4107, nGC_4106])

    allocate(vertices(1060)%branchR2(0:3))
    call avR2(1060, 0, 25, 3, 0, FVFa1, 0, [1, 2, 0], [nGC_4131, nGC_4130])

    call avR2(1060, 1, 25, 3, 0, FVFa1, 0, [3, 0, 0], [nGC_4115, nGC_4115])

    call avR2(1060, 2, 26, 3, 0, FVFa1, 0, [1, 2, 0], [nGC_4129, nGC_4128])

    call avR2(1060, 3, 26, 3, 0, FVFa1, 0, [3, 0, 0], [nGC_4112, nGC_4112])

    allocate(vertices(1199)%branchR2(0:1))
    call avR2(1199, 0, 51, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4149, nGC_4149,     &
    nGC_4149])

    call avR2(1199, 1, 52, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4150, nGC_4150,     &
    nGC_4150])

    allocate(vertices(262)%branchR2(0:0))
    call avR2(262, 0, 17, 3, 0, FaSF0, 0, [2, 1, 0], [nGC_4144, nGC_4145])

    allocate(vertices(1200)%branchR2(0:0))
    call avR2(1200, 0, 32, 3, 0, FaF0, 0, [0, 2, 0], [nGC_4084, nGC_4082,      &
    nGC_4085, nGC_4085])

    allocate(vertices(1201)%branchR2(0:1))
    call avR2(1201, 0, 45, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4157, nGC_4157,     &
    nGC_4157])

    call avR2(1201, 1, 46, 3, 0, VVVV0, 0, [2, 2, 0], [nGC_4158, nGC_4158,     &
    nGC_4158])

    allocate(vertices(737)%branchR2(0:0))
    call avR2(737, 0, 17, 3, 0, FaSF0, 0, [2, 1, 0], [nGC_4141, nGC_4141])

    allocate(vertices(1202)%branchR2(0:0))
    call avR2(1202, 0, 32, 3, 0, FFa1, 0, [0, 2, 0], [nGC_4081])

    allocate(vertices(299)%branchR2(0:0))
    call avR2(299, 0, 10, 3, 0, FFaV0, 0, [2, 1, 0], [nGC_4109, nGC_4108])

    allocate(vertices(281)%branchR2(0:0))
    call avR2(281, 0, 18, 3, 0, FVFa1, 0, [2, 1, 0], [nGC_4105, nGC_4105])

    allocate(vertices(1001)%branchR2(0:0))
    call avR2(1001, 0, 19, 3, 0, VFaF0, 0, [2, 1, 0], [nGC_4105, nGC_4105])

    allocate(vertices(1203)%branchR2(0:5))
    call avR2(1203, 0, 55, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4163, nGC_4163,     &
    nGC_4163])

    call avR2(1203, 1, 56, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4164, nGC_4164,     &
    nGC_4164])

    call avR2(1203, 2, 57, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4164, nGC_4164,     &
    nGC_4164])

    call avR2(1203, 3, 58, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4165, nGC_4165,     &
    nGC_4165])

    call avR2(1203, 4, 59, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4164, nGC_4164,     &
    nGC_4164])

    call avR2(1203, 5, 60, 3, 0, VVVV0, 0, [3, 1, 0], [nGC_4163, nGC_4163,     &
    nGC_4163])

  end subroutine fill_vertices_mdl3
end module vertices_info3
